
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '$END', 1: '__ANON_1', 2: '__ANON_0', 3: 'RBRACE', 4: '__ANON_2', 5: 'block', 6: '__anon_plus_2', 7: 'attribute', 8: 'identifier', 9: '__ANON_3', 10: '__anon_star_0', 11: 'new_line_or_comment', 12: 'body', 13: 'start', 14: '__ANON_10', 15: 'IF', 16: 'NULL', 17: 'RPAR', 18: 'COMMA', 19: '__ANON_11', 20: 'LSQB', 21: 'LPAR', 22: 'STRING_LIT', 23: 'DECIMAL', 24: 'RSQB', 25: 'IN', 26: 'FALSE', 27: 'MINUS', 28: 'FOR', 29: 'TRUE', 30: 'LBRACE', 31: 'BANG', 32: '__anon_star_1', 33: 'EQUAL', 34: 'MORETHAN', 35: 'QMARK', 36: 'COLON', 37: 'PERCENT', 38: '__ANON_7', 39: '__ANON_12', 40: 'DOT', 41: '__ANON_13', 42: '__ANON_9', 43: 'STAR', 44: '__ANON_8', 45: 'PLUS', 46: 'LESSTHAN', 47: '__ANON_5', 48: '__ANON_6', 49: 'SLASH', 50: '__ANON_14', 51: '__ANON_4', 52: 'function_call', 53: 'false_lit', 54: 'heredoc_template_trim', 55: '__anon_plus_3', 56: 'expr_term', 57: 'for_tuple_expr', 58: 'null_lit', 59: 'int_lit', 60: 'tuple', 61: 'get_attr_expr_term', 62: 'binary_op', 63: 'expression', 64: 'attr_splat_expr_term', 65: 'index_expr_term', 66: 'operation', 67: 'true_lit', 68: 'full_splat_expr_term', 69: 'for_object_expr', 70: 'conditional', 71: 'unary_op', 72: 'heredoc_template', 73: 'float_lit', 74: 'object', 75: 'for_intro', 76: 'object_elem', 77: 'EXP_MARK', 78: 'attr_splat', 79: 'full_splat', 80: 'get_attr', 81: 'index', 82: 'binary_operator', 83: 'binary_term', 84: 'new_line_and_or_comma', 85: '__anon_star_5', 86: 'arguments', 87: '__anon_star_4', 88: '__anon_star_6', 89: 'for_cond', 90: '__anon_star_7'}, 'states': {0: {0: (1, {'@': 45}), 1: (0, 12), 2: (0, 10), 3: (1, {'@': 45}), 4: (0, 1), 5: (0, 2), 6: (0, 3), 7: (0, 4), 8: (0, 5), 9: (0, 6), 10: (0, 7), 11: (0, 8), 12: (0, 9), 13: (0, 11)}, 1: {0: (1, {'@': 46}), 14: (1, {'@': 46}), 9: (1, {'@': 46}), 15: (1, {'@': 46}), 16: (1, {'@': 46}), 3: (1, {'@': 46}), 17: (1, {'@': 46}), 18: (1, {'@': 46}), 19: (1, {'@': 46}), 20: (1, {'@': 46}), 21: (1, {'@': 46}), 22: (1, {'@': 46}), 23: (1, {'@': 46}), 24: (1, {'@': 46}), 25: (1, {'@': 46}), 1: (1, {'@': 46}), 4: (1, {'@': 46}), 2: (1, {'@': 46}), 26: (1, {'@': 46}), 27: (1, {'@': 46}), 28: (1, {'@': 46}), 29: (1, {'@': 46}), 30: (1, {'@': 46}), 31: (1, {'@': 46})}, 2: {0: (1, {'@': 47}), 1: (1, {'@': 47}), 2: (1, {'@': 47}), 3: (1, {'@': 47}), 9: (1, {'@': 47}), 4: (1, {'@': 47})}, 3: {0: (1, {'@': 48}), 14: (1, {'@': 48}), 21: (1, {'@': 48}), 22: (1, {'@': 48}), 23: (1, {'@': 48}), 24: (1, {'@': 48}), 25: (1, {'@': 48}), 1: (0, 15), 9: (1, {'@': 48}), 15: (1, {'@': 48}), 16: (1, {'@': 48}), 3: (1, {'@': 48}), 4: (0, 14), 17: (1, {'@': 48}), 18: (1, {'@': 48}), 19: (1, {'@': 48}), 2: (0, 13), 20: (1, {'@': 48}), 26: (1, {'@': 48}), 27: (1, {'@': 48}), 28: (1, {'@': 48}), 29: (1, {'@': 48}), 30: (1, {'@': 48}), 31: (1, {'@': 48})}, 4: {0: (1, {'@': 49}), 1: (1, {'@': 49}), 2: (1, {'@': 49}), 3: (1, {'@': 49}), 9: (1, {'@': 49}), 4: (1, {'@': 49})}, 5: {32: (0, 16), 22: (0, 17), 33: (0, 18), 9: (0, 6), 8: (0, 19), 30: (0, 20)}, 6: {34: (1, {'@': 50}), 14: (1, {'@': 50}), 35: (1, {'@': 50}), 16: (1, {'@': 50}), 3: (1, {'@': 50}), 36: (1, {'@': 50}), 37: (1, {'@': 50}), 38: (1, {'@': 50}), 21: (1, {'@': 50}), 24: (1, {'@': 50}), 1: (1, {'@': 50}), 39: (1, {'@': 50}), 26: (1, {'@': 50}), 29: (1, {'@': 50}), 31: (1, {'@': 50}), 0: (1, {'@': 50}), 40: (1, {'@': 50}), 9: (1, {'@': 50}), 41: (1, {'@': 50}), 15: (1, {'@': 50}), 17: (1, {'@': 50}), 18: (1, {'@': 50}), 42: (1, {'@': 50}), 43: (1, {'@': 50}), 44: (1, {'@': 50}), 19: (1, {'@': 50}), 33: (1, {'@': 50}), 20: (1, {'@': 50}), 45: (1, {'@': 50}), 46: (1, {'@': 50}), 47: (1, {'@': 50}), 22: (1, {'@': 50}), 23: (1, {'@': 50}), 25: (1, {'@': 50}), 48: (1, {'@': 50}), 4: (1, {'@': 50}), 49: (1, {'@': 50}), 50: (1, {'@': 50}), 51: (1, {'@': 50}), 2: (1, {'@': 50}), 27: (1, {'@': 50}), 30: (1, {'@': 50})}, 7: {0: (1, {'@': 51}), 1: (1, {'@': 51}), 2: (1, {'@': 51}), 3: (1, {'@': 51}), 4: (1, {'@': 51}), 7: (0, 21), 8: (0, 5), 9: (0, 6), 5: (0, 22)}, 8: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 2), 10: (0, 7), 12: (0, 23), 8: (0, 5), 7: (0, 4), 9: (0, 6)}, 9: {0: (1, {'@': 52}), 6: (0, 3), 4: (0, 1), 11: (0, 24), 2: (0, 10), 1: (0, 12)}, 10: {0: (1, {'@': 53}), 14: (1, {'@': 53}), 9: (1, {'@': 53}), 15: (1, {'@': 53}), 16: (1, {'@': 53}), 3: (1, {'@': 53}), 17: (1, {'@': 53}), 18: (1, {'@': 53}), 19: (1, {'@': 53}), 20: (1, {'@': 53}), 21: (1, {'@': 53}), 22: (1, {'@': 53}), 23: (1, {'@': 53}), 24: (1, {'@': 53}), 25: (1, {'@': 53}), 1: (1, {'@': 53}), 4: (1, {'@': 53}), 2: (1, {'@': 53}), 26: (1, {'@': 53}), 27: (1, {'@': 53}), 28: (1, {'@': 53}), 29: (1, {'@': 53}), 30: (1, {'@': 53}), 31: (1, {'@': 53})}, 11: {0: (0, 25)}, 12: {0: (1, {'@': 54}), 14: (1, {'@': 54}), 9: (1, {'@': 54}), 15: (1, {'@': 54}), 16: (1, {'@': 54}), 3: (1, {'@': 54}), 17: (1, {'@': 54}), 18: (1, {'@': 54}), 19: (1, {'@': 54}), 20: (1, {'@': 54}), 21: (1, {'@': 54}), 22: (1, {'@': 54}), 23: (1, {'@': 54}), 24: (1, {'@': 54}), 25: (1, {'@': 54}), 1: (1, {'@': 54}), 4: (1, {'@': 54}), 2: (1, {'@': 54}), 26: (1, {'@': 54}), 27: (1, {'@': 54}), 28: (1, {'@': 54}), 29: (1, {'@': 54}), 30: (1, {'@': 54}), 31: (1, {'@': 54})}, 13: {0: (1, {'@': 55}), 14: (1, {'@': 55}), 9: (1, {'@': 55}), 15: (1, {'@': 55}), 16: (1, {'@': 55}), 3: (1, {'@': 55}), 17: (1, {'@': 55}), 18: (1, {'@': 55}), 19: (1, {'@': 55}), 20: (1, {'@': 55}), 21: (1, {'@': 55}), 22: (1, {'@': 55}), 23: (1, {'@': 55}), 24: (1, {'@': 55}), 25: (1, {'@': 55}), 1: (1, {'@': 55}), 4: (1, {'@': 55}), 2: (1, {'@': 55}), 26: (1, {'@': 55}), 27: (1, {'@': 55}), 28: (1, {'@': 55}), 29: (1, {'@': 55}), 30: (1, {'@': 55}), 31: (1, {'@': 55})}, 14: {0: (1, {'@': 56}), 14: (1, {'@': 56}), 9: (1, {'@': 56}), 15: (1, {'@': 56}), 16: (1, {'@': 56}), 3: (1, {'@': 56}), 17: (1, {'@': 56}), 18: (1, {'@': 56}), 19: (1, {'@': 56}), 20: (1, {'@': 56}), 21: (1, {'@': 56}), 22: (1, {'@': 56}), 23: (1, {'@': 56}), 24: (1, {'@': 56}), 25: (1, {'@': 56}), 1: (1, {'@': 56}), 4: (1, {'@': 56}), 2: (1, {'@': 56}), 26: (1, {'@': 56}), 27: (1, {'@': 56}), 28: (1, {'@': 56}), 29: (1, {'@': 56}), 30: (1, {'@': 56}), 31: (1, {'@': 56})}, 15: {0: (1, {'@': 57}), 14: (1, {'@': 57}), 9: (1, {'@': 57}), 15: (1, {'@': 57}), 16: (1, {'@': 57}), 3: (1, {'@': 57}), 17: (1, {'@': 57}), 18: (1, {'@': 57}), 19: (1, {'@': 57}), 20: (1, {'@': 57}), 21: (1, {'@': 57}), 22: (1, {'@': 57}), 23: (1, {'@': 57}), 24: (1, {'@': 57}), 25: (1, {'@': 57}), 1: (1, {'@': 57}), 4: (1, {'@': 57}), 2: (1, {'@': 57}), 26: (1, {'@': 57}), 27: (1, {'@': 57}), 28: (1, {'@': 57}), 29: (1, {'@': 57}), 30: (1, {'@': 57}), 31: (1, {'@': 57})}, 16: {30: (0, 26), 9: (0, 6), 22: (0, 27), 8: (0, 28)}, 17: {9: (1, {'@': 58}), 30: (1, {'@': 58}), 22: (1, {'@': 58})}, 18: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 63: (0, 48), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 19: {9: (1, {'@': 59}), 30: (1, {'@': 59}), 22: (1, {'@': 59})}, 20: {0: (1, {'@': 45}), 1: (0, 12), 2: (0, 10), 3: (1, {'@': 45}), 4: (0, 1), 5: (0, 2), 6: (0, 3), 7: (0, 4), 8: (0, 5), 9: (0, 6), 12: (0, 65), 10: (0, 7), 11: (0, 66)}, 21: {0: (1, {'@': 60}), 1: (1, {'@': 60}), 2: (1, {'@': 60}), 3: (1, {'@': 60}), 9: (1, {'@': 60}), 4: (1, {'@': 60})}, 22: {0: (1, {'@': 61}), 1: (1, {'@': 61}), 2: (1, {'@': 61}), 3: (1, {'@': 61}), 9: (1, {'@': 61}), 4: (1, {'@': 61})}, 23: {0: (1, {'@': 62}), 6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 67), 1: (0, 12)}, 24: {0: (1, {'@': 63})}, 25: {}, 26: {0: (1, {'@': 45}), 1: (0, 12), 2: (0, 10), 3: (1, {'@': 45}), 4: (0, 1), 5: (0, 2), 6: (0, 3), 7: (0, 4), 8: (0, 5), 12: (0, 68), 9: (0, 6), 10: (0, 7), 11: (0, 69)}, 27: {9: (1, {'@': 64}), 30: (1, {'@': 64}), 22: (1, {'@': 64})}, 28: {9: (1, {'@': 65}), 30: (1, {'@': 65}), 22: (1, {'@': 65})}, 29: {11: (0, 70), 20: (0, 31), 28: (0, 71), 30: (0, 29), 8: (0, 72), 52: (0, 32), 53: (0, 33), 6: (0, 3), 75: (0, 73), 54: (0, 34), 23: (0, 35), 63: (0, 74), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 3: (0, 75), 57: (0, 40), 4: (0, 1), 58: (0, 41), 76: (0, 76), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 30: {34: (1, {'@': 66}), 14: (1, {'@': 66}), 35: (1, {'@': 66}), 16: (1, {'@': 66}), 3: (1, {'@': 66}), 36: (1, {'@': 66}), 37: (1, {'@': 66}), 38: (1, {'@': 66}), 24: (1, {'@': 66}), 21: (0, 77), 1: (1, {'@': 66}), 39: (1, {'@': 66}), 26: (1, {'@': 66}), 29: (1, {'@': 66}), 31: (1, {'@': 66}), 0: (1, {'@': 66}), 40: (1, {'@': 66}), 9: (1, {'@': 66}), 41: (1, {'@': 66}), 15: (1, {'@': 66}), 17: (1, {'@': 66}), 18: (1, {'@': 66}), 42: (1, {'@': 66}), 43: (1, {'@': 66}), 44: (1, {'@': 66}), 19: (1, {'@': 66}), 33: (1, {'@': 66}), 20: (1, {'@': 66}), 45: (1, {'@': 66}), 46: (1, {'@': 66}), 47: (1, {'@': 66}), 22: (1, {'@': 66}), 23: (1, {'@': 66}), 48: (1, {'@': 66}), 4: (1, {'@': 66}), 49: (1, {'@': 66}), 50: (1, {'@': 66}), 51: (1, {'@': 66}), 2: (1, {'@': 66}), 27: (1, {'@': 66}), 30: (1, {'@': 66})}, 31: {63: (0, 78), 20: (0, 31), 28: (0, 71), 30: (0, 29), 75: (0, 79), 8: (0, 30), 24: (0, 80), 11: (0, 81), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 32: {34: (1, {'@': 67}), 14: (1, {'@': 67}), 35: (1, {'@': 67}), 16: (1, {'@': 67}), 3: (1, {'@': 67}), 36: (1, {'@': 67}), 37: (1, {'@': 67}), 38: (1, {'@': 67}), 24: (1, {'@': 67}), 21: (1, {'@': 67}), 1: (1, {'@': 67}), 39: (1, {'@': 67}), 26: (1, {'@': 67}), 29: (1, {'@': 67}), 31: (1, {'@': 67}), 0: (1, {'@': 67}), 40: (1, {'@': 67}), 9: (1, {'@': 67}), 41: (1, {'@': 67}), 15: (1, {'@': 67}), 17: (1, {'@': 67}), 18: (1, {'@': 67}), 42: (1, {'@': 67}), 43: (1, {'@': 67}), 44: (1, {'@': 67}), 19: (1, {'@': 67}), 33: (1, {'@': 67}), 20: (1, {'@': 67}), 45: (1, {'@': 67}), 46: (1, {'@': 67}), 47: (1, {'@': 67}), 22: (1, {'@': 67}), 23: (1, {'@': 67}), 48: (1, {'@': 67}), 4: (1, {'@': 67}), 49: (1, {'@': 67}), 50: (1, {'@': 67}), 51: (1, {'@': 67}), 2: (1, {'@': 67}), 27: (1, {'@': 67}), 30: (1, {'@': 67})}, 33: {34: (1, {'@': 68}), 14: (1, {'@': 68}), 35: (1, {'@': 68}), 16: (1, {'@': 68}), 3: (1, {'@': 68}), 36: (1, {'@': 68}), 37: (1, {'@': 68}), 38: (1, {'@': 68}), 24: (1, {'@': 68}), 21: (1, {'@': 68}), 1: (1, {'@': 68}), 39: (1, {'@': 68}), 26: (1, {'@': 68}), 29: (1, {'@': 68}), 31: (1, {'@': 68}), 0: (1, {'@': 68}), 40: (1, {'@': 68}), 9: (1, {'@': 68}), 41: (1, {'@': 68}), 15: (1, {'@': 68}), 17: (1, {'@': 68}), 18: (1, {'@': 68}), 42: (1, {'@': 68}), 43: (1, {'@': 68}), 44: (1, {'@': 68}), 19: (1, {'@': 68}), 33: (1, {'@': 68}), 20: (1, {'@': 68}), 45: (1, {'@': 68}), 46: (1, {'@': 68}), 47: (1, {'@': 68}), 22: (1, {'@': 68}), 23: (1, {'@': 68}), 48: (1, {'@': 68}), 4: (1, {'@': 68}), 49: (1, {'@': 68}), 50: (1, {'@': 68}), 51: (1, {'@': 68}), 2: (1, {'@': 68}), 27: (1, {'@': 68}), 30: (1, {'@': 68})}, 34: {34: (1, {'@': 69}), 14: (1, {'@': 69}), 35: (1, {'@': 69}), 16: (1, {'@': 69}), 3: (1, {'@': 69}), 36: (1, {'@': 69}), 37: (1, {'@': 69}), 38: (1, {'@': 69}), 24: (1, {'@': 69}), 21: (1, {'@': 69}), 1: (1, {'@': 69}), 39: (1, {'@': 69}), 26: (1, {'@': 69}), 29: (1, {'@': 69}), 31: (1, {'@': 69}), 0: (1, {'@': 69}), 40: (1, {'@': 69}), 9: (1, {'@': 69}), 41: (1, {'@': 69}), 15: (1, {'@': 69}), 17: (1, {'@': 69}), 18: (1, {'@': 69}), 42: (1, {'@': 69}), 43: (1, {'@': 69}), 44: (1, {'@': 69}), 19: (1, {'@': 69}), 33: (1, {'@': 69}), 20: (1, {'@': 69}), 45: (1, {'@': 69}), 46: (1, {'@': 69}), 47: (1, {'@': 69}), 22: (1, {'@': 69}), 23: (1, {'@': 69}), 48: (1, {'@': 69}), 4: (1, {'@': 69}), 49: (1, {'@': 69}), 50: (1, {'@': 69}), 51: (1, {'@': 69}), 2: (1, {'@': 69}), 27: (1, {'@': 69}), 30: (1, {'@': 69})}, 35: {34: (1, {'@': 70}), 14: (1, {'@': 70}), 35: (1, {'@': 70}), 16: (1, {'@': 70}), 3: (1, {'@': 70}), 36: (1, {'@': 70}), 37: (1, {'@': 70}), 38: (1, {'@': 70}), 24: (1, {'@': 70}), 21: (1, {'@': 70}), 1: (1, {'@': 70}), 39: (1, {'@': 70}), 26: (1, {'@': 70}), 29: (1, {'@': 70}), 31: (1, {'@': 70}), 0: (1, {'@': 70}), 77: (1, {'@': 70}), 40: (1, {'@': 70}), 9: (1, {'@': 70}), 41: (1, {'@': 70}), 15: (1, {'@': 70}), 17: (1, {'@': 70}), 18: (1, {'@': 70}), 42: (1, {'@': 70}), 43: (1, {'@': 70}), 44: (1, {'@': 70}), 19: (1, {'@': 70}), 33: (1, {'@': 70}), 20: (1, {'@': 70}), 45: (1, {'@': 70}), 46: (1, {'@': 70}), 47: (1, {'@': 70}), 22: (1, {'@': 70}), 23: (1, {'@': 70}), 48: (1, {'@': 70}), 4: (1, {'@': 70}), 49: (1, {'@': 70}), 50: (1, {'@': 70}), 51: (1, {'@': 70}), 2: (1, {'@': 70}), 27: (1, {'@': 70}), 30: (1, {'@': 70})}, 36: {34: (1, {'@': 71}), 14: (1, {'@': 71}), 35: (1, {'@': 71}), 16: (1, {'@': 71}), 3: (1, {'@': 71}), 36: (1, {'@': 71}), 37: (1, {'@': 71}), 38: (1, {'@': 71}), 24: (1, {'@': 71}), 21: (1, {'@': 71}), 1: (1, {'@': 71}), 39: (1, {'@': 71}), 26: (1, {'@': 71}), 29: (1, {'@': 71}), 31: (1, {'@': 71}), 0: (1, {'@': 71}), 40: (0, 83), 9: (1, {'@': 71}), 41: (1, {'@': 71}), 15: (1, {'@': 71}), 17: (1, {'@': 71}), 18: (1, {'@': 71}), 42: (1, {'@': 71}), 43: (1, {'@': 71}), 44: (1, {'@': 71}), 19: (1, {'@': 71}), 33: (1, {'@': 71}), 20: (1, {'@': 71}), 45: (1, {'@': 71}), 46: (1, {'@': 71}), 47: (1, {'@': 71}), 22: (1, {'@': 71}), 23: (0, 82), 48: (1, {'@': 71}), 4: (1, {'@': 71}), 49: (1, {'@': 71}), 50: (1, {'@': 71}), 51: (1, {'@': 71}), 2: (1, {'@': 71}), 27: (1, {'@': 71}), 30: (1, {'@': 71}), 77: (0, 84)}, 37: {34: (1, {'@': 72}), 14: (1, {'@': 72}), 35: (1, {'@': 72}), 16: (1, {'@': 72}), 3: (1, {'@': 72}), 36: (1, {'@': 72}), 37: (1, {'@': 72}), 38: (1, {'@': 72}), 24: (1, {'@': 72}), 21: (1, {'@': 72}), 1: (1, {'@': 72}), 39: (1, {'@': 72}), 26: (1, {'@': 72}), 29: (1, {'@': 72}), 31: (1, {'@': 72}), 0: (1, {'@': 72}), 9: (1, {'@': 72}), 15: (1, {'@': 72}), 17: (1, {'@': 72}), 18: (1, {'@': 72}), 42: (1, {'@': 72}), 43: (1, {'@': 72}), 44: (1, {'@': 72}), 19: (1, {'@': 72}), 33: (1, {'@': 72}), 20: (0, 85), 45: (1, {'@': 72}), 46: (1, {'@': 72}), 47: (1, {'@': 72}), 22: (1, {'@': 72}), 23: (1, {'@': 72}), 48: (1, {'@': 72}), 4: (1, {'@': 72}), 49: (1, {'@': 72}), 50: (1, {'@': 72}), 51: (1, {'@': 72}), 2: (1, {'@': 72}), 27: (1, {'@': 72}), 30: (1, {'@': 72}), 41: (0, 86), 78: (0, 87), 79: (0, 88), 80: (0, 89), 81: (0, 90), 40: (0, 91)}, 38: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 63: (0, 92), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 11: (0, 93), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 39: {34: (1, {'@': 73}), 14: (1, {'@': 73}), 35: (1, {'@': 73}), 16: (1, {'@': 73}), 3: (1, {'@': 73}), 36: (1, {'@': 73}), 37: (1, {'@': 73}), 38: (1, {'@': 73}), 24: (1, {'@': 73}), 21: (1, {'@': 73}), 1: (1, {'@': 73}), 39: (1, {'@': 73}), 26: (1, {'@': 73}), 29: (1, {'@': 73}), 31: (1, {'@': 73}), 0: (1, {'@': 73}), 40: (1, {'@': 73}), 9: (1, {'@': 73}), 41: (1, {'@': 73}), 15: (1, {'@': 73}), 17: (1, {'@': 73}), 18: (1, {'@': 73}), 42: (1, {'@': 73}), 43: (1, {'@': 73}), 44: (1, {'@': 73}), 19: (1, {'@': 73}), 33: (1, {'@': 73}), 20: (1, {'@': 73}), 45: (1, {'@': 73}), 46: (1, {'@': 73}), 47: (1, {'@': 73}), 22: (1, {'@': 73}), 23: (1, {'@': 73}), 48: (1, {'@': 73}), 4: (1, {'@': 73}), 49: (1, {'@': 73}), 50: (1, {'@': 73}), 51: (1, {'@': 73}), 2: (1, {'@': 73}), 27: (1, {'@': 73}), 30: (1, {'@': 73})}, 40: {34: (1, {'@': 74}), 14: (1, {'@': 74}), 35: (1, {'@': 74}), 16: (1, {'@': 74}), 3: (1, {'@': 74}), 36: (1, {'@': 74}), 37: (1, {'@': 74}), 38: (1, {'@': 74}), 24: (1, {'@': 74}), 21: (1, {'@': 74}), 1: (1, {'@': 74}), 39: (1, {'@': 74}), 26: (1, {'@': 74}), 29: (1, {'@': 74}), 31: (1, {'@': 74}), 0: (1, {'@': 74}), 40: (1, {'@': 74}), 9: (1, {'@': 74}), 41: (1, {'@': 74}), 15: (1, {'@': 74}), 17: (1, {'@': 74}), 18: (1, {'@': 74}), 42: (1, {'@': 74}), 43: (1, {'@': 74}), 44: (1, {'@': 74}), 19: (1, {'@': 74}), 33: (1, {'@': 74}), 20: (1, {'@': 74}), 45: (1, {'@': 74}), 46: (1, {'@': 74}), 47: (1, {'@': 74}), 22: (1, {'@': 74}), 23: (1, {'@': 74}), 48: (1, {'@': 74}), 4: (1, {'@': 74}), 49: (1, {'@': 74}), 50: (1, {'@': 74}), 51: (1, {'@': 74}), 2: (1, {'@': 74}), 27: (1, {'@': 74}), 30: (1, {'@': 74})}, 41: {34: (1, {'@': 75}), 14: (1, {'@': 75}), 35: (1, {'@': 75}), 16: (1, {'@': 75}), 3: (1, {'@': 75}), 36: (1, {'@': 75}), 37: (1, {'@': 75}), 38: (1, {'@': 75}), 24: (1, {'@': 75}), 21: (1, {'@': 75}), 1: (1, {'@': 75}), 39: (1, {'@': 75}), 26: (1, {'@': 75}), 29: (1, {'@': 75}), 31: (1, {'@': 75}), 0: (1, {'@': 75}), 40: (1, {'@': 75}), 9: (1, {'@': 75}), 41: (1, {'@': 75}), 15: (1, {'@': 75}), 17: (1, {'@': 75}), 18: (1, {'@': 75}), 42: (1, {'@': 75}), 43: (1, {'@': 75}), 44: (1, {'@': 75}), 19: (1, {'@': 75}), 33: (1, {'@': 75}), 20: (1, {'@': 75}), 45: (1, {'@': 75}), 46: (1, {'@': 75}), 47: (1, {'@': 75}), 22: (1, {'@': 75}), 23: (1, {'@': 75}), 48: (1, {'@': 75}), 4: (1, {'@': 75}), 49: (1, {'@': 75}), 50: (1, {'@': 75}), 51: (1, {'@': 75}), 2: (1, {'@': 75}), 27: (1, {'@': 75}), 30: (1, {'@': 75})}, 42: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 94), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 59: (0, 43), 60: (0, 44), 61: (0, 45), 29: (0, 47), 26: (0, 49), 64: (0, 50), 65: (0, 52), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 43: {34: (1, {'@': 76}), 14: (1, {'@': 76}), 35: (1, {'@': 76}), 16: (1, {'@': 76}), 3: (1, {'@': 76}), 36: (1, {'@': 76}), 37: (1, {'@': 76}), 38: (1, {'@': 76}), 24: (1, {'@': 76}), 21: (1, {'@': 76}), 1: (1, {'@': 76}), 39: (1, {'@': 76}), 26: (1, {'@': 76}), 29: (1, {'@': 76}), 31: (1, {'@': 76}), 0: (1, {'@': 76}), 40: (1, {'@': 76}), 9: (1, {'@': 76}), 41: (1, {'@': 76}), 15: (1, {'@': 76}), 17: (1, {'@': 76}), 18: (1, {'@': 76}), 42: (1, {'@': 76}), 43: (1, {'@': 76}), 44: (1, {'@': 76}), 19: (1, {'@': 76}), 33: (1, {'@': 76}), 20: (1, {'@': 76}), 45: (1, {'@': 76}), 46: (1, {'@': 76}), 47: (1, {'@': 76}), 22: (1, {'@': 76}), 23: (1, {'@': 76}), 48: (1, {'@': 76}), 4: (1, {'@': 76}), 49: (1, {'@': 76}), 50: (1, {'@': 76}), 51: (1, {'@': 76}), 2: (1, {'@': 76}), 27: (1, {'@': 76}), 30: (1, {'@': 76})}, 44: {34: (1, {'@': 77}), 14: (1, {'@': 77}), 35: (1, {'@': 77}), 16: (1, {'@': 77}), 3: (1, {'@': 77}), 36: (1, {'@': 77}), 37: (1, {'@': 77}), 38: (1, {'@': 77}), 24: (1, {'@': 77}), 21: (1, {'@': 77}), 1: (1, {'@': 77}), 39: (1, {'@': 77}), 26: (1, {'@': 77}), 29: (1, {'@': 77}), 31: (1, {'@': 77}), 0: (1, {'@': 77}), 40: (1, {'@': 77}), 9: (1, {'@': 77}), 41: (1, {'@': 77}), 15: (1, {'@': 77}), 17: (1, {'@': 77}), 18: (1, {'@': 77}), 42: (1, {'@': 77}), 43: (1, {'@': 77}), 44: (1, {'@': 77}), 19: (1, {'@': 77}), 33: (1, {'@': 77}), 20: (1, {'@': 77}), 45: (1, {'@': 77}), 46: (1, {'@': 77}), 47: (1, {'@': 77}), 22: (1, {'@': 77}), 23: (1, {'@': 77}), 48: (1, {'@': 77}), 4: (1, {'@': 77}), 49: (1, {'@': 77}), 50: (1, {'@': 77}), 51: (1, {'@': 77}), 2: (1, {'@': 77}), 27: (1, {'@': 77}), 30: (1, {'@': 77})}, 45: {34: (1, {'@': 78}), 14: (1, {'@': 78}), 35: (1, {'@': 78}), 16: (1, {'@': 78}), 3: (1, {'@': 78}), 36: (1, {'@': 78}), 37: (1, {'@': 78}), 38: (1, {'@': 78}), 24: (1, {'@': 78}), 21: (1, {'@': 78}), 1: (1, {'@': 78}), 39: (1, {'@': 78}), 26: (1, {'@': 78}), 29: (1, {'@': 78}), 31: (1, {'@': 78}), 0: (1, {'@': 78}), 40: (1, {'@': 78}), 9: (1, {'@': 78}), 41: (1, {'@': 78}), 15: (1, {'@': 78}), 17: (1, {'@': 78}), 18: (1, {'@': 78}), 42: (1, {'@': 78}), 43: (1, {'@': 78}), 44: (1, {'@': 78}), 19: (1, {'@': 78}), 33: (1, {'@': 78}), 20: (1, {'@': 78}), 45: (1, {'@': 78}), 46: (1, {'@': 78}), 47: (1, {'@': 78}), 22: (1, {'@': 78}), 23: (1, {'@': 78}), 48: (1, {'@': 78}), 4: (1, {'@': 78}), 49: (1, {'@': 78}), 50: (1, {'@': 78}), 51: (1, {'@': 78}), 2: (1, {'@': 78}), 27: (1, {'@': 78}), 30: (1, {'@': 78})}, 46: {34: (1, {'@': 79}), 14: (1, {'@': 79}), 35: (1, {'@': 79}), 16: (1, {'@': 79}), 3: (1, {'@': 79}), 36: (1, {'@': 79}), 37: (1, {'@': 79}), 38: (1, {'@': 79}), 24: (1, {'@': 79}), 21: (1, {'@': 79}), 1: (1, {'@': 79}), 39: (1, {'@': 79}), 26: (1, {'@': 79}), 29: (1, {'@': 79}), 31: (1, {'@': 79}), 0: (1, {'@': 79}), 9: (1, {'@': 79}), 15: (1, {'@': 79}), 17: (1, {'@': 79}), 18: (1, {'@': 79}), 42: (1, {'@': 79}), 43: (1, {'@': 79}), 44: (1, {'@': 79}), 19: (1, {'@': 79}), 33: (1, {'@': 79}), 20: (1, {'@': 79}), 45: (1, {'@': 79}), 46: (1, {'@': 79}), 47: (1, {'@': 79}), 22: (1, {'@': 79}), 23: (1, {'@': 79}), 48: (1, {'@': 79}), 4: (1, {'@': 79}), 49: (1, {'@': 79}), 50: (1, {'@': 79}), 51: (1, {'@': 79}), 2: (1, {'@': 79}), 27: (1, {'@': 79}), 30: (1, {'@': 79})}, 47: {34: (1, {'@': 80}), 14: (1, {'@': 80}), 35: (1, {'@': 80}), 16: (1, {'@': 80}), 3: (1, {'@': 80}), 36: (1, {'@': 80}), 37: (1, {'@': 80}), 38: (1, {'@': 80}), 24: (1, {'@': 80}), 21: (1, {'@': 80}), 1: (1, {'@': 80}), 39: (1, {'@': 80}), 26: (1, {'@': 80}), 29: (1, {'@': 80}), 31: (1, {'@': 80}), 0: (1, {'@': 80}), 40: (1, {'@': 80}), 9: (1, {'@': 80}), 41: (1, {'@': 80}), 15: (1, {'@': 80}), 17: (1, {'@': 80}), 18: (1, {'@': 80}), 42: (1, {'@': 80}), 43: (1, {'@': 80}), 44: (1, {'@': 80}), 19: (1, {'@': 80}), 33: (1, {'@': 80}), 20: (1, {'@': 80}), 45: (1, {'@': 80}), 46: (1, {'@': 80}), 47: (1, {'@': 80}), 22: (1, {'@': 80}), 23: (1, {'@': 80}), 48: (1, {'@': 80}), 4: (1, {'@': 80}), 49: (1, {'@': 80}), 50: (1, {'@': 80}), 51: (1, {'@': 80}), 2: (1, {'@': 80}), 27: (1, {'@': 80}), 30: (1, {'@': 80})}, 48: {0: (1, {'@': 81}), 1: (0, 12), 2: (0, 10), 3: (1, {'@': 81}), 9: (1, {'@': 81}), 4: (0, 1), 82: (0, 95), 42: (0, 96), 46: (0, 97), 6: (0, 3), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 11: (0, 103), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 49: {34: (1, {'@': 82}), 14: (1, {'@': 82}), 35: (1, {'@': 82}), 16: (1, {'@': 82}), 3: (1, {'@': 82}), 36: (1, {'@': 82}), 37: (1, {'@': 82}), 38: (1, {'@': 82}), 24: (1, {'@': 82}), 21: (1, {'@': 82}), 1: (1, {'@': 82}), 39: (1, {'@': 82}), 26: (1, {'@': 82}), 29: (1, {'@': 82}), 31: (1, {'@': 82}), 0: (1, {'@': 82}), 40: (1, {'@': 82}), 9: (1, {'@': 82}), 41: (1, {'@': 82}), 15: (1, {'@': 82}), 17: (1, {'@': 82}), 18: (1, {'@': 82}), 42: (1, {'@': 82}), 43: (1, {'@': 82}), 44: (1, {'@': 82}), 19: (1, {'@': 82}), 33: (1, {'@': 82}), 20: (1, {'@': 82}), 45: (1, {'@': 82}), 46: (1, {'@': 82}), 47: (1, {'@': 82}), 22: (1, {'@': 82}), 23: (1, {'@': 82}), 48: (1, {'@': 82}), 4: (1, {'@': 82}), 49: (1, {'@': 82}), 50: (1, {'@': 82}), 51: (1, {'@': 82}), 2: (1, {'@': 82}), 27: (1, {'@': 82}), 30: (1, {'@': 82})}, 50: {34: (1, {'@': 83}), 14: (1, {'@': 83}), 35: (1, {'@': 83}), 16: (1, {'@': 83}), 3: (1, {'@': 83}), 36: (1, {'@': 83}), 37: (1, {'@': 83}), 38: (1, {'@': 83}), 24: (1, {'@': 83}), 21: (1, {'@': 83}), 1: (1, {'@': 83}), 39: (1, {'@': 83}), 26: (1, {'@': 83}), 29: (1, {'@': 83}), 31: (1, {'@': 83}), 0: (1, {'@': 83}), 40: (1, {'@': 83}), 9: (1, {'@': 83}), 41: (1, {'@': 83}), 15: (1, {'@': 83}), 17: (1, {'@': 83}), 18: (1, {'@': 83}), 42: (1, {'@': 83}), 43: (1, {'@': 83}), 44: (1, {'@': 83}), 19: (1, {'@': 83}), 33: (1, {'@': 83}), 20: (1, {'@': 83}), 45: (1, {'@': 83}), 46: (1, {'@': 83}), 47: (1, {'@': 83}), 22: (1, {'@': 83}), 23: (1, {'@': 83}), 48: (1, {'@': 83}), 4: (1, {'@': 83}), 49: (1, {'@': 83}), 50: (1, {'@': 83}), 51: (1, {'@': 83}), 2: (1, {'@': 83}), 27: (1, {'@': 83}), 30: (1, {'@': 83})}, 51: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 112), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 59: (0, 43), 60: (0, 44), 61: (0, 45), 29: (0, 47), 26: (0, 49), 64: (0, 50), 65: (0, 52), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 52: {34: (1, {'@': 84}), 14: (1, {'@': 84}), 35: (1, {'@': 84}), 16: (1, {'@': 84}), 3: (1, {'@': 84}), 36: (1, {'@': 84}), 37: (1, {'@': 84}), 38: (1, {'@': 84}), 24: (1, {'@': 84}), 21: (1, {'@': 84}), 1: (1, {'@': 84}), 39: (1, {'@': 84}), 26: (1, {'@': 84}), 29: (1, {'@': 84}), 31: (1, {'@': 84}), 0: (1, {'@': 84}), 40: (1, {'@': 84}), 9: (1, {'@': 84}), 41: (1, {'@': 84}), 15: (1, {'@': 84}), 17: (1, {'@': 84}), 18: (1, {'@': 84}), 42: (1, {'@': 84}), 43: (1, {'@': 84}), 44: (1, {'@': 84}), 19: (1, {'@': 84}), 33: (1, {'@': 84}), 20: (1, {'@': 84}), 45: (1, {'@': 84}), 46: (1, {'@': 84}), 47: (1, {'@': 84}), 22: (1, {'@': 84}), 23: (1, {'@': 84}), 48: (1, {'@': 84}), 4: (1, {'@': 84}), 49: (1, {'@': 84}), 50: (1, {'@': 84}), 51: (1, {'@': 84}), 2: (1, {'@': 84}), 27: (1, {'@': 84}), 30: (1, {'@': 84})}, 53: {34: (1, {'@': 85}), 14: (1, {'@': 85}), 35: (1, {'@': 85}), 16: (1, {'@': 85}), 3: (1, {'@': 85}), 36: (1, {'@': 85}), 37: (1, {'@': 85}), 38: (1, {'@': 85}), 24: (1, {'@': 85}), 21: (1, {'@': 85}), 1: (1, {'@': 85}), 39: (1, {'@': 85}), 26: (1, {'@': 85}), 29: (1, {'@': 85}), 31: (1, {'@': 85}), 0: (1, {'@': 85}), 9: (1, {'@': 85}), 15: (1, {'@': 85}), 17: (1, {'@': 85}), 18: (1, {'@': 85}), 42: (1, {'@': 85}), 43: (1, {'@': 85}), 44: (1, {'@': 85}), 19: (1, {'@': 85}), 33: (1, {'@': 85}), 20: (1, {'@': 85}), 45: (1, {'@': 85}), 46: (1, {'@': 85}), 47: (1, {'@': 85}), 22: (1, {'@': 85}), 23: (1, {'@': 85}), 48: (1, {'@': 85}), 4: (1, {'@': 85}), 49: (1, {'@': 85}), 50: (1, {'@': 85}), 51: (1, {'@': 85}), 2: (1, {'@': 85}), 27: (1, {'@': 85}), 30: (1, {'@': 85})}, 54: {34: (1, {'@': 86}), 14: (1, {'@': 86}), 35: (1, {'@': 86}), 16: (1, {'@': 86}), 3: (1, {'@': 86}), 36: (1, {'@': 86}), 37: (1, {'@': 86}), 38: (1, {'@': 86}), 24: (1, {'@': 86}), 21: (1, {'@': 86}), 1: (1, {'@': 86}), 39: (1, {'@': 86}), 26: (1, {'@': 86}), 29: (1, {'@': 86}), 31: (1, {'@': 86}), 0: (1, {'@': 86}), 40: (1, {'@': 86}), 9: (1, {'@': 86}), 41: (1, {'@': 86}), 15: (1, {'@': 86}), 17: (1, {'@': 86}), 18: (1, {'@': 86}), 42: (1, {'@': 86}), 43: (1, {'@': 86}), 44: (1, {'@': 86}), 19: (1, {'@': 86}), 33: (1, {'@': 86}), 20: (1, {'@': 86}), 45: (1, {'@': 86}), 46: (1, {'@': 86}), 47: (1, {'@': 86}), 22: (1, {'@': 86}), 23: (1, {'@': 86}), 48: (1, {'@': 86}), 4: (1, {'@': 86}), 49: (1, {'@': 86}), 50: (1, {'@': 86}), 51: (1, {'@': 86}), 2: (1, {'@': 86}), 27: (1, {'@': 86}), 30: (1, {'@': 86})}, 55: {34: (1, {'@': 87}), 14: (1, {'@': 87}), 35: (1, {'@': 87}), 16: (1, {'@': 87}), 3: (1, {'@': 87}), 36: (1, {'@': 87}), 37: (1, {'@': 87}), 38: (1, {'@': 87}), 24: (1, {'@': 87}), 21: (1, {'@': 87}), 1: (1, {'@': 87}), 39: (1, {'@': 87}), 26: (1, {'@': 87}), 29: (1, {'@': 87}), 31: (1, {'@': 87}), 0: (1, {'@': 87}), 40: (1, {'@': 87}), 9: (1, {'@': 87}), 41: (1, {'@': 87}), 15: (1, {'@': 87}), 17: (1, {'@': 87}), 18: (1, {'@': 87}), 42: (1, {'@': 87}), 43: (1, {'@': 87}), 44: (1, {'@': 87}), 19: (1, {'@': 87}), 33: (1, {'@': 87}), 20: (1, {'@': 87}), 45: (1, {'@': 87}), 46: (1, {'@': 87}), 47: (1, {'@': 87}), 22: (1, {'@': 87}), 23: (1, {'@': 87}), 48: (1, {'@': 87}), 4: (1, {'@': 87}), 49: (1, {'@': 87}), 50: (1, {'@': 87}), 51: (1, {'@': 87}), 2: (1, {'@': 87}), 27: (1, {'@': 87}), 30: (1, {'@': 87})}, 56: {34: (1, {'@': 88}), 14: (1, {'@': 88}), 35: (1, {'@': 88}), 16: (1, {'@': 88}), 3: (1, {'@': 88}), 36: (1, {'@': 88}), 37: (1, {'@': 88}), 38: (1, {'@': 88}), 24: (1, {'@': 88}), 21: (1, {'@': 88}), 1: (1, {'@': 88}), 39: (1, {'@': 88}), 26: (1, {'@': 88}), 29: (1, {'@': 88}), 31: (1, {'@': 88}), 0: (1, {'@': 88}), 40: (1, {'@': 88}), 9: (1, {'@': 88}), 41: (1, {'@': 88}), 15: (1, {'@': 88}), 17: (1, {'@': 88}), 18: (1, {'@': 88}), 42: (1, {'@': 88}), 43: (1, {'@': 88}), 44: (1, {'@': 88}), 19: (1, {'@': 88}), 33: (1, {'@': 88}), 20: (1, {'@': 88}), 45: (1, {'@': 88}), 46: (1, {'@': 88}), 47: (1, {'@': 88}), 22: (1, {'@': 88}), 23: (1, {'@': 88}), 48: (1, {'@': 88}), 4: (1, {'@': 88}), 49: (1, {'@': 88}), 50: (1, {'@': 88}), 51: (1, {'@': 88}), 2: (1, {'@': 88}), 27: (1, {'@': 88}), 30: (1, {'@': 88})}, 57: {34: (1, {'@': 89}), 14: (1, {'@': 89}), 35: (1, {'@': 89}), 16: (1, {'@': 89}), 3: (1, {'@': 89}), 36: (1, {'@': 89}), 37: (1, {'@': 89}), 38: (1, {'@': 89}), 24: (1, {'@': 89}), 21: (1, {'@': 89}), 1: (1, {'@': 89}), 39: (1, {'@': 89}), 26: (1, {'@': 89}), 29: (1, {'@': 89}), 31: (1, {'@': 89}), 0: (1, {'@': 89}), 40: (1, {'@': 89}), 9: (1, {'@': 89}), 41: (1, {'@': 89}), 15: (1, {'@': 89}), 17: (1, {'@': 89}), 18: (1, {'@': 89}), 42: (1, {'@': 89}), 43: (1, {'@': 89}), 44: (1, {'@': 89}), 19: (1, {'@': 89}), 33: (1, {'@': 89}), 20: (1, {'@': 89}), 45: (1, {'@': 89}), 46: (1, {'@': 89}), 47: (1, {'@': 89}), 22: (1, {'@': 89}), 23: (1, {'@': 89}), 48: (1, {'@': 89}), 4: (1, {'@': 89}), 49: (1, {'@': 89}), 50: (1, {'@': 89}), 51: (1, {'@': 89}), 2: (1, {'@': 89}), 27: (1, {'@': 89}), 30: (1, {'@': 89})}, 58: {34: (1, {'@': 90}), 14: (1, {'@': 90}), 35: (1, {'@': 90}), 16: (1, {'@': 90}), 3: (1, {'@': 90}), 36: (1, {'@': 90}), 37: (1, {'@': 90}), 38: (1, {'@': 90}), 24: (1, {'@': 90}), 21: (1, {'@': 90}), 1: (1, {'@': 90}), 39: (1, {'@': 90}), 26: (1, {'@': 90}), 29: (1, {'@': 90}), 31: (1, {'@': 90}), 0: (1, {'@': 90}), 9: (1, {'@': 90}), 15: (1, {'@': 90}), 17: (1, {'@': 90}), 18: (1, {'@': 90}), 42: (1, {'@': 90}), 43: (1, {'@': 90}), 44: (1, {'@': 90}), 19: (1, {'@': 90}), 33: (1, {'@': 90}), 20: (1, {'@': 90}), 45: (1, {'@': 90}), 46: (1, {'@': 90}), 47: (1, {'@': 90}), 22: (1, {'@': 90}), 23: (1, {'@': 90}), 48: (1, {'@': 90}), 4: (1, {'@': 90}), 49: (1, {'@': 90}), 50: (1, {'@': 90}), 51: (1, {'@': 90}), 2: (1, {'@': 90}), 27: (1, {'@': 90}), 30: (1, {'@': 90})}, 59: {34: (1, {'@': 91}), 14: (1, {'@': 91}), 35: (1, {'@': 91}), 16: (1, {'@': 91}), 3: (1, {'@': 91}), 36: (1, {'@': 91}), 37: (1, {'@': 91}), 38: (1, {'@': 91}), 24: (1, {'@': 91}), 21: (1, {'@': 91}), 1: (1, {'@': 91}), 39: (1, {'@': 91}), 26: (1, {'@': 91}), 29: (1, {'@': 91}), 31: (1, {'@': 91}), 0: (1, {'@': 91}), 9: (1, {'@': 91}), 15: (1, {'@': 91}), 17: (1, {'@': 91}), 18: (1, {'@': 91}), 42: (1, {'@': 91}), 43: (1, {'@': 91}), 44: (1, {'@': 91}), 19: (1, {'@': 91}), 33: (1, {'@': 91}), 20: (1, {'@': 91}), 45: (1, {'@': 91}), 46: (1, {'@': 91}), 47: (1, {'@': 91}), 22: (1, {'@': 91}), 23: (1, {'@': 91}), 48: (1, {'@': 91}), 4: (1, {'@': 91}), 49: (1, {'@': 91}), 50: (1, {'@': 91}), 51: (1, {'@': 91}), 2: (1, {'@': 91}), 27: (1, {'@': 91}), 30: (1, {'@': 91})}, 60: {34: (1, {'@': 92}), 14: (1, {'@': 92}), 35: (1, {'@': 92}), 16: (1, {'@': 92}), 3: (1, {'@': 92}), 36: (1, {'@': 92}), 37: (1, {'@': 92}), 38: (1, {'@': 92}), 24: (1, {'@': 92}), 21: (1, {'@': 92}), 1: (1, {'@': 92}), 39: (1, {'@': 92}), 26: (1, {'@': 92}), 29: (1, {'@': 92}), 31: (1, {'@': 92}), 0: (1, {'@': 92}), 40: (1, {'@': 92}), 9: (1, {'@': 92}), 41: (1, {'@': 92}), 15: (1, {'@': 92}), 17: (1, {'@': 92}), 18: (1, {'@': 92}), 42: (1, {'@': 92}), 43: (1, {'@': 92}), 44: (1, {'@': 92}), 19: (1, {'@': 92}), 33: (1, {'@': 92}), 20: (1, {'@': 92}), 45: (1, {'@': 92}), 46: (1, {'@': 92}), 47: (1, {'@': 92}), 22: (1, {'@': 92}), 23: (1, {'@': 92}), 48: (1, {'@': 92}), 4: (1, {'@': 92}), 49: (1, {'@': 92}), 50: (1, {'@': 92}), 51: (1, {'@': 92}), 2: (1, {'@': 92}), 27: (1, {'@': 92}), 30: (1, {'@': 92})}, 61: {34: (1, {'@': 93}), 14: (1, {'@': 93}), 35: (1, {'@': 93}), 16: (1, {'@': 93}), 3: (1, {'@': 93}), 36: (1, {'@': 93}), 37: (1, {'@': 93}), 38: (1, {'@': 93}), 24: (1, {'@': 93}), 21: (1, {'@': 93}), 1: (1, {'@': 93}), 39: (1, {'@': 93}), 26: (1, {'@': 93}), 29: (1, {'@': 93}), 31: (1, {'@': 93}), 0: (1, {'@': 93}), 40: (1, {'@': 93}), 9: (1, {'@': 93}), 41: (1, {'@': 93}), 15: (1, {'@': 93}), 17: (1, {'@': 93}), 18: (1, {'@': 93}), 42: (1, {'@': 93}), 43: (1, {'@': 93}), 44: (1, {'@': 93}), 19: (1, {'@': 93}), 33: (1, {'@': 93}), 20: (1, {'@': 93}), 45: (1, {'@': 93}), 46: (1, {'@': 93}), 47: (1, {'@': 93}), 22: (1, {'@': 93}), 23: (1, {'@': 93}), 48: (1, {'@': 93}), 4: (1, {'@': 93}), 49: (1, {'@': 93}), 50: (1, {'@': 93}), 51: (1, {'@': 93}), 2: (1, {'@': 93}), 27: (1, {'@': 93}), 30: (1, {'@': 93})}, 62: {34: (1, {'@': 94}), 14: (1, {'@': 94}), 35: (1, {'@': 94}), 16: (1, {'@': 94}), 3: (1, {'@': 94}), 36: (1, {'@': 94}), 37: (1, {'@': 94}), 38: (1, {'@': 94}), 24: (1, {'@': 94}), 21: (1, {'@': 94}), 1: (1, {'@': 94}), 39: (1, {'@': 94}), 26: (1, {'@': 94}), 29: (1, {'@': 94}), 31: (1, {'@': 94}), 0: (1, {'@': 94}), 40: (1, {'@': 94}), 9: (1, {'@': 94}), 41: (1, {'@': 94}), 15: (1, {'@': 94}), 17: (1, {'@': 94}), 18: (1, {'@': 94}), 42: (1, {'@': 94}), 43: (1, {'@': 94}), 44: (1, {'@': 94}), 19: (1, {'@': 94}), 33: (1, {'@': 94}), 20: (1, {'@': 94}), 45: (1, {'@': 94}), 46: (1, {'@': 94}), 47: (1, {'@': 94}), 22: (1, {'@': 94}), 23: (1, {'@': 94}), 48: (1, {'@': 94}), 4: (1, {'@': 94}), 49: (1, {'@': 94}), 50: (1, {'@': 94}), 51: (1, {'@': 94}), 2: (1, {'@': 94}), 27: (1, {'@': 94}), 30: (1, {'@': 94})}, 63: {34: (1, {'@': 95}), 14: (1, {'@': 95}), 35: (1, {'@': 95}), 16: (1, {'@': 95}), 3: (1, {'@': 95}), 36: (1, {'@': 95}), 37: (1, {'@': 95}), 38: (1, {'@': 95}), 24: (1, {'@': 95}), 21: (1, {'@': 95}), 1: (1, {'@': 95}), 39: (1, {'@': 95}), 26: (1, {'@': 95}), 29: (1, {'@': 95}), 31: (1, {'@': 95}), 0: (1, {'@': 95}), 40: (1, {'@': 95}), 9: (1, {'@': 95}), 41: (1, {'@': 95}), 15: (1, {'@': 95}), 17: (1, {'@': 95}), 18: (1, {'@': 95}), 42: (1, {'@': 95}), 43: (1, {'@': 95}), 44: (1, {'@': 95}), 19: (1, {'@': 95}), 33: (1, {'@': 95}), 20: (1, {'@': 95}), 45: (1, {'@': 95}), 46: (1, {'@': 95}), 47: (1, {'@': 95}), 22: (1, {'@': 95}), 23: (1, {'@': 95}), 48: (1, {'@': 95}), 4: (1, {'@': 95}), 49: (1, {'@': 95}), 50: (1, {'@': 95}), 51: (1, {'@': 95}), 2: (1, {'@': 95}), 27: (1, {'@': 95}), 30: (1, {'@': 95})}, 64: {34: (1, {'@': 96}), 14: (1, {'@': 96}), 35: (1, {'@': 96}), 16: (1, {'@': 96}), 3: (1, {'@': 96}), 36: (1, {'@': 96}), 37: (1, {'@': 96}), 38: (1, {'@': 96}), 24: (1, {'@': 96}), 21: (1, {'@': 96}), 1: (1, {'@': 96}), 39: (1, {'@': 96}), 26: (1, {'@': 96}), 29: (1, {'@': 96}), 31: (1, {'@': 96}), 0: (1, {'@': 96}), 40: (1, {'@': 96}), 9: (1, {'@': 96}), 41: (1, {'@': 96}), 15: (1, {'@': 96}), 17: (1, {'@': 96}), 18: (1, {'@': 96}), 42: (1, {'@': 96}), 43: (1, {'@': 96}), 44: (1, {'@': 96}), 19: (1, {'@': 96}), 33: (1, {'@': 96}), 20: (1, {'@': 96}), 45: (1, {'@': 96}), 46: (1, {'@': 96}), 47: (1, {'@': 96}), 22: (1, {'@': 96}), 23: (1, {'@': 96}), 48: (1, {'@': 96}), 4: (1, {'@': 96}), 49: (1, {'@': 96}), 50: (1, {'@': 96}), 51: (1, {'@': 96}), 2: (1, {'@': 96}), 27: (1, {'@': 96}), 30: (1, {'@': 96})}, 65: {3: (0, 113)}, 66: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 2), 10: (0, 7), 8: (0, 5), 7: (0, 4), 9: (0, 6), 12: (0, 114)}, 67: {0: (1, {'@': 97})}, 68: {3: (0, 115)}, 69: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 2), 10: (0, 7), 12: (0, 116), 8: (0, 5), 7: (0, 4), 9: (0, 6)}, 70: {28: (0, 71), 20: (0, 31), 30: (0, 29), 8: (0, 72), 52: (0, 32), 75: (0, 117), 53: (0, 33), 54: (0, 34), 23: (0, 35), 63: (0, 74), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 76: (0, 118), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 71: {4: (0, 1), 11: (0, 119), 8: (0, 120), 6: (0, 3), 2: (0, 10), 9: (0, 6), 1: (0, 12)}, 72: {34: (1, {'@': 66}), 14: (0, 60), 35: (1, {'@': 66}), 16: (0, 55), 3: (1, {'@': 66}), 36: (1, {'@': 66}), 37: (1, {'@': 66}), 38: (1, {'@': 66}), 24: (1, {'@': 66}), 21: (0, 121), 1: (1, {'@': 66}), 39: (1, {'@': 66}), 26: (0, 49), 29: (0, 47), 31: (0, 42), 0: (1, {'@': 66}), 40: (1, {'@': 66}), 9: (0, 6), 41: (1, {'@': 66}), 15: (1, {'@': 66}), 17: (1, {'@': 66}), 18: (1, {'@': 66}), 42: (1, {'@': 66}), 43: (1, {'@': 66}), 44: (1, {'@': 66}), 19: (0, 39), 33: (0, 122), 20: (0, 31), 45: (1, {'@': 66}), 46: (1, {'@': 66}), 47: (1, {'@': 66}), 22: (0, 63), 23: (0, 35), 48: (1, {'@': 66}), 4: (1, {'@': 66}), 49: (1, {'@': 66}), 50: (1, {'@': 66}), 51: (1, {'@': 66}), 2: (1, {'@': 66}), 27: (0, 51), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 54: (0, 34), 55: (0, 36), 56: (0, 37), 57: (0, 40), 58: (0, 41), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 64: (0, 50), 63: (0, 123), 65: (0, 52), 66: (0, 53), 67: (0, 54), 68: (0, 56), 69: (0, 57), 70: (0, 58), 71: (0, 59), 72: (0, 61), 73: (0, 62), 74: (0, 64)}, 73: {20: (0, 31), 30: (0, 29), 8: (0, 30), 63: (0, 124), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 74: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 43: (0, 106), 53: (0, 33), 82: (0, 95), 54: (0, 34), 23: (0, 35), 47: (0, 99), 55: (0, 36), 51: (0, 100), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 34: (0, 110), 58: (0, 41), 83: (0, 104), 31: (0, 42), 37: (0, 108), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 44: (0, 111), 46: (0, 97), 27: (0, 125), 48: (0, 101), 26: (0, 49), 35: (0, 102), 64: (0, 50), 38: (0, 105), 45: (0, 109), 42: (0, 96), 65: (0, 52), 63: (0, 126), 66: (0, 53), 49: (0, 107), 67: (0, 54), 16: (0, 55), 68: (0, 56), 33: (0, 127), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 75: {34: (1, {'@': 98}), 14: (1, {'@': 98}), 35: (1, {'@': 98}), 16: (1, {'@': 98}), 3: (1, {'@': 98}), 36: (1, {'@': 98}), 37: (1, {'@': 98}), 38: (1, {'@': 98}), 24: (1, {'@': 98}), 21: (1, {'@': 98}), 1: (1, {'@': 98}), 39: (1, {'@': 98}), 26: (1, {'@': 98}), 29: (1, {'@': 98}), 31: (1, {'@': 98}), 0: (1, {'@': 98}), 40: (1, {'@': 98}), 9: (1, {'@': 98}), 41: (1, {'@': 98}), 15: (1, {'@': 98}), 17: (1, {'@': 98}), 18: (1, {'@': 98}), 42: (1, {'@': 98}), 43: (1, {'@': 98}), 44: (1, {'@': 98}), 19: (1, {'@': 98}), 33: (1, {'@': 98}), 20: (1, {'@': 98}), 45: (1, {'@': 98}), 46: (1, {'@': 98}), 47: (1, {'@': 98}), 22: (1, {'@': 98}), 23: (1, {'@': 98}), 48: (1, {'@': 98}), 4: (1, {'@': 98}), 49: (1, {'@': 98}), 50: (1, {'@': 98}), 51: (1, {'@': 98}), 2: (1, {'@': 98}), 27: (1, {'@': 98}), 30: (1, {'@': 98})}, 76: {4: (0, 1), 6: (0, 3), 84: (0, 128), 18: (0, 129), 85: (0, 130), 11: (0, 131), 3: (0, 132), 2: (0, 10), 1: (0, 12)}, 77: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 86: (0, 133), 54: (0, 34), 23: (0, 35), 55: (0, 36), 63: (0, 134), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 11: (0, 135), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 17: (0, 136), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 78: {4: (0, 1), 87: (0, 137), 46: (0, 97), 27: (0, 98), 48: (0, 101), 35: (0, 102), 83: (0, 104), 6: (0, 3), 2: (0, 10), 18: (0, 138), 38: (0, 105), 43: (0, 106), 37: (0, 108), 11: (0, 139), 45: (0, 109), 82: (0, 95), 42: (0, 96), 47: (0, 99), 51: (0, 100), 24: (0, 140), 49: (0, 107), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 79: {11: (0, 141), 20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 63: (0, 142), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 80: {34: (1, {'@': 99}), 14: (1, {'@': 99}), 35: (1, {'@': 99}), 16: (1, {'@': 99}), 3: (1, {'@': 99}), 36: (1, {'@': 99}), 37: (1, {'@': 99}), 38: (1, {'@': 99}), 24: (1, {'@': 99}), 21: (1, {'@': 99}), 1: (1, {'@': 99}), 39: (1, {'@': 99}), 26: (1, {'@': 99}), 29: (1, {'@': 99}), 31: (1, {'@': 99}), 0: (1, {'@': 99}), 40: (1, {'@': 99}), 9: (1, {'@': 99}), 41: (1, {'@': 99}), 15: (1, {'@': 99}), 17: (1, {'@': 99}), 18: (1, {'@': 99}), 42: (1, {'@': 99}), 43: (1, {'@': 99}), 44: (1, {'@': 99}), 19: (1, {'@': 99}), 33: (1, {'@': 99}), 20: (1, {'@': 99}), 45: (1, {'@': 99}), 46: (1, {'@': 99}), 47: (1, {'@': 99}), 22: (1, {'@': 99}), 23: (1, {'@': 99}), 48: (1, {'@': 99}), 4: (1, {'@': 99}), 49: (1, {'@': 99}), 50: (1, {'@': 99}), 51: (1, {'@': 99}), 2: (1, {'@': 99}), 27: (1, {'@': 99}), 30: (1, {'@': 99})}, 81: {28: (0, 71), 20: (0, 31), 30: (0, 29), 8: (0, 30), 63: (0, 143), 75: (0, 144), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 24: (0, 145), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 70: (0, 58), 9: (0, 6), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 82: {34: (1, {'@': 100}), 14: (1, {'@': 100}), 35: (1, {'@': 100}), 16: (1, {'@': 100}), 3: (1, {'@': 100}), 36: (1, {'@': 100}), 37: (1, {'@': 100}), 38: (1, {'@': 100}), 24: (1, {'@': 100}), 21: (1, {'@': 100}), 1: (1, {'@': 100}), 39: (1, {'@': 100}), 26: (1, {'@': 100}), 29: (1, {'@': 100}), 31: (1, {'@': 100}), 0: (1, {'@': 100}), 77: (1, {'@': 100}), 40: (1, {'@': 100}), 9: (1, {'@': 100}), 41: (1, {'@': 100}), 15: (1, {'@': 100}), 17: (1, {'@': 100}), 18: (1, {'@': 100}), 42: (1, {'@': 100}), 43: (1, {'@': 100}), 44: (1, {'@': 100}), 19: (1, {'@': 100}), 33: (1, {'@': 100}), 20: (1, {'@': 100}), 45: (1, {'@': 100}), 46: (1, {'@': 100}), 47: (1, {'@': 100}), 22: (1, {'@': 100}), 23: (1, {'@': 100}), 48: (1, {'@': 100}), 4: (1, {'@': 100}), 49: (1, {'@': 100}), 50: (1, {'@': 100}), 51: (1, {'@': 100}), 2: (1, {'@': 100}), 27: (1, {'@': 100}), 30: (1, {'@': 100})}, 83: {55: (0, 146), 23: (0, 35)}, 84: {55: (0, 147), 23: (0, 35)}, 85: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 63: (0, 148), 59: (0, 43), 60: (0, 44), 61: (0, 45), 11: (0, 149), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 43: (0, 150), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 86: {34: (1, {'@': 101}), 14: (1, {'@': 101}), 35: (1, {'@': 101}), 16: (1, {'@': 101}), 3: (1, {'@': 101}), 36: (1, {'@': 101}), 37: (1, {'@': 101}), 38: (1, {'@': 101}), 24: (1, {'@': 101}), 21: (1, {'@': 101}), 1: (1, {'@': 101}), 39: (1, {'@': 101}), 26: (1, {'@': 101}), 29: (1, {'@': 101}), 31: (1, {'@': 101}), 0: (1, {'@': 101}), 40: (0, 152), 9: (1, {'@': 101}), 41: (1, {'@': 101}), 15: (1, {'@': 101}), 17: (1, {'@': 101}), 18: (1, {'@': 101}), 42: (1, {'@': 101}), 43: (1, {'@': 101}), 44: (1, {'@': 101}), 19: (1, {'@': 101}), 33: (1, {'@': 101}), 20: (1, {'@': 101}), 45: (1, {'@': 101}), 46: (1, {'@': 101}), 47: (1, {'@': 101}), 22: (1, {'@': 101}), 23: (1, {'@': 101}), 48: (1, {'@': 101}), 4: (1, {'@': 101}), 49: (1, {'@': 101}), 50: (1, {'@': 101}), 51: (1, {'@': 101}), 2: (1, {'@': 101}), 27: (1, {'@': 101}), 30: (1, {'@': 101}), 88: (0, 151), 80: (0, 153)}, 87: {34: (1, {'@': 102}), 14: (1, {'@': 102}), 35: (1, {'@': 102}), 16: (1, {'@': 102}), 3: (1, {'@': 102}), 36: (1, {'@': 102}), 37: (1, {'@': 102}), 38: (1, {'@': 102}), 24: (1, {'@': 102}), 21: (1, {'@': 102}), 1: (1, {'@': 102}), 39: (1, {'@': 102}), 26: (1, {'@': 102}), 29: (1, {'@': 102}), 31: (1, {'@': 102}), 0: (1, {'@': 102}), 40: (1, {'@': 102}), 9: (1, {'@': 102}), 41: (1, {'@': 102}), 15: (1, {'@': 102}), 17: (1, {'@': 102}), 18: (1, {'@': 102}), 42: (1, {'@': 102}), 43: (1, {'@': 102}), 44: (1, {'@': 102}), 19: (1, {'@': 102}), 33: (1, {'@': 102}), 20: (1, {'@': 102}), 45: (1, {'@': 102}), 46: (1, {'@': 102}), 47: (1, {'@': 102}), 22: (1, {'@': 102}), 23: (1, {'@': 102}), 48: (1, {'@': 102}), 4: (1, {'@': 102}), 49: (1, {'@': 102}), 50: (1, {'@': 102}), 51: (1, {'@': 102}), 2: (1, {'@': 102}), 27: (1, {'@': 102}), 30: (1, {'@': 102})}, 88: {34: (1, {'@': 103}), 14: (1, {'@': 103}), 35: (1, {'@': 103}), 16: (1, {'@': 103}), 3: (1, {'@': 103}), 36: (1, {'@': 103}), 37: (1, {'@': 103}), 38: (1, {'@': 103}), 24: (1, {'@': 103}), 21: (1, {'@': 103}), 1: (1, {'@': 103}), 39: (1, {'@': 103}), 26: (1, {'@': 103}), 29: (1, {'@': 103}), 31: (1, {'@': 103}), 0: (1, {'@': 103}), 40: (1, {'@': 103}), 9: (1, {'@': 103}), 41: (1, {'@': 103}), 15: (1, {'@': 103}), 17: (1, {'@': 103}), 18: (1, {'@': 103}), 42: (1, {'@': 103}), 43: (1, {'@': 103}), 44: (1, {'@': 103}), 19: (1, {'@': 103}), 33: (1, {'@': 103}), 20: (1, {'@': 103}), 45: (1, {'@': 103}), 46: (1, {'@': 103}), 47: (1, {'@': 103}), 22: (1, {'@': 103}), 23: (1, {'@': 103}), 48: (1, {'@': 103}), 4: (1, {'@': 103}), 49: (1, {'@': 103}), 50: (1, {'@': 103}), 51: (1, {'@': 103}), 2: (1, {'@': 103}), 27: (1, {'@': 103}), 30: (1, {'@': 103})}, 89: {34: (1, {'@': 104}), 14: (1, {'@': 104}), 35: (1, {'@': 104}), 16: (1, {'@': 104}), 3: (1, {'@': 104}), 36: (1, {'@': 104}), 37: (1, {'@': 104}), 38: (1, {'@': 104}), 24: (1, {'@': 104}), 21: (1, {'@': 104}), 1: (1, {'@': 104}), 39: (1, {'@': 104}), 26: (1, {'@': 104}), 29: (1, {'@': 104}), 31: (1, {'@': 104}), 0: (1, {'@': 104}), 40: (1, {'@': 104}), 9: (1, {'@': 104}), 41: (1, {'@': 104}), 15: (1, {'@': 104}), 17: (1, {'@': 104}), 18: (1, {'@': 104}), 42: (1, {'@': 104}), 43: (1, {'@': 104}), 44: (1, {'@': 104}), 19: (1, {'@': 104}), 33: (1, {'@': 104}), 20: (1, {'@': 104}), 45: (1, {'@': 104}), 46: (1, {'@': 104}), 47: (1, {'@': 104}), 22: (1, {'@': 104}), 23: (1, {'@': 104}), 48: (1, {'@': 104}), 4: (1, {'@': 104}), 49: (1, {'@': 104}), 50: (1, {'@': 104}), 51: (1, {'@': 104}), 2: (1, {'@': 104}), 27: (1, {'@': 104}), 30: (1, {'@': 104})}, 90: {34: (1, {'@': 105}), 14: (1, {'@': 105}), 35: (1, {'@': 105}), 16: (1, {'@': 105}), 3: (1, {'@': 105}), 36: (1, {'@': 105}), 37: (1, {'@': 105}), 38: (1, {'@': 105}), 24: (1, {'@': 105}), 21: (1, {'@': 105}), 1: (1, {'@': 105}), 39: (1, {'@': 105}), 26: (1, {'@': 105}), 29: (1, {'@': 105}), 31: (1, {'@': 105}), 0: (1, {'@': 105}), 40: (1, {'@': 105}), 9: (1, {'@': 105}), 41: (1, {'@': 105}), 15: (1, {'@': 105}), 17: (1, {'@': 105}), 18: (1, {'@': 105}), 42: (1, {'@': 105}), 43: (1, {'@': 105}), 44: (1, {'@': 105}), 19: (1, {'@': 105}), 33: (1, {'@': 105}), 20: (1, {'@': 105}), 45: (1, {'@': 105}), 46: (1, {'@': 105}), 47: (1, {'@': 105}), 22: (1, {'@': 105}), 23: (1, {'@': 105}), 48: (1, {'@': 105}), 4: (1, {'@': 105}), 49: (1, {'@': 105}), 50: (1, {'@': 105}), 51: (1, {'@': 105}), 2: (1, {'@': 105}), 27: (1, {'@': 105}), 30: (1, {'@': 105})}, 91: {9: (0, 6), 23: (0, 35), 55: (0, 154), 8: (0, 155)}, 92: {82: (0, 95), 42: (0, 96), 4: (0, 1), 46: (0, 97), 6: (0, 3), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 17: (0, 156), 11: (0, 157), 83: (0, 104), 38: (0, 105), 2: (0, 10), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 93: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 63: (0, 158), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 94: {34: (1, {'@': 106}), 14: (1, {'@': 106}), 35: (1, {'@': 106}), 16: (1, {'@': 106}), 3: (1, {'@': 106}), 36: (1, {'@': 106}), 37: (1, {'@': 106}), 38: (1, {'@': 106}), 24: (1, {'@': 106}), 21: (1, {'@': 106}), 1: (1, {'@': 106}), 39: (1, {'@': 106}), 26: (1, {'@': 106}), 29: (1, {'@': 106}), 31: (1, {'@': 106}), 0: (1, {'@': 106}), 9: (1, {'@': 106}), 15: (1, {'@': 106}), 17: (1, {'@': 106}), 18: (1, {'@': 106}), 42: (1, {'@': 106}), 43: (1, {'@': 106}), 44: (1, {'@': 106}), 19: (1, {'@': 106}), 33: (1, {'@': 106}), 20: (0, 85), 45: (1, {'@': 106}), 46: (1, {'@': 106}), 47: (1, {'@': 106}), 22: (1, {'@': 106}), 23: (1, {'@': 106}), 48: (1, {'@': 106}), 4: (1, {'@': 106}), 49: (1, {'@': 106}), 50: (1, {'@': 106}), 51: (1, {'@': 106}), 2: (1, {'@': 106}), 27: (1, {'@': 106}), 30: (1, {'@': 106}), 41: (0, 86), 78: (0, 87), 79: (0, 88), 80: (0, 89), 81: (0, 90), 40: (0, 91)}, 95: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 11: (0, 159), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 63: (0, 160), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 96: {14: (1, {'@': 107}), 21: (1, {'@': 107}), 22: (1, {'@': 107}), 23: (1, {'@': 107}), 1: (1, {'@': 107}), 9: (1, {'@': 107}), 16: (1, {'@': 107}), 4: (1, {'@': 107}), 19: (1, {'@': 107}), 2: (1, {'@': 107}), 20: (1, {'@': 107}), 26: (1, {'@': 107}), 27: (1, {'@': 107}), 29: (1, {'@': 107}), 30: (1, {'@': 107}), 31: (1, {'@': 107})}, 97: {14: (1, {'@': 108}), 21: (1, {'@': 108}), 22: (1, {'@': 108}), 23: (1, {'@': 108}), 1: (1, {'@': 108}), 9: (1, {'@': 108}), 16: (1, {'@': 108}), 4: (1, {'@': 108}), 19: (1, {'@': 108}), 2: (1, {'@': 108}), 20: (1, {'@': 108}), 26: (1, {'@': 108}), 27: (1, {'@': 108}), 29: (1, {'@': 108}), 30: (1, {'@': 108}), 31: (1, {'@': 108})}, 98: {14: (1, {'@': 109}), 21: (1, {'@': 109}), 22: (1, {'@': 109}), 23: (1, {'@': 109}), 1: (1, {'@': 109}), 9: (1, {'@': 109}), 16: (1, {'@': 109}), 4: (1, {'@': 109}), 19: (1, {'@': 109}), 2: (1, {'@': 109}), 20: (1, {'@': 109}), 26: (1, {'@': 109}), 27: (1, {'@': 109}), 29: (1, {'@': 109}), 30: (1, {'@': 109}), 31: (1, {'@': 109})}, 99: {14: (1, {'@': 110}), 21: (1, {'@': 110}), 22: (1, {'@': 110}), 23: (1, {'@': 110}), 1: (1, {'@': 110}), 9: (1, {'@': 110}), 16: (1, {'@': 110}), 4: (1, {'@': 110}), 19: (1, {'@': 110}), 2: (1, {'@': 110}), 20: (1, {'@': 110}), 26: (1, {'@': 110}), 27: (1, {'@': 110}), 29: (1, {'@': 110}), 30: (1, {'@': 110}), 31: (1, {'@': 110})}, 100: {14: (1, {'@': 111}), 21: (1, {'@': 111}), 22: (1, {'@': 111}), 23: (1, {'@': 111}), 1: (1, {'@': 111}), 9: (1, {'@': 111}), 16: (1, {'@': 111}), 4: (1, {'@': 111}), 19: (1, {'@': 111}), 2: (1, {'@': 111}), 20: (1, {'@': 111}), 26: (1, {'@': 111}), 27: (1, {'@': 111}), 29: (1, {'@': 111}), 30: (1, {'@': 111}), 31: (1, {'@': 111})}, 101: {14: (1, {'@': 112}), 21: (1, {'@': 112}), 22: (1, {'@': 112}), 23: (1, {'@': 112}), 1: (1, {'@': 112}), 9: (1, {'@': 112}), 16: (1, {'@': 112}), 4: (1, {'@': 112}), 19: (1, {'@': 112}), 2: (1, {'@': 112}), 20: (1, {'@': 112}), 26: (1, {'@': 112}), 27: (1, {'@': 112}), 29: (1, {'@': 112}), 30: (1, {'@': 112}), 31: (1, {'@': 112})}, 102: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 63: (0, 161), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 103: {0: (1, {'@': 113}), 1: (1, {'@': 113}), 2: (1, {'@': 113}), 3: (1, {'@': 113}), 9: (1, {'@': 113}), 4: (1, {'@': 113})}, 104: {34: (1, {'@': 114}), 14: (1, {'@': 114}), 35: (1, {'@': 114}), 16: (1, {'@': 114}), 3: (1, {'@': 114}), 36: (1, {'@': 114}), 37: (1, {'@': 114}), 38: (1, {'@': 114}), 24: (1, {'@': 114}), 21: (1, {'@': 114}), 1: (1, {'@': 114}), 39: (1, {'@': 114}), 26: (1, {'@': 114}), 29: (1, {'@': 114}), 31: (1, {'@': 114}), 0: (1, {'@': 114}), 9: (1, {'@': 114}), 15: (1, {'@': 114}), 17: (1, {'@': 114}), 18: (1, {'@': 114}), 42: (1, {'@': 114}), 43: (1, {'@': 114}), 44: (1, {'@': 114}), 19: (1, {'@': 114}), 33: (1, {'@': 114}), 20: (1, {'@': 114}), 45: (1, {'@': 114}), 46: (1, {'@': 114}), 47: (1, {'@': 114}), 22: (1, {'@': 114}), 23: (1, {'@': 114}), 48: (1, {'@': 114}), 4: (1, {'@': 114}), 49: (1, {'@': 114}), 50: (1, {'@': 114}), 51: (1, {'@': 114}), 2: (1, {'@': 114}), 27: (1, {'@': 114}), 30: (1, {'@': 114})}, 105: {14: (1, {'@': 115}), 21: (1, {'@': 115}), 22: (1, {'@': 115}), 23: (1, {'@': 115}), 1: (1, {'@': 115}), 9: (1, {'@': 115}), 16: (1, {'@': 115}), 4: (1, {'@': 115}), 19: (1, {'@': 115}), 2: (1, {'@': 115}), 20: (1, {'@': 115}), 26: (1, {'@': 115}), 27: (1, {'@': 115}), 29: (1, {'@': 115}), 30: (1, {'@': 115}), 31: (1, {'@': 115})}, 106: {14: (1, {'@': 116}), 21: (1, {'@': 116}), 22: (1, {'@': 116}), 23: (1, {'@': 116}), 1: (1, {'@': 116}), 9: (1, {'@': 116}), 16: (1, {'@': 116}), 4: (1, {'@': 116}), 19: (1, {'@': 116}), 2: (1, {'@': 116}), 20: (1, {'@': 116}), 26: (1, {'@': 116}), 27: (1, {'@': 116}), 29: (1, {'@': 116}), 30: (1, {'@': 116}), 31: (1, {'@': 116})}, 107: {14: (1, {'@': 117}), 21: (1, {'@': 117}), 22: (1, {'@': 117}), 23: (1, {'@': 117}), 1: (1, {'@': 117}), 9: (1, {'@': 117}), 16: (1, {'@': 117}), 4: (1, {'@': 117}), 19: (1, {'@': 117}), 2: (1, {'@': 117}), 20: (1, {'@': 117}), 26: (1, {'@': 117}), 27: (1, {'@': 117}), 29: (1, {'@': 117}), 30: (1, {'@': 117}), 31: (1, {'@': 117})}, 108: {14: (1, {'@': 118}), 21: (1, {'@': 118}), 22: (1, {'@': 118}), 23: (1, {'@': 118}), 1: (1, {'@': 118}), 9: (1, {'@': 118}), 16: (1, {'@': 118}), 4: (1, {'@': 118}), 19: (1, {'@': 118}), 2: (1, {'@': 118}), 20: (1, {'@': 118}), 26: (1, {'@': 118}), 27: (1, {'@': 118}), 29: (1, {'@': 118}), 30: (1, {'@': 118}), 31: (1, {'@': 118})}, 109: {14: (1, {'@': 119}), 21: (1, {'@': 119}), 22: (1, {'@': 119}), 23: (1, {'@': 119}), 1: (1, {'@': 119}), 9: (1, {'@': 119}), 16: (1, {'@': 119}), 4: (1, {'@': 119}), 19: (1, {'@': 119}), 2: (1, {'@': 119}), 20: (1, {'@': 119}), 26: (1, {'@': 119}), 27: (1, {'@': 119}), 29: (1, {'@': 119}), 30: (1, {'@': 119}), 31: (1, {'@': 119})}, 110: {14: (1, {'@': 120}), 21: (1, {'@': 120}), 22: (1, {'@': 120}), 23: (1, {'@': 120}), 1: (1, {'@': 120}), 9: (1, {'@': 120}), 16: (1, {'@': 120}), 4: (1, {'@': 120}), 19: (1, {'@': 120}), 2: (1, {'@': 120}), 20: (1, {'@': 120}), 26: (1, {'@': 120}), 27: (1, {'@': 120}), 29: (1, {'@': 120}), 30: (1, {'@': 120}), 31: (1, {'@': 120})}, 111: {14: (1, {'@': 121}), 21: (1, {'@': 121}), 22: (1, {'@': 121}), 23: (1, {'@': 121}), 1: (1, {'@': 121}), 9: (1, {'@': 121}), 16: (1, {'@': 121}), 4: (1, {'@': 121}), 19: (1, {'@': 121}), 2: (1, {'@': 121}), 20: (1, {'@': 121}), 26: (1, {'@': 121}), 27: (1, {'@': 121}), 29: (1, {'@': 121}), 30: (1, {'@': 121}), 31: (1, {'@': 121})}, 112: {34: (1, {'@': 122}), 14: (1, {'@': 122}), 35: (1, {'@': 122}), 16: (1, {'@': 122}), 3: (1, {'@': 122}), 36: (1, {'@': 122}), 37: (1, {'@': 122}), 38: (1, {'@': 122}), 24: (1, {'@': 122}), 21: (1, {'@': 122}), 1: (1, {'@': 122}), 39: (1, {'@': 122}), 26: (1, {'@': 122}), 29: (1, {'@': 122}), 31: (1, {'@': 122}), 0: (1, {'@': 122}), 9: (1, {'@': 122}), 15: (1, {'@': 122}), 17: (1, {'@': 122}), 18: (1, {'@': 122}), 42: (1, {'@': 122}), 43: (1, {'@': 122}), 44: (1, {'@': 122}), 19: (1, {'@': 122}), 33: (1, {'@': 122}), 20: (0, 85), 45: (1, {'@': 122}), 46: (1, {'@': 122}), 47: (1, {'@': 122}), 22: (1, {'@': 122}), 23: (1, {'@': 122}), 48: (1, {'@': 122}), 4: (1, {'@': 122}), 49: (1, {'@': 122}), 50: (1, {'@': 122}), 51: (1, {'@': 122}), 2: (1, {'@': 122}), 27: (1, {'@': 122}), 30: (1, {'@': 122}), 41: (0, 86), 78: (0, 87), 79: (0, 88), 80: (0, 89), 81: (0, 90), 40: (0, 91)}, 113: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 162), 1: (0, 12)}, 114: {3: (0, 163)}, 115: {6: (0, 3), 11: (0, 164), 4: (0, 1), 2: (0, 10), 1: (0, 12)}, 116: {3: (0, 165)}, 117: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 63: (0, 166), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 118: {4: (0, 1), 6: (0, 3), 84: (0, 167), 18: (0, 129), 85: (0, 168), 11: (0, 131), 2: (0, 10), 3: (0, 169), 1: (0, 12)}, 119: {8: (0, 170), 9: (0, 6)}, 120: {4: (0, 1), 18: (0, 171), 6: (0, 3), 25: (0, 172), 11: (0, 173), 2: (0, 10), 1: (0, 12)}, 121: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 86: (0, 133), 54: (0, 34), 23: (0, 35), 55: (0, 36), 63: (0, 174), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 11: (0, 175), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 17: (0, 136), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 122: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 63: (0, 176), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 123: {18: (1, {'@': 123}), 1: (1, {'@': 123}), 2: (1, {'@': 123}), 3: (1, {'@': 123}), 4: (1, {'@': 123}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 124: {82: (0, 95), 42: (0, 96), 50: (0, 177), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 125: {14: (0, 60), 21: (0, 38), 22: (0, 63), 23: (0, 35), 1: (1, {'@': 109}), 9: (0, 6), 16: (0, 55), 4: (1, {'@': 109}), 19: (0, 39), 2: (1, {'@': 109}), 20: (0, 31), 26: (0, 49), 27: (1, {'@': 109}), 29: (0, 47), 30: (0, 29), 31: (1, {'@': 109}), 8: (0, 30), 52: (0, 32), 53: (0, 33), 54: (0, 34), 55: (0, 36), 56: (0, 112), 57: (0, 40), 58: (0, 41), 59: (0, 43), 60: (0, 44), 61: (0, 45), 64: (0, 50), 65: (0, 52), 67: (0, 54), 68: (0, 56), 69: (0, 57), 72: (0, 61), 73: (0, 62), 74: (0, 64)}, 126: {18: (1, {'@': 124}), 1: (1, {'@': 124}), 2: (1, {'@': 124}), 3: (1, {'@': 124}), 4: (1, {'@': 124}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 127: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 63: (0, 178), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 128: {30: (0, 29), 8: (0, 72), 20: (0, 31), 3: (0, 179), 52: (0, 32), 76: (0, 180), 53: (0, 33), 54: (0, 34), 23: (0, 35), 63: (0, 74), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 129: {14: (1, {'@': 125}), 29: (1, {'@': 125}), 21: (1, {'@': 125}), 22: (1, {'@': 125}), 23: (1, {'@': 125}), 19: (1, {'@': 125}), 26: (1, {'@': 125}), 20: (1, {'@': 125}), 9: (1, {'@': 125}), 27: (1, {'@': 125}), 16: (1, {'@': 125}), 3: (1, {'@': 125}), 30: (1, {'@': 125}), 31: (1, {'@': 125}), 11: (0, 181), 6: (0, 3), 4: (0, 1), 2: (0, 10), 1: (0, 12)}, 130: {4: (0, 1), 6: (0, 3), 84: (0, 182), 18: (0, 129), 2: (0, 10), 11: (0, 131), 1: (0, 12), 3: (0, 183)}, 131: {14: (1, {'@': 126}), 29: (1, {'@': 126}), 21: (1, {'@': 126}), 22: (1, {'@': 126}), 23: (1, {'@': 126}), 19: (1, {'@': 126}), 26: (1, {'@': 126}), 20: (1, {'@': 126}), 9: (1, {'@': 126}), 27: (1, {'@': 126}), 16: (1, {'@': 126}), 3: (1, {'@': 126}), 30: (1, {'@': 126}), 31: (1, {'@': 126})}, 132: {34: (1, {'@': 127}), 14: (1, {'@': 127}), 35: (1, {'@': 127}), 16: (1, {'@': 127}), 3: (1, {'@': 127}), 36: (1, {'@': 127}), 37: (1, {'@': 127}), 38: (1, {'@': 127}), 24: (1, {'@': 127}), 21: (1, {'@': 127}), 1: (1, {'@': 127}), 39: (1, {'@': 127}), 26: (1, {'@': 127}), 29: (1, {'@': 127}), 31: (1, {'@': 127}), 0: (1, {'@': 127}), 40: (1, {'@': 127}), 9: (1, {'@': 127}), 41: (1, {'@': 127}), 15: (1, {'@': 127}), 17: (1, {'@': 127}), 18: (1, {'@': 127}), 42: (1, {'@': 127}), 43: (1, {'@': 127}), 44: (1, {'@': 127}), 19: (1, {'@': 127}), 33: (1, {'@': 127}), 20: (1, {'@': 127}), 45: (1, {'@': 127}), 46: (1, {'@': 127}), 47: (1, {'@': 127}), 22: (1, {'@': 127}), 23: (1, {'@': 127}), 48: (1, {'@': 127}), 4: (1, {'@': 127}), 49: (1, {'@': 127}), 50: (1, {'@': 127}), 51: (1, {'@': 127}), 2: (1, {'@': 127}), 27: (1, {'@': 127}), 30: (1, {'@': 127})}, 133: {6: (0, 3), 11: (0, 184), 4: (0, 1), 17: (0, 185), 2: (0, 10), 1: (0, 12)}, 134: {1: (0, 12), 4: (0, 1), 2: (0, 10), 17: (1, {'@': 128}), 87: (0, 186), 46: (0, 97), 27: (0, 98), 48: (0, 101), 35: (0, 102), 83: (0, 104), 6: (0, 3), 18: (0, 187), 39: (0, 188), 38: (0, 105), 43: (0, 106), 11: (0, 189), 37: (0, 108), 45: (0, 109), 82: (0, 95), 42: (0, 96), 47: (0, 99), 51: (0, 100), 49: (0, 107), 34: (0, 110), 44: (0, 111)}, 135: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 63: (0, 134), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 86: (0, 190), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 11: (0, 191), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 17: (0, 192), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 136: {34: (1, {'@': 129}), 14: (1, {'@': 129}), 35: (1, {'@': 129}), 16: (1, {'@': 129}), 3: (1, {'@': 129}), 36: (1, {'@': 129}), 37: (1, {'@': 129}), 38: (1, {'@': 129}), 24: (1, {'@': 129}), 21: (1, {'@': 129}), 1: (1, {'@': 129}), 39: (1, {'@': 129}), 26: (1, {'@': 129}), 29: (1, {'@': 129}), 31: (1, {'@': 129}), 0: (1, {'@': 129}), 40: (1, {'@': 129}), 9: (1, {'@': 129}), 41: (1, {'@': 129}), 15: (1, {'@': 129}), 17: (1, {'@': 129}), 18: (1, {'@': 129}), 42: (1, {'@': 129}), 43: (1, {'@': 129}), 44: (1, {'@': 129}), 19: (1, {'@': 129}), 33: (1, {'@': 129}), 20: (1, {'@': 129}), 45: (1, {'@': 129}), 46: (1, {'@': 129}), 47: (1, {'@': 129}), 22: (1, {'@': 129}), 23: (1, {'@': 129}), 48: (1, {'@': 129}), 4: (1, {'@': 129}), 49: (1, {'@': 129}), 50: (1, {'@': 129}), 51: (1, {'@': 129}), 2: (1, {'@': 129}), 27: (1, {'@': 129}), 30: (1, {'@': 129})}, 137: {4: (0, 1), 6: (0, 3), 11: (0, 193), 18: (0, 194), 2: (0, 10), 24: (0, 195), 1: (0, 12)}, 138: {30: (0, 29), 8: (0, 30), 20: (0, 31), 63: (0, 196), 24: (0, 197), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 11: (0, 198), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 139: {6: (0, 3), 4: (0, 1), 2: (0, 10), 18: (0, 199), 24: (0, 200), 1: (0, 12), 11: (0, 201)}, 140: {34: (1, {'@': 130}), 14: (1, {'@': 130}), 35: (1, {'@': 130}), 16: (1, {'@': 130}), 3: (1, {'@': 130}), 36: (1, {'@': 130}), 37: (1, {'@': 130}), 38: (1, {'@': 130}), 24: (1, {'@': 130}), 21: (1, {'@': 130}), 1: (1, {'@': 130}), 39: (1, {'@': 130}), 26: (1, {'@': 130}), 29: (1, {'@': 130}), 31: (1, {'@': 130}), 0: (1, {'@': 130}), 40: (1, {'@': 130}), 9: (1, {'@': 130}), 41: (1, {'@': 130}), 15: (1, {'@': 130}), 17: (1, {'@': 130}), 18: (1, {'@': 130}), 42: (1, {'@': 130}), 43: (1, {'@': 130}), 44: (1, {'@': 130}), 19: (1, {'@': 130}), 33: (1, {'@': 130}), 20: (1, {'@': 130}), 45: (1, {'@': 130}), 46: (1, {'@': 130}), 47: (1, {'@': 130}), 22: (1, {'@': 130}), 23: (1, {'@': 130}), 48: (1, {'@': 130}), 4: (1, {'@': 130}), 49: (1, {'@': 130}), 50: (1, {'@': 130}), 51: (1, {'@': 130}), 2: (1, {'@': 130}), 27: (1, {'@': 130}), 30: (1, {'@': 130})}, 141: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 63: (0, 202), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 142: {4: (0, 1), 11: (0, 203), 46: (0, 97), 27: (0, 98), 48: (0, 101), 35: (0, 102), 83: (0, 104), 6: (0, 3), 15: (0, 204), 2: (0, 10), 38: (0, 105), 43: (0, 106), 37: (0, 108), 24: (0, 205), 45: (0, 109), 82: (0, 95), 89: (0, 206), 42: (0, 96), 47: (0, 99), 51: (0, 100), 49: (0, 107), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 143: {87: (0, 207), 4: (0, 1), 46: (0, 97), 27: (0, 98), 11: (0, 208), 48: (0, 101), 35: (0, 102), 83: (0, 104), 6: (0, 3), 2: (0, 10), 18: (0, 209), 38: (0, 105), 43: (0, 106), 37: (0, 108), 45: (0, 109), 82: (0, 95), 42: (0, 96), 47: (0, 99), 51: (0, 100), 49: (0, 107), 34: (0, 110), 24: (0, 210), 1: (0, 12), 44: (0, 111)}, 144: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 63: (0, 211), 11: (0, 212), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 145: {34: (1, {'@': 131}), 14: (1, {'@': 131}), 35: (1, {'@': 131}), 16: (1, {'@': 131}), 3: (1, {'@': 131}), 36: (1, {'@': 131}), 37: (1, {'@': 131}), 38: (1, {'@': 131}), 24: (1, {'@': 131}), 21: (1, {'@': 131}), 1: (1, {'@': 131}), 39: (1, {'@': 131}), 26: (1, {'@': 131}), 29: (1, {'@': 131}), 31: (1, {'@': 131}), 0: (1, {'@': 131}), 40: (1, {'@': 131}), 9: (1, {'@': 131}), 41: (1, {'@': 131}), 15: (1, {'@': 131}), 17: (1, {'@': 131}), 18: (1, {'@': 131}), 42: (1, {'@': 131}), 43: (1, {'@': 131}), 44: (1, {'@': 131}), 19: (1, {'@': 131}), 33: (1, {'@': 131}), 20: (1, {'@': 131}), 45: (1, {'@': 131}), 46: (1, {'@': 131}), 47: (1, {'@': 131}), 22: (1, {'@': 131}), 23: (1, {'@': 131}), 48: (1, {'@': 131}), 4: (1, {'@': 131}), 49: (1, {'@': 131}), 50: (1, {'@': 131}), 51: (1, {'@': 131}), 2: (1, {'@': 131}), 27: (1, {'@': 131}), 30: (1, {'@': 131})}, 146: {34: (1, {'@': 132}), 14: (1, {'@': 132}), 35: (1, {'@': 132}), 16: (1, {'@': 132}), 3: (1, {'@': 132}), 36: (1, {'@': 132}), 37: (1, {'@': 132}), 38: (1, {'@': 132}), 24: (1, {'@': 132}), 21: (1, {'@': 132}), 1: (1, {'@': 132}), 39: (1, {'@': 132}), 26: (1, {'@': 132}), 29: (1, {'@': 132}), 31: (1, {'@': 132}), 0: (1, {'@': 132}), 40: (1, {'@': 132}), 9: (1, {'@': 132}), 41: (1, {'@': 132}), 15: (1, {'@': 132}), 17: (1, {'@': 132}), 18: (1, {'@': 132}), 42: (1, {'@': 132}), 43: (1, {'@': 132}), 44: (1, {'@': 132}), 19: (1, {'@': 132}), 33: (1, {'@': 132}), 20: (1, {'@': 132}), 45: (1, {'@': 132}), 46: (1, {'@': 132}), 47: (1, {'@': 132}), 22: (1, {'@': 132}), 23: (0, 82), 48: (1, {'@': 132}), 4: (1, {'@': 132}), 49: (1, {'@': 132}), 50: (1, {'@': 132}), 51: (1, {'@': 132}), 2: (1, {'@': 132}), 27: (1, {'@': 132}), 30: (1, {'@': 132}), 77: (0, 213)}, 147: {34: (1, {'@': 133}), 14: (1, {'@': 133}), 35: (1, {'@': 133}), 16: (1, {'@': 133}), 3: (1, {'@': 133}), 36: (1, {'@': 133}), 37: (1, {'@': 133}), 38: (1, {'@': 133}), 24: (1, {'@': 133}), 21: (1, {'@': 133}), 1: (1, {'@': 133}), 39: (1, {'@': 133}), 26: (1, {'@': 133}), 29: (1, {'@': 133}), 31: (1, {'@': 133}), 0: (1, {'@': 133}), 40: (1, {'@': 133}), 9: (1, {'@': 133}), 41: (1, {'@': 133}), 15: (1, {'@': 133}), 17: (1, {'@': 133}), 18: (1, {'@': 133}), 42: (1, {'@': 133}), 43: (1, {'@': 133}), 44: (1, {'@': 133}), 19: (1, {'@': 133}), 33: (1, {'@': 133}), 20: (1, {'@': 133}), 45: (1, {'@': 133}), 46: (1, {'@': 133}), 47: (1, {'@': 133}), 22: (1, {'@': 133}), 23: (0, 82), 48: (1, {'@': 133}), 4: (1, {'@': 133}), 49: (1, {'@': 133}), 50: (1, {'@': 133}), 51: (1, {'@': 133}), 2: (1, {'@': 133}), 27: (1, {'@': 133}), 30: (1, {'@': 133})}, 148: {4: (0, 1), 82: (0, 95), 11: (0, 214), 42: (0, 96), 46: (0, 97), 6: (0, 3), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 2: (0, 10), 38: (0, 105), 43: (0, 106), 49: (0, 107), 24: (0, 215), 37: (0, 108), 45: (0, 109), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 149: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 63: (0, 216), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 150: {24: (0, 217)}, 151: {34: (1, {'@': 134}), 14: (1, {'@': 134}), 35: (1, {'@': 134}), 16: (1, {'@': 134}), 3: (1, {'@': 134}), 36: (1, {'@': 134}), 37: (1, {'@': 134}), 38: (1, {'@': 134}), 24: (1, {'@': 134}), 21: (1, {'@': 134}), 1: (1, {'@': 134}), 39: (1, {'@': 134}), 26: (1, {'@': 134}), 29: (1, {'@': 134}), 31: (1, {'@': 134}), 0: (1, {'@': 134}), 40: (0, 152), 9: (1, {'@': 134}), 41: (1, {'@': 134}), 15: (1, {'@': 134}), 17: (1, {'@': 134}), 18: (1, {'@': 134}), 42: (1, {'@': 134}), 43: (1, {'@': 134}), 44: (1, {'@': 134}), 19: (1, {'@': 134}), 33: (1, {'@': 134}), 20: (1, {'@': 134}), 45: (1, {'@': 134}), 46: (1, {'@': 134}), 47: (1, {'@': 134}), 22: (1, {'@': 134}), 23: (1, {'@': 134}), 48: (1, {'@': 134}), 4: (1, {'@': 134}), 49: (1, {'@': 134}), 50: (1, {'@': 134}), 51: (1, {'@': 134}), 2: (1, {'@': 134}), 27: (1, {'@': 134}), 30: (1, {'@': 134}), 80: (0, 218)}, 152: {9: (0, 6), 8: (0, 155)}, 153: {34: (1, {'@': 135}), 14: (1, {'@': 135}), 35: (1, {'@': 135}), 16: (1, {'@': 135}), 3: (1, {'@': 135}), 36: (1, {'@': 135}), 37: (1, {'@': 135}), 38: (1, {'@': 135}), 24: (1, {'@': 135}), 21: (1, {'@': 135}), 1: (1, {'@': 135}), 39: (1, {'@': 135}), 26: (1, {'@': 135}), 29: (1, {'@': 135}), 31: (1, {'@': 135}), 0: (1, {'@': 135}), 40: (1, {'@': 135}), 9: (1, {'@': 135}), 41: (1, {'@': 135}), 15: (1, {'@': 135}), 17: (1, {'@': 135}), 18: (1, {'@': 135}), 42: (1, {'@': 135}), 43: (1, {'@': 135}), 44: (1, {'@': 135}), 19: (1, {'@': 135}), 33: (1, {'@': 135}), 20: (1, {'@': 135}), 45: (1, {'@': 135}), 46: (1, {'@': 135}), 47: (1, {'@': 135}), 22: (1, {'@': 135}), 23: (1, {'@': 135}), 48: (1, {'@': 135}), 4: (1, {'@': 135}), 49: (1, {'@': 135}), 50: (1, {'@': 135}), 51: (1, {'@': 135}), 2: (1, {'@': 135}), 27: (1, {'@': 135}), 30: (1, {'@': 135})}, 154: {34: (1, {'@': 136}), 14: (1, {'@': 136}), 35: (1, {'@': 136}), 16: (1, {'@': 136}), 3: (1, {'@': 136}), 36: (1, {'@': 136}), 37: (1, {'@': 136}), 38: (1, {'@': 136}), 24: (1, {'@': 136}), 21: (1, {'@': 136}), 1: (1, {'@': 136}), 39: (1, {'@': 136}), 26: (1, {'@': 136}), 29: (1, {'@': 136}), 31: (1, {'@': 136}), 0: (1, {'@': 136}), 40: (1, {'@': 136}), 9: (1, {'@': 136}), 41: (1, {'@': 136}), 15: (1, {'@': 136}), 17: (1, {'@': 136}), 18: (1, {'@': 136}), 42: (1, {'@': 136}), 43: (1, {'@': 136}), 44: (1, {'@': 136}), 19: (1, {'@': 136}), 33: (1, {'@': 136}), 20: (1, {'@': 136}), 45: (1, {'@': 136}), 46: (1, {'@': 136}), 47: (1, {'@': 136}), 22: (1, {'@': 136}), 23: (0, 82), 48: (1, {'@': 136}), 4: (1, {'@': 136}), 49: (1, {'@': 136}), 50: (1, {'@': 136}), 51: (1, {'@': 136}), 2: (1, {'@': 136}), 27: (1, {'@': 136}), 30: (1, {'@': 136})}, 155: {34: (1, {'@': 137}), 14: (1, {'@': 137}), 35: (1, {'@': 137}), 16: (1, {'@': 137}), 3: (1, {'@': 137}), 36: (1, {'@': 137}), 37: (1, {'@': 137}), 38: (1, {'@': 137}), 24: (1, {'@': 137}), 21: (1, {'@': 137}), 1: (1, {'@': 137}), 39: (1, {'@': 137}), 26: (1, {'@': 137}), 29: (1, {'@': 137}), 31: (1, {'@': 137}), 0: (1, {'@': 137}), 40: (1, {'@': 137}), 9: (1, {'@': 137}), 41: (1, {'@': 137}), 15: (1, {'@': 137}), 17: (1, {'@': 137}), 18: (1, {'@': 137}), 42: (1, {'@': 137}), 43: (1, {'@': 137}), 44: (1, {'@': 137}), 19: (1, {'@': 137}), 33: (1, {'@': 137}), 20: (1, {'@': 137}), 45: (1, {'@': 137}), 46: (1, {'@': 137}), 47: (1, {'@': 137}), 22: (1, {'@': 137}), 23: (1, {'@': 137}), 48: (1, {'@': 137}), 4: (1, {'@': 137}), 49: (1, {'@': 137}), 50: (1, {'@': 137}), 51: (1, {'@': 137}), 2: (1, {'@': 137}), 27: (1, {'@': 137}), 30: (1, {'@': 137})}, 156: {34: (1, {'@': 138}), 14: (1, {'@': 138}), 35: (1, {'@': 138}), 16: (1, {'@': 138}), 3: (1, {'@': 138}), 36: (1, {'@': 138}), 37: (1, {'@': 138}), 38: (1, {'@': 138}), 24: (1, {'@': 138}), 21: (1, {'@': 138}), 1: (1, {'@': 138}), 39: (1, {'@': 138}), 26: (1, {'@': 138}), 29: (1, {'@': 138}), 31: (1, {'@': 138}), 0: (1, {'@': 138}), 40: (1, {'@': 138}), 9: (1, {'@': 138}), 41: (1, {'@': 138}), 15: (1, {'@': 138}), 17: (1, {'@': 138}), 18: (1, {'@': 138}), 42: (1, {'@': 138}), 43: (1, {'@': 138}), 44: (1, {'@': 138}), 19: (1, {'@': 138}), 33: (1, {'@': 138}), 20: (1, {'@': 138}), 45: (1, {'@': 138}), 46: (1, {'@': 138}), 47: (1, {'@': 138}), 22: (1, {'@': 138}), 23: (1, {'@': 138}), 48: (1, {'@': 138}), 4: (1, {'@': 138}), 49: (1, {'@': 138}), 50: (1, {'@': 138}), 51: (1, {'@': 138}), 2: (1, {'@': 138}), 27: (1, {'@': 138}), 30: (1, {'@': 138})}, 157: {17: (0, 219)}, 158: {82: (0, 95), 42: (0, 96), 4: (0, 1), 46: (0, 97), 6: (0, 3), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 11: (0, 220), 38: (0, 105), 2: (0, 10), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 17: (0, 221), 1: (0, 12), 44: (0, 111)}, 159: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 63: (0, 222), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 160: {34: (0, 110), 14: (1, {'@': 139}), 35: (0, 102), 16: (1, {'@': 139}), 3: (1, {'@': 139}), 36: (1, {'@': 139}), 37: (0, 108), 38: (0, 105), 24: (1, {'@': 139}), 21: (1, {'@': 139}), 1: (1, {'@': 139}), 39: (1, {'@': 139}), 26: (1, {'@': 139}), 29: (1, {'@': 139}), 31: (1, {'@': 139}), 0: (1, {'@': 139}), 9: (1, {'@': 139}), 15: (1, {'@': 139}), 17: (1, {'@': 139}), 18: (1, {'@': 139}), 42: (0, 96), 43: (0, 106), 44: (0, 111), 19: (1, {'@': 139}), 33: (1, {'@': 139}), 20: (1, {'@': 139}), 45: (0, 109), 46: (0, 97), 47: (0, 99), 22: (1, {'@': 139}), 23: (1, {'@': 139}), 48: (0, 101), 4: (1, {'@': 139}), 49: (0, 107), 50: (1, {'@': 139}), 51: (0, 100), 2: (1, {'@': 139}), 27: (0, 98), 30: (1, {'@': 139}), 82: (0, 95), 83: (0, 104)}, 161: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 36: (0, 223), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 162: {0: (1, {'@': 140}), 1: (1, {'@': 140}), 2: (1, {'@': 140}), 3: (1, {'@': 140}), 9: (1, {'@': 140}), 4: (1, {'@': 140})}, 163: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 224), 1: (0, 12)}, 164: {0: (1, {'@': 141}), 1: (1, {'@': 141}), 2: (1, {'@': 141}), 3: (1, {'@': 141}), 9: (1, {'@': 141}), 4: (1, {'@': 141})}, 165: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 225), 1: (0, 12)}, 166: {82: (0, 95), 42: (0, 96), 50: (0, 226), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 167: {30: (0, 29), 8: (0, 72), 20: (0, 31), 63: (0, 74), 52: (0, 32), 76: (0, 180), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64), 3: (0, 227)}, 168: {4: (0, 1), 6: (0, 3), 18: (0, 129), 2: (0, 10), 84: (0, 228), 11: (0, 131), 1: (0, 12), 3: (0, 229)}, 169: {34: (1, {'@': 142}), 14: (1, {'@': 142}), 35: (1, {'@': 142}), 16: (1, {'@': 142}), 3: (1, {'@': 142}), 36: (1, {'@': 142}), 37: (1, {'@': 142}), 38: (1, {'@': 142}), 24: (1, {'@': 142}), 21: (1, {'@': 142}), 1: (1, {'@': 142}), 39: (1, {'@': 142}), 26: (1, {'@': 142}), 29: (1, {'@': 142}), 31: (1, {'@': 142}), 0: (1, {'@': 142}), 40: (1, {'@': 142}), 9: (1, {'@': 142}), 41: (1, {'@': 142}), 15: (1, {'@': 142}), 17: (1, {'@': 142}), 18: (1, {'@': 142}), 42: (1, {'@': 142}), 43: (1, {'@': 142}), 44: (1, {'@': 142}), 19: (1, {'@': 142}), 33: (1, {'@': 142}), 20: (1, {'@': 142}), 45: (1, {'@': 142}), 46: (1, {'@': 142}), 47: (1, {'@': 142}), 22: (1, {'@': 142}), 23: (1, {'@': 142}), 48: (1, {'@': 142}), 4: (1, {'@': 142}), 49: (1, {'@': 142}), 50: (1, {'@': 142}), 51: (1, {'@': 142}), 2: (1, {'@': 142}), 27: (1, {'@': 142}), 30: (1, {'@': 142})}, 170: {4: (0, 1), 18: (0, 230), 11: (0, 231), 25: (0, 232), 6: (0, 3), 2: (0, 10), 1: (0, 12)}, 171: {8: (0, 233), 9: (0, 6)}, 172: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 11: (0, 234), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 63: (0, 235), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 173: {25: (0, 236)}, 174: {1: (0, 12), 4: (0, 1), 2: (0, 10), 17: (0, 156), 87: (0, 186), 46: (0, 97), 27: (0, 98), 48: (0, 101), 35: (0, 102), 83: (0, 104), 6: (0, 3), 18: (0, 187), 39: (0, 188), 38: (0, 105), 43: (0, 106), 11: (0, 237), 37: (0, 108), 45: (0, 109), 82: (0, 95), 42: (0, 96), 47: (0, 99), 51: (0, 100), 49: (0, 107), 34: (0, 110), 44: (0, 111)}, 175: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 63: (0, 238), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 86: (0, 190), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 11: (0, 191), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 17: (0, 192), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 176: {18: (1, {'@': 143}), 1: (1, {'@': 143}), 2: (1, {'@': 143}), 3: (1, {'@': 143}), 4: (1, {'@': 143}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 177: {63: (0, 239), 20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 178: {18: (1, {'@': 144}), 1: (1, {'@': 144}), 2: (1, {'@': 144}), 3: (1, {'@': 144}), 4: (1, {'@': 144}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 179: {34: (1, {'@': 145}), 14: (1, {'@': 145}), 35: (1, {'@': 145}), 16: (1, {'@': 145}), 3: (1, {'@': 145}), 36: (1, {'@': 145}), 37: (1, {'@': 145}), 38: (1, {'@': 145}), 24: (1, {'@': 145}), 21: (1, {'@': 145}), 1: (1, {'@': 145}), 39: (1, {'@': 145}), 26: (1, {'@': 145}), 29: (1, {'@': 145}), 31: (1, {'@': 145}), 0: (1, {'@': 145}), 40: (1, {'@': 145}), 9: (1, {'@': 145}), 41: (1, {'@': 145}), 15: (1, {'@': 145}), 17: (1, {'@': 145}), 18: (1, {'@': 145}), 42: (1, {'@': 145}), 43: (1, {'@': 145}), 44: (1, {'@': 145}), 19: (1, {'@': 145}), 33: (1, {'@': 145}), 20: (1, {'@': 145}), 45: (1, {'@': 145}), 46: (1, {'@': 145}), 47: (1, {'@': 145}), 22: (1, {'@': 145}), 23: (1, {'@': 145}), 48: (1, {'@': 145}), 4: (1, {'@': 145}), 49: (1, {'@': 145}), 50: (1, {'@': 145}), 51: (1, {'@': 145}), 2: (1, {'@': 145}), 27: (1, {'@': 145}), 30: (1, {'@': 145})}, 180: {1: (1, {'@': 146}), 18: (1, {'@': 146}), 2: (1, {'@': 146}), 3: (1, {'@': 146}), 4: (1, {'@': 146})}, 181: {14: (1, {'@': 147}), 29: (1, {'@': 147}), 21: (1, {'@': 147}), 22: (1, {'@': 147}), 23: (1, {'@': 147}), 19: (1, {'@': 147}), 26: (1, {'@': 147}), 20: (1, {'@': 147}), 9: (1, {'@': 147}), 27: (1, {'@': 147}), 16: (1, {'@': 147}), 3: (1, {'@': 147}), 30: (1, {'@': 147}), 31: (1, {'@': 147})}, 182: {30: (0, 29), 8: (0, 72), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 63: (0, 74), 55: (0, 36), 56: (0, 37), 76: (0, 240), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 3: (0, 241), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 183: {34: (1, {'@': 148}), 14: (1, {'@': 148}), 35: (1, {'@': 148}), 16: (1, {'@': 148}), 3: (1, {'@': 148}), 36: (1, {'@': 148}), 37: (1, {'@': 148}), 38: (1, {'@': 148}), 24: (1, {'@': 148}), 21: (1, {'@': 148}), 1: (1, {'@': 148}), 39: (1, {'@': 148}), 26: (1, {'@': 148}), 29: (1, {'@': 148}), 31: (1, {'@': 148}), 0: (1, {'@': 148}), 40: (1, {'@': 148}), 9: (1, {'@': 148}), 41: (1, {'@': 148}), 15: (1, {'@': 148}), 17: (1, {'@': 148}), 18: (1, {'@': 148}), 42: (1, {'@': 148}), 43: (1, {'@': 148}), 44: (1, {'@': 148}), 19: (1, {'@': 148}), 33: (1, {'@': 148}), 20: (1, {'@': 148}), 45: (1, {'@': 148}), 46: (1, {'@': 148}), 47: (1, {'@': 148}), 22: (1, {'@': 148}), 23: (1, {'@': 148}), 48: (1, {'@': 148}), 4: (1, {'@': 148}), 49: (1, {'@': 148}), 50: (1, {'@': 148}), 51: (1, {'@': 148}), 2: (1, {'@': 148}), 27: (1, {'@': 148}), 30: (1, {'@': 148})}, 184: {17: (0, 242)}, 185: {34: (1, {'@': 149}), 14: (1, {'@': 149}), 35: (1, {'@': 149}), 16: (1, {'@': 149}), 3: (1, {'@': 149}), 36: (1, {'@': 149}), 37: (1, {'@': 149}), 38: (1, {'@': 149}), 24: (1, {'@': 149}), 21: (1, {'@': 149}), 1: (1, {'@': 149}), 39: (1, {'@': 149}), 26: (1, {'@': 149}), 29: (1, {'@': 149}), 31: (1, {'@': 149}), 0: (1, {'@': 149}), 40: (1, {'@': 149}), 9: (1, {'@': 149}), 41: (1, {'@': 149}), 15: (1, {'@': 149}), 17: (1, {'@': 149}), 18: (1, {'@': 149}), 42: (1, {'@': 149}), 43: (1, {'@': 149}), 44: (1, {'@': 149}), 19: (1, {'@': 149}), 33: (1, {'@': 149}), 20: (1, {'@': 149}), 45: (1, {'@': 149}), 46: (1, {'@': 149}), 47: (1, {'@': 149}), 22: (1, {'@': 149}), 23: (1, {'@': 149}), 48: (1, {'@': 149}), 4: (1, {'@': 149}), 49: (1, {'@': 149}), 50: (1, {'@': 149}), 51: (1, {'@': 149}), 2: (1, {'@': 149}), 27: (1, {'@': 149}), 30: (1, {'@': 149})}, 186: {1: (0, 12), 4: (0, 1), 2: (0, 10), 17: (1, {'@': 150}), 18: (0, 243), 6: (0, 3), 11: (0, 244), 39: (0, 245)}, 187: {1: (0, 12), 4: (0, 1), 2: (0, 10), 17: (1, {'@': 151}), 30: (0, 29), 8: (0, 30), 20: (0, 31), 63: (0, 196), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 11: (0, 246), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 188: {1: (0, 12), 4: (0, 1), 2: (0, 10), 17: (1, {'@': 152}), 6: (0, 3), 11: (0, 247)}, 189: {1: (1, {'@': 153}), 4: (1, {'@': 153}), 2: (1, {'@': 153}), 17: (1, {'@': 153}), 18: (0, 248)}, 190: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 249), 17: (0, 250), 1: (0, 12)}, 191: {17: (0, 251)}, 192: {34: (1, {'@': 154}), 14: (1, {'@': 154}), 35: (1, {'@': 154}), 16: (1, {'@': 154}), 3: (1, {'@': 154}), 36: (1, {'@': 154}), 37: (1, {'@': 154}), 38: (1, {'@': 154}), 24: (1, {'@': 154}), 21: (1, {'@': 154}), 1: (1, {'@': 154}), 39: (1, {'@': 154}), 26: (1, {'@': 154}), 29: (1, {'@': 154}), 31: (1, {'@': 154}), 0: (1, {'@': 154}), 40: (1, {'@': 154}), 9: (1, {'@': 154}), 41: (1, {'@': 154}), 15: (1, {'@': 154}), 17: (1, {'@': 154}), 18: (1, {'@': 154}), 42: (1, {'@': 154}), 43: (1, {'@': 154}), 44: (1, {'@': 154}), 19: (1, {'@': 154}), 33: (1, {'@': 154}), 20: (1, {'@': 154}), 45: (1, {'@': 154}), 46: (1, {'@': 154}), 47: (1, {'@': 154}), 22: (1, {'@': 154}), 23: (1, {'@': 154}), 48: (1, {'@': 154}), 4: (1, {'@': 154}), 49: (1, {'@': 154}), 50: (1, {'@': 154}), 51: (1, {'@': 154}), 2: (1, {'@': 154}), 27: (1, {'@': 154}), 30: (1, {'@': 154})}, 193: {6: (0, 3), 4: (0, 1), 11: (0, 252), 18: (0, 253), 2: (0, 10), 24: (0, 254), 1: (0, 12)}, 194: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 24: (0, 255), 26: (0, 49), 64: (0, 50), 2: (0, 10), 11: (0, 256), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 63: (0, 257), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 195: {34: (1, {'@': 155}), 14: (1, {'@': 155}), 35: (1, {'@': 155}), 16: (1, {'@': 155}), 3: (1, {'@': 155}), 36: (1, {'@': 155}), 37: (1, {'@': 155}), 38: (1, {'@': 155}), 24: (1, {'@': 155}), 21: (1, {'@': 155}), 1: (1, {'@': 155}), 39: (1, {'@': 155}), 26: (1, {'@': 155}), 29: (1, {'@': 155}), 31: (1, {'@': 155}), 0: (1, {'@': 155}), 40: (1, {'@': 155}), 9: (1, {'@': 155}), 41: (1, {'@': 155}), 15: (1, {'@': 155}), 17: (1, {'@': 155}), 18: (1, {'@': 155}), 42: (1, {'@': 155}), 43: (1, {'@': 155}), 44: (1, {'@': 155}), 19: (1, {'@': 155}), 33: (1, {'@': 155}), 20: (1, {'@': 155}), 45: (1, {'@': 155}), 46: (1, {'@': 155}), 47: (1, {'@': 155}), 22: (1, {'@': 155}), 23: (1, {'@': 155}), 48: (1, {'@': 155}), 4: (1, {'@': 155}), 49: (1, {'@': 155}), 50: (1, {'@': 155}), 51: (1, {'@': 155}), 2: (1, {'@': 155}), 27: (1, {'@': 155}), 30: (1, {'@': 155})}, 196: {18: (1, {'@': 156}), 24: (1, {'@': 156}), 1: (1, {'@': 156}), 2: (1, {'@': 156}), 4: (1, {'@': 156}), 17: (1, {'@': 156}), 39: (1, {'@': 156}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 197: {34: (1, {'@': 157}), 14: (1, {'@': 157}), 35: (1, {'@': 157}), 16: (1, {'@': 157}), 3: (1, {'@': 157}), 36: (1, {'@': 157}), 37: (1, {'@': 157}), 38: (1, {'@': 157}), 24: (1, {'@': 157}), 21: (1, {'@': 157}), 1: (1, {'@': 157}), 39: (1, {'@': 157}), 26: (1, {'@': 157}), 29: (1, {'@': 157}), 31: (1, {'@': 157}), 0: (1, {'@': 157}), 40: (1, {'@': 157}), 9: (1, {'@': 157}), 41: (1, {'@': 157}), 15: (1, {'@': 157}), 17: (1, {'@': 157}), 18: (1, {'@': 157}), 42: (1, {'@': 157}), 43: (1, {'@': 157}), 44: (1, {'@': 157}), 19: (1, {'@': 157}), 33: (1, {'@': 157}), 20: (1, {'@': 157}), 45: (1, {'@': 157}), 46: (1, {'@': 157}), 47: (1, {'@': 157}), 22: (1, {'@': 157}), 23: (1, {'@': 157}), 48: (1, {'@': 157}), 4: (1, {'@': 157}), 49: (1, {'@': 157}), 50: (1, {'@': 157}), 51: (1, {'@': 157}), 2: (1, {'@': 157}), 27: (1, {'@': 157}), 30: (1, {'@': 157})}, 198: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 63: (0, 258), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 24: (0, 259), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 199: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 11: (0, 260), 62: (0, 46), 29: (0, 47), 24: (0, 261), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 63: (0, 262), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 200: {34: (1, {'@': 158}), 14: (1, {'@': 158}), 35: (1, {'@': 158}), 16: (1, {'@': 158}), 3: (1, {'@': 158}), 36: (1, {'@': 158}), 37: (1, {'@': 158}), 38: (1, {'@': 158}), 24: (1, {'@': 158}), 21: (1, {'@': 158}), 1: (1, {'@': 158}), 39: (1, {'@': 158}), 26: (1, {'@': 158}), 29: (1, {'@': 158}), 31: (1, {'@': 158}), 0: (1, {'@': 158}), 40: (1, {'@': 158}), 9: (1, {'@': 158}), 41: (1, {'@': 158}), 15: (1, {'@': 158}), 17: (1, {'@': 158}), 18: (1, {'@': 158}), 42: (1, {'@': 158}), 43: (1, {'@': 158}), 44: (1, {'@': 158}), 19: (1, {'@': 158}), 33: (1, {'@': 158}), 20: (1, {'@': 158}), 45: (1, {'@': 158}), 46: (1, {'@': 158}), 47: (1, {'@': 158}), 22: (1, {'@': 158}), 23: (1, {'@': 158}), 48: (1, {'@': 158}), 4: (1, {'@': 158}), 49: (1, {'@': 158}), 50: (1, {'@': 158}), 51: (1, {'@': 158}), 2: (1, {'@': 158}), 27: (1, {'@': 158}), 30: (1, {'@': 158})}, 201: {24: (0, 263)}, 202: {4: (0, 1), 46: (0, 97), 27: (0, 98), 11: (0, 264), 48: (0, 101), 89: (0, 265), 35: (0, 102), 83: (0, 104), 24: (0, 266), 6: (0, 3), 15: (0, 204), 2: (0, 10), 38: (0, 105), 43: (0, 106), 37: (0, 108), 45: (0, 109), 82: (0, 95), 42: (0, 96), 47: (0, 99), 51: (0, 100), 49: (0, 107), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 203: {6: (0, 3), 4: (0, 1), 15: (0, 204), 2: (0, 10), 11: (0, 267), 89: (0, 268), 1: (0, 12), 24: (0, 269)}, 204: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 63: (0, 270), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 11: (0, 271), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 205: {34: (1, {'@': 159}), 14: (1, {'@': 159}), 35: (1, {'@': 159}), 16: (1, {'@': 159}), 3: (1, {'@': 159}), 36: (1, {'@': 159}), 37: (1, {'@': 159}), 38: (1, {'@': 159}), 24: (1, {'@': 159}), 21: (1, {'@': 159}), 1: (1, {'@': 159}), 39: (1, {'@': 159}), 26: (1, {'@': 159}), 29: (1, {'@': 159}), 31: (1, {'@': 159}), 0: (1, {'@': 159}), 40: (1, {'@': 159}), 9: (1, {'@': 159}), 41: (1, {'@': 159}), 15: (1, {'@': 159}), 17: (1, {'@': 159}), 18: (1, {'@': 159}), 42: (1, {'@': 159}), 43: (1, {'@': 159}), 44: (1, {'@': 159}), 19: (1, {'@': 159}), 33: (1, {'@': 159}), 20: (1, {'@': 159}), 45: (1, {'@': 159}), 46: (1, {'@': 159}), 47: (1, {'@': 159}), 22: (1, {'@': 159}), 23: (1, {'@': 159}), 48: (1, {'@': 159}), 4: (1, {'@': 159}), 49: (1, {'@': 159}), 50: (1, {'@': 159}), 51: (1, {'@': 159}), 2: (1, {'@': 159}), 27: (1, {'@': 159}), 30: (1, {'@': 159})}, 206: {6: (0, 3), 4: (0, 1), 2: (0, 10), 24: (0, 272), 1: (0, 12), 11: (0, 273)}, 207: {4: (0, 1), 6: (0, 3), 18: (0, 274), 24: (0, 275), 11: (0, 276), 2: (0, 10), 1: (0, 12)}, 208: {18: (0, 277), 6: (0, 3), 4: (0, 1), 2: (0, 10), 24: (0, 278), 1: (0, 12), 11: (0, 279)}, 209: {30: (0, 29), 8: (0, 30), 20: (0, 31), 63: (0, 196), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 24: (0, 280), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 11: (0, 281), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 210: {34: (1, {'@': 160}), 14: (1, {'@': 160}), 35: (1, {'@': 160}), 16: (1, {'@': 160}), 3: (1, {'@': 160}), 36: (1, {'@': 160}), 37: (1, {'@': 160}), 38: (1, {'@': 160}), 24: (1, {'@': 160}), 21: (1, {'@': 160}), 1: (1, {'@': 160}), 39: (1, {'@': 160}), 26: (1, {'@': 160}), 29: (1, {'@': 160}), 31: (1, {'@': 160}), 0: (1, {'@': 160}), 40: (1, {'@': 160}), 9: (1, {'@': 160}), 41: (1, {'@': 160}), 15: (1, {'@': 160}), 17: (1, {'@': 160}), 18: (1, {'@': 160}), 42: (1, {'@': 160}), 43: (1, {'@': 160}), 44: (1, {'@': 160}), 19: (1, {'@': 160}), 33: (1, {'@': 160}), 20: (1, {'@': 160}), 45: (1, {'@': 160}), 46: (1, {'@': 160}), 47: (1, {'@': 160}), 22: (1, {'@': 160}), 23: (1, {'@': 160}), 48: (1, {'@': 160}), 4: (1, {'@': 160}), 49: (1, {'@': 160}), 50: (1, {'@': 160}), 51: (1, {'@': 160}), 2: (1, {'@': 160}), 27: (1, {'@': 160}), 30: (1, {'@': 160})}, 211: {4: (0, 1), 46: (0, 97), 24: (0, 282), 27: (0, 98), 11: (0, 283), 48: (0, 101), 35: (0, 102), 83: (0, 104), 6: (0, 3), 15: (0, 204), 2: (0, 10), 38: (0, 105), 43: (0, 106), 37: (0, 108), 89: (0, 284), 45: (0, 109), 82: (0, 95), 42: (0, 96), 47: (0, 99), 51: (0, 100), 49: (0, 107), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 212: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 63: (0, 285), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 213: {55: (0, 286), 23: (0, 35)}, 214: {24: (0, 287)}, 215: {34: (1, {'@': 161}), 14: (1, {'@': 161}), 35: (1, {'@': 161}), 16: (1, {'@': 161}), 3: (1, {'@': 161}), 36: (1, {'@': 161}), 37: (1, {'@': 161}), 38: (1, {'@': 161}), 24: (1, {'@': 161}), 21: (1, {'@': 161}), 1: (1, {'@': 161}), 39: (1, {'@': 161}), 26: (1, {'@': 161}), 29: (1, {'@': 161}), 31: (1, {'@': 161}), 0: (1, {'@': 161}), 40: (1, {'@': 161}), 9: (1, {'@': 161}), 41: (1, {'@': 161}), 15: (1, {'@': 161}), 17: (1, {'@': 161}), 18: (1, {'@': 161}), 42: (1, {'@': 161}), 43: (1, {'@': 161}), 44: (1, {'@': 161}), 19: (1, {'@': 161}), 33: (1, {'@': 161}), 20: (1, {'@': 161}), 45: (1, {'@': 161}), 46: (1, {'@': 161}), 47: (1, {'@': 161}), 22: (1, {'@': 161}), 23: (1, {'@': 161}), 48: (1, {'@': 161}), 4: (1, {'@': 161}), 49: (1, {'@': 161}), 50: (1, {'@': 161}), 51: (1, {'@': 161}), 2: (1, {'@': 161}), 27: (1, {'@': 161}), 30: (1, {'@': 161})}, 216: {4: (0, 1), 11: (0, 288), 82: (0, 95), 42: (0, 96), 46: (0, 97), 6: (0, 3), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 24: (0, 289), 2: (0, 10), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 217: {34: (1, {'@': 162}), 14: (1, {'@': 162}), 35: (1, {'@': 162}), 16: (1, {'@': 162}), 3: (1, {'@': 162}), 36: (1, {'@': 162}), 37: (1, {'@': 162}), 38: (1, {'@': 162}), 24: (1, {'@': 162}), 21: (1, {'@': 162}), 1: (1, {'@': 162}), 39: (1, {'@': 162}), 26: (1, {'@': 162}), 29: (1, {'@': 162}), 31: (1, {'@': 162}), 0: (1, {'@': 162}), 40: (0, 91), 9: (1, {'@': 162}), 41: (1, {'@': 162}), 15: (1, {'@': 162}), 17: (1, {'@': 162}), 18: (1, {'@': 162}), 42: (1, {'@': 162}), 43: (1, {'@': 162}), 44: (1, {'@': 162}), 19: (1, {'@': 162}), 33: (1, {'@': 162}), 20: (0, 290), 45: (1, {'@': 162}), 46: (1, {'@': 162}), 47: (1, {'@': 162}), 22: (1, {'@': 162}), 23: (1, {'@': 162}), 48: (1, {'@': 162}), 4: (1, {'@': 162}), 49: (1, {'@': 162}), 50: (1, {'@': 162}), 51: (1, {'@': 162}), 2: (1, {'@': 162}), 27: (1, {'@': 162}), 30: (1, {'@': 162}), 81: (0, 291), 80: (0, 292), 90: (0, 293)}, 218: {34: (1, {'@': 163}), 14: (1, {'@': 163}), 35: (1, {'@': 163}), 16: (1, {'@': 163}), 3: (1, {'@': 163}), 36: (1, {'@': 163}), 37: (1, {'@': 163}), 38: (1, {'@': 163}), 24: (1, {'@': 163}), 21: (1, {'@': 163}), 1: (1, {'@': 163}), 39: (1, {'@': 163}), 26: (1, {'@': 163}), 29: (1, {'@': 163}), 31: (1, {'@': 163}), 0: (1, {'@': 163}), 40: (1, {'@': 163}), 9: (1, {'@': 163}), 41: (1, {'@': 163}), 15: (1, {'@': 163}), 17: (1, {'@': 163}), 18: (1, {'@': 163}), 42: (1, {'@': 163}), 43: (1, {'@': 163}), 44: (1, {'@': 163}), 19: (1, {'@': 163}), 33: (1, {'@': 163}), 20: (1, {'@': 163}), 45: (1, {'@': 163}), 46: (1, {'@': 163}), 47: (1, {'@': 163}), 22: (1, {'@': 163}), 23: (1, {'@': 163}), 48: (1, {'@': 163}), 4: (1, {'@': 163}), 49: (1, {'@': 163}), 50: (1, {'@': 163}), 51: (1, {'@': 163}), 2: (1, {'@': 163}), 27: (1, {'@': 163}), 30: (1, {'@': 163})}, 219: {34: (1, {'@': 164}), 14: (1, {'@': 164}), 35: (1, {'@': 164}), 16: (1, {'@': 164}), 3: (1, {'@': 164}), 36: (1, {'@': 164}), 37: (1, {'@': 164}), 38: (1, {'@': 164}), 24: (1, {'@': 164}), 21: (1, {'@': 164}), 1: (1, {'@': 164}), 39: (1, {'@': 164}), 26: (1, {'@': 164}), 29: (1, {'@': 164}), 31: (1, {'@': 164}), 0: (1, {'@': 164}), 40: (1, {'@': 164}), 9: (1, {'@': 164}), 41: (1, {'@': 164}), 15: (1, {'@': 164}), 17: (1, {'@': 164}), 18: (1, {'@': 164}), 42: (1, {'@': 164}), 43: (1, {'@': 164}), 44: (1, {'@': 164}), 19: (1, {'@': 164}), 33: (1, {'@': 164}), 20: (1, {'@': 164}), 45: (1, {'@': 164}), 46: (1, {'@': 164}), 47: (1, {'@': 164}), 22: (1, {'@': 164}), 23: (1, {'@': 164}), 48: (1, {'@': 164}), 4: (1, {'@': 164}), 49: (1, {'@': 164}), 50: (1, {'@': 164}), 51: (1, {'@': 164}), 2: (1, {'@': 164}), 27: (1, {'@': 164}), 30: (1, {'@': 164})}, 220: {17: (0, 294)}, 221: {34: (1, {'@': 165}), 14: (1, {'@': 165}), 35: (1, {'@': 165}), 16: (1, {'@': 165}), 3: (1, {'@': 165}), 36: (1, {'@': 165}), 37: (1, {'@': 165}), 38: (1, {'@': 165}), 24: (1, {'@': 165}), 21: (1, {'@': 165}), 1: (1, {'@': 165}), 39: (1, {'@': 165}), 26: (1, {'@': 165}), 29: (1, {'@': 165}), 31: (1, {'@': 165}), 0: (1, {'@': 165}), 40: (1, {'@': 165}), 9: (1, {'@': 165}), 41: (1, {'@': 165}), 15: (1, {'@': 165}), 17: (1, {'@': 165}), 18: (1, {'@': 165}), 42: (1, {'@': 165}), 43: (1, {'@': 165}), 44: (1, {'@': 165}), 19: (1, {'@': 165}), 33: (1, {'@': 165}), 20: (1, {'@': 165}), 45: (1, {'@': 165}), 46: (1, {'@': 165}), 47: (1, {'@': 165}), 22: (1, {'@': 165}), 23: (1, {'@': 165}), 48: (1, {'@': 165}), 4: (1, {'@': 165}), 49: (1, {'@': 165}), 50: (1, {'@': 165}), 51: (1, {'@': 165}), 2: (1, {'@': 165}), 27: (1, {'@': 165}), 30: (1, {'@': 165})}, 222: {34: (0, 110), 14: (1, {'@': 166}), 35: (0, 102), 16: (1, {'@': 166}), 3: (1, {'@': 166}), 36: (1, {'@': 166}), 37: (0, 108), 38: (0, 105), 24: (1, {'@': 166}), 21: (1, {'@': 166}), 1: (1, {'@': 166}), 39: (1, {'@': 166}), 26: (1, {'@': 166}), 29: (1, {'@': 166}), 31: (1, {'@': 166}), 0: (1, {'@': 166}), 9: (1, {'@': 166}), 15: (1, {'@': 166}), 17: (1, {'@': 166}), 18: (1, {'@': 166}), 42: (0, 96), 43: (0, 106), 44: (0, 111), 19: (1, {'@': 166}), 33: (1, {'@': 166}), 20: (1, {'@': 166}), 45: (0, 109), 46: (0, 97), 47: (0, 99), 22: (1, {'@': 166}), 23: (1, {'@': 166}), 48: (0, 101), 4: (1, {'@': 166}), 49: (0, 107), 50: (1, {'@': 166}), 51: (0, 100), 2: (1, {'@': 166}), 27: (0, 98), 30: (1, {'@': 166}), 82: (0, 95), 83: (0, 104)}, 223: {30: (0, 29), 8: (0, 30), 20: (0, 31), 63: (0, 295), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 224: {0: (1, {'@': 167}), 1: (1, {'@': 167}), 2: (1, {'@': 167}), 3: (1, {'@': 167}), 9: (1, {'@': 167}), 4: (1, {'@': 167})}, 225: {0: (1, {'@': 168}), 1: (1, {'@': 168}), 2: (1, {'@': 168}), 3: (1, {'@': 168}), 9: (1, {'@': 168}), 4: (1, {'@': 168})}, 226: {20: (0, 31), 30: (0, 29), 8: (0, 30), 63: (0, 296), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 227: {34: (1, {'@': 169}), 14: (1, {'@': 169}), 35: (1, {'@': 169}), 16: (1, {'@': 169}), 3: (1, {'@': 169}), 36: (1, {'@': 169}), 37: (1, {'@': 169}), 38: (1, {'@': 169}), 24: (1, {'@': 169}), 21: (1, {'@': 169}), 1: (1, {'@': 169}), 39: (1, {'@': 169}), 26: (1, {'@': 169}), 29: (1, {'@': 169}), 31: (1, {'@': 169}), 0: (1, {'@': 169}), 40: (1, {'@': 169}), 9: (1, {'@': 169}), 41: (1, {'@': 169}), 15: (1, {'@': 169}), 17: (1, {'@': 169}), 18: (1, {'@': 169}), 42: (1, {'@': 169}), 43: (1, {'@': 169}), 44: (1, {'@': 169}), 19: (1, {'@': 169}), 33: (1, {'@': 169}), 20: (1, {'@': 169}), 45: (1, {'@': 169}), 46: (1, {'@': 169}), 47: (1, {'@': 169}), 22: (1, {'@': 169}), 23: (1, {'@': 169}), 48: (1, {'@': 169}), 4: (1, {'@': 169}), 49: (1, {'@': 169}), 50: (1, {'@': 169}), 51: (1, {'@': 169}), 2: (1, {'@': 169}), 27: (1, {'@': 169}), 30: (1, {'@': 169})}, 228: {30: (0, 29), 8: (0, 72), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 63: (0, 74), 55: (0, 36), 56: (0, 37), 76: (0, 240), 21: (0, 38), 19: (0, 39), 57: (0, 40), 3: (0, 297), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 229: {34: (1, {'@': 170}), 14: (1, {'@': 170}), 35: (1, {'@': 170}), 16: (1, {'@': 170}), 3: (1, {'@': 170}), 36: (1, {'@': 170}), 37: (1, {'@': 170}), 38: (1, {'@': 170}), 24: (1, {'@': 170}), 21: (1, {'@': 170}), 1: (1, {'@': 170}), 39: (1, {'@': 170}), 26: (1, {'@': 170}), 29: (1, {'@': 170}), 31: (1, {'@': 170}), 0: (1, {'@': 170}), 40: (1, {'@': 170}), 9: (1, {'@': 170}), 41: (1, {'@': 170}), 15: (1, {'@': 170}), 17: (1, {'@': 170}), 18: (1, {'@': 170}), 42: (1, {'@': 170}), 43: (1, {'@': 170}), 44: (1, {'@': 170}), 19: (1, {'@': 170}), 33: (1, {'@': 170}), 20: (1, {'@': 170}), 45: (1, {'@': 170}), 46: (1, {'@': 170}), 47: (1, {'@': 170}), 22: (1, {'@': 170}), 23: (1, {'@': 170}), 48: (1, {'@': 170}), 4: (1, {'@': 170}), 49: (1, {'@': 170}), 50: (1, {'@': 170}), 51: (1, {'@': 170}), 2: (1, {'@': 170}), 27: (1, {'@': 170}), 30: (1, {'@': 170})}, 230: {8: (0, 298), 9: (0, 6)}, 231: {25: (0, 299)}, 232: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 63: (0, 300), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 11: (0, 301), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 233: {4: (0, 1), 6: (0, 3), 11: (0, 302), 25: (0, 303), 1: (0, 12), 2: (0, 10)}, 234: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 63: (0, 304), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 235: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 36: (0, 305), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 236: {11: (0, 306), 20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 63: (0, 307), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 237: {1: (1, {'@': 153}), 4: (1, {'@': 153}), 2: (1, {'@': 153}), 17: (0, 219), 18: (0, 248)}, 238: {1: (0, 12), 4: (0, 1), 2: (0, 10), 17: (0, 221), 87: (0, 186), 46: (0, 97), 27: (0, 98), 48: (0, 101), 35: (0, 102), 83: (0, 104), 6: (0, 3), 18: (0, 187), 39: (0, 188), 38: (0, 105), 43: (0, 106), 11: (0, 308), 37: (0, 108), 45: (0, 109), 82: (0, 95), 42: (0, 96), 47: (0, 99), 51: (0, 100), 49: (0, 107), 34: (0, 110), 44: (0, 111)}, 239: {4: (0, 1), 46: (0, 97), 27: (0, 98), 48: (0, 101), 35: (0, 102), 83: (0, 104), 6: (0, 3), 11: (0, 309), 15: (0, 204), 2: (0, 10), 38: (0, 105), 43: (0, 106), 39: (0, 310), 37: (0, 108), 45: (0, 109), 82: (0, 95), 89: (0, 311), 3: (0, 312), 42: (0, 96), 47: (0, 99), 51: (0, 100), 49: (0, 107), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 240: {1: (1, {'@': 171}), 18: (1, {'@': 171}), 2: (1, {'@': 171}), 3: (1, {'@': 171}), 4: (1, {'@': 171})}, 241: {34: (1, {'@': 172}), 14: (1, {'@': 172}), 35: (1, {'@': 172}), 16: (1, {'@': 172}), 3: (1, {'@': 172}), 36: (1, {'@': 172}), 37: (1, {'@': 172}), 38: (1, {'@': 172}), 24: (1, {'@': 172}), 21: (1, {'@': 172}), 1: (1, {'@': 172}), 39: (1, {'@': 172}), 26: (1, {'@': 172}), 29: (1, {'@': 172}), 31: (1, {'@': 172}), 0: (1, {'@': 172}), 40: (1, {'@': 172}), 9: (1, {'@': 172}), 41: (1, {'@': 172}), 15: (1, {'@': 172}), 17: (1, {'@': 172}), 18: (1, {'@': 172}), 42: (1, {'@': 172}), 43: (1, {'@': 172}), 44: (1, {'@': 172}), 19: (1, {'@': 172}), 33: (1, {'@': 172}), 20: (1, {'@': 172}), 45: (1, {'@': 172}), 46: (1, {'@': 172}), 47: (1, {'@': 172}), 22: (1, {'@': 172}), 23: (1, {'@': 172}), 48: (1, {'@': 172}), 4: (1, {'@': 172}), 49: (1, {'@': 172}), 50: (1, {'@': 172}), 51: (1, {'@': 172}), 2: (1, {'@': 172}), 27: (1, {'@': 172}), 30: (1, {'@': 172})}, 242: {34: (1, {'@': 173}), 14: (1, {'@': 173}), 35: (1, {'@': 173}), 16: (1, {'@': 173}), 3: (1, {'@': 173}), 36: (1, {'@': 173}), 37: (1, {'@': 173}), 38: (1, {'@': 173}), 24: (1, {'@': 173}), 21: (1, {'@': 173}), 1: (1, {'@': 173}), 39: (1, {'@': 173}), 26: (1, {'@': 173}), 29: (1, {'@': 173}), 31: (1, {'@': 173}), 0: (1, {'@': 173}), 40: (1, {'@': 173}), 9: (1, {'@': 173}), 41: (1, {'@': 173}), 15: (1, {'@': 173}), 17: (1, {'@': 173}), 18: (1, {'@': 173}), 42: (1, {'@': 173}), 43: (1, {'@': 173}), 44: (1, {'@': 173}), 19: (1, {'@': 173}), 33: (1, {'@': 173}), 20: (1, {'@': 173}), 45: (1, {'@': 173}), 46: (1, {'@': 173}), 47: (1, {'@': 173}), 22: (1, {'@': 173}), 23: (1, {'@': 173}), 48: (1, {'@': 173}), 4: (1, {'@': 173}), 49: (1, {'@': 173}), 50: (1, {'@': 173}), 51: (1, {'@': 173}), 2: (1, {'@': 173}), 27: (1, {'@': 173}), 30: (1, {'@': 173})}, 243: {1: (0, 12), 4: (0, 1), 2: (0, 10), 17: (1, {'@': 174}), 30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 11: (0, 313), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 63: (0, 257), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 244: {1: (1, {'@': 175}), 4: (1, {'@': 175}), 2: (1, {'@': 175}), 17: (1, {'@': 175}), 18: (0, 314)}, 245: {1: (0, 12), 4: (0, 1), 2: (0, 10), 17: (1, {'@': 176}), 11: (0, 315), 6: (0, 3)}, 246: {1: (1, {'@': 177}), 4: (1, {'@': 177}), 2: (1, {'@': 177}), 17: (1, {'@': 177}), 30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 63: (0, 258), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 247: {1: (1, {'@': 178}), 4: (1, {'@': 178}), 2: (1, {'@': 178}), 17: (1, {'@': 178})}, 248: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 11: (0, 316), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 63: (0, 262), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 249: {17: (0, 317)}, 250: {34: (1, {'@': 179}), 14: (1, {'@': 179}), 35: (1, {'@': 179}), 16: (1, {'@': 179}), 3: (1, {'@': 179}), 36: (1, {'@': 179}), 37: (1, {'@': 179}), 38: (1, {'@': 179}), 24: (1, {'@': 179}), 21: (1, {'@': 179}), 1: (1, {'@': 179}), 39: (1, {'@': 179}), 26: (1, {'@': 179}), 29: (1, {'@': 179}), 31: (1, {'@': 179}), 0: (1, {'@': 179}), 40: (1, {'@': 179}), 9: (1, {'@': 179}), 41: (1, {'@': 179}), 15: (1, {'@': 179}), 17: (1, {'@': 179}), 18: (1, {'@': 179}), 42: (1, {'@': 179}), 43: (1, {'@': 179}), 44: (1, {'@': 179}), 19: (1, {'@': 179}), 33: (1, {'@': 179}), 20: (1, {'@': 179}), 45: (1, {'@': 179}), 46: (1, {'@': 179}), 47: (1, {'@': 179}), 22: (1, {'@': 179}), 23: (1, {'@': 179}), 48: (1, {'@': 179}), 4: (1, {'@': 179}), 49: (1, {'@': 179}), 50: (1, {'@': 179}), 51: (1, {'@': 179}), 2: (1, {'@': 179}), 27: (1, {'@': 179}), 30: (1, {'@': 179})}, 251: {34: (1, {'@': 180}), 14: (1, {'@': 180}), 35: (1, {'@': 180}), 16: (1, {'@': 180}), 3: (1, {'@': 180}), 36: (1, {'@': 180}), 37: (1, {'@': 180}), 38: (1, {'@': 180}), 24: (1, {'@': 180}), 21: (1, {'@': 180}), 1: (1, {'@': 180}), 39: (1, {'@': 180}), 26: (1, {'@': 180}), 29: (1, {'@': 180}), 31: (1, {'@': 180}), 0: (1, {'@': 180}), 40: (1, {'@': 180}), 9: (1, {'@': 180}), 41: (1, {'@': 180}), 15: (1, {'@': 180}), 17: (1, {'@': 180}), 18: (1, {'@': 180}), 42: (1, {'@': 180}), 43: (1, {'@': 180}), 44: (1, {'@': 180}), 19: (1, {'@': 180}), 33: (1, {'@': 180}), 20: (1, {'@': 180}), 45: (1, {'@': 180}), 46: (1, {'@': 180}), 47: (1, {'@': 180}), 22: (1, {'@': 180}), 23: (1, {'@': 180}), 48: (1, {'@': 180}), 4: (1, {'@': 180}), 49: (1, {'@': 180}), 50: (1, {'@': 180}), 51: (1, {'@': 180}), 2: (1, {'@': 180}), 27: (1, {'@': 180}), 30: (1, {'@': 180})}, 252: {24: (0, 318)}, 253: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 11: (0, 319), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 63: (0, 320), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 24: (0, 321), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 254: {34: (1, {'@': 181}), 14: (1, {'@': 181}), 35: (1, {'@': 181}), 16: (1, {'@': 181}), 3: (1, {'@': 181}), 36: (1, {'@': 181}), 37: (1, {'@': 181}), 38: (1, {'@': 181}), 24: (1, {'@': 181}), 21: (1, {'@': 181}), 1: (1, {'@': 181}), 39: (1, {'@': 181}), 26: (1, {'@': 181}), 29: (1, {'@': 181}), 31: (1, {'@': 181}), 0: (1, {'@': 181}), 40: (1, {'@': 181}), 9: (1, {'@': 181}), 41: (1, {'@': 181}), 15: (1, {'@': 181}), 17: (1, {'@': 181}), 18: (1, {'@': 181}), 42: (1, {'@': 181}), 43: (1, {'@': 181}), 44: (1, {'@': 181}), 19: (1, {'@': 181}), 33: (1, {'@': 181}), 20: (1, {'@': 181}), 45: (1, {'@': 181}), 46: (1, {'@': 181}), 47: (1, {'@': 181}), 22: (1, {'@': 181}), 23: (1, {'@': 181}), 48: (1, {'@': 181}), 4: (1, {'@': 181}), 49: (1, {'@': 181}), 50: (1, {'@': 181}), 51: (1, {'@': 181}), 2: (1, {'@': 181}), 27: (1, {'@': 181}), 30: (1, {'@': 181})}, 255: {34: (1, {'@': 182}), 14: (1, {'@': 182}), 35: (1, {'@': 182}), 16: (1, {'@': 182}), 3: (1, {'@': 182}), 36: (1, {'@': 182}), 37: (1, {'@': 182}), 38: (1, {'@': 182}), 24: (1, {'@': 182}), 21: (1, {'@': 182}), 1: (1, {'@': 182}), 39: (1, {'@': 182}), 26: (1, {'@': 182}), 29: (1, {'@': 182}), 31: (1, {'@': 182}), 0: (1, {'@': 182}), 40: (1, {'@': 182}), 9: (1, {'@': 182}), 41: (1, {'@': 182}), 15: (1, {'@': 182}), 17: (1, {'@': 182}), 18: (1, {'@': 182}), 42: (1, {'@': 182}), 43: (1, {'@': 182}), 44: (1, {'@': 182}), 19: (1, {'@': 182}), 33: (1, {'@': 182}), 20: (1, {'@': 182}), 45: (1, {'@': 182}), 46: (1, {'@': 182}), 47: (1, {'@': 182}), 22: (1, {'@': 182}), 23: (1, {'@': 182}), 48: (1, {'@': 182}), 4: (1, {'@': 182}), 49: (1, {'@': 182}), 50: (1, {'@': 182}), 51: (1, {'@': 182}), 2: (1, {'@': 182}), 27: (1, {'@': 182}), 30: (1, {'@': 182})}, 256: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 63: (0, 322), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 24: (0, 323), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 257: {18: (1, {'@': 183}), 24: (1, {'@': 183}), 1: (1, {'@': 183}), 2: (1, {'@': 183}), 4: (1, {'@': 183}), 17: (1, {'@': 183}), 39: (1, {'@': 183}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 258: {18: (1, {'@': 184}), 24: (1, {'@': 184}), 1: (1, {'@': 184}), 2: (1, {'@': 184}), 4: (1, {'@': 184}), 17: (1, {'@': 184}), 39: (1, {'@': 184}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 259: {34: (1, {'@': 185}), 14: (1, {'@': 185}), 35: (1, {'@': 185}), 16: (1, {'@': 185}), 3: (1, {'@': 185}), 36: (1, {'@': 185}), 37: (1, {'@': 185}), 38: (1, {'@': 185}), 24: (1, {'@': 185}), 21: (1, {'@': 185}), 1: (1, {'@': 185}), 39: (1, {'@': 185}), 26: (1, {'@': 185}), 29: (1, {'@': 185}), 31: (1, {'@': 185}), 0: (1, {'@': 185}), 40: (1, {'@': 185}), 9: (1, {'@': 185}), 41: (1, {'@': 185}), 15: (1, {'@': 185}), 17: (1, {'@': 185}), 18: (1, {'@': 185}), 42: (1, {'@': 185}), 43: (1, {'@': 185}), 44: (1, {'@': 185}), 19: (1, {'@': 185}), 33: (1, {'@': 185}), 20: (1, {'@': 185}), 45: (1, {'@': 185}), 46: (1, {'@': 185}), 47: (1, {'@': 185}), 22: (1, {'@': 185}), 23: (1, {'@': 185}), 48: (1, {'@': 185}), 4: (1, {'@': 185}), 49: (1, {'@': 185}), 50: (1, {'@': 185}), 51: (1, {'@': 185}), 2: (1, {'@': 185}), 27: (1, {'@': 185}), 30: (1, {'@': 185})}, 260: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 63: (0, 324), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 24: (0, 325), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 261: {34: (1, {'@': 186}), 14: (1, {'@': 186}), 35: (1, {'@': 186}), 16: (1, {'@': 186}), 3: (1, {'@': 186}), 36: (1, {'@': 186}), 37: (1, {'@': 186}), 38: (1, {'@': 186}), 24: (1, {'@': 186}), 21: (1, {'@': 186}), 1: (1, {'@': 186}), 39: (1, {'@': 186}), 26: (1, {'@': 186}), 29: (1, {'@': 186}), 31: (1, {'@': 186}), 0: (1, {'@': 186}), 40: (1, {'@': 186}), 9: (1, {'@': 186}), 41: (1, {'@': 186}), 15: (1, {'@': 186}), 17: (1, {'@': 186}), 18: (1, {'@': 186}), 42: (1, {'@': 186}), 43: (1, {'@': 186}), 44: (1, {'@': 186}), 19: (1, {'@': 186}), 33: (1, {'@': 186}), 20: (1, {'@': 186}), 45: (1, {'@': 186}), 46: (1, {'@': 186}), 47: (1, {'@': 186}), 22: (1, {'@': 186}), 23: (1, {'@': 186}), 48: (1, {'@': 186}), 4: (1, {'@': 186}), 49: (1, {'@': 186}), 50: (1, {'@': 186}), 51: (1, {'@': 186}), 2: (1, {'@': 186}), 27: (1, {'@': 186}), 30: (1, {'@': 186})}, 262: {18: (1, {'@': 187}), 24: (1, {'@': 187}), 1: (1, {'@': 187}), 2: (1, {'@': 187}), 4: (1, {'@': 187}), 17: (1, {'@': 187}), 39: (1, {'@': 187}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 263: {34: (1, {'@': 188}), 14: (1, {'@': 188}), 35: (1, {'@': 188}), 16: (1, {'@': 188}), 3: (1, {'@': 188}), 36: (1, {'@': 188}), 37: (1, {'@': 188}), 38: (1, {'@': 188}), 24: (1, {'@': 188}), 21: (1, {'@': 188}), 1: (1, {'@': 188}), 39: (1, {'@': 188}), 26: (1, {'@': 188}), 29: (1, {'@': 188}), 31: (1, {'@': 188}), 0: (1, {'@': 188}), 40: (1, {'@': 188}), 9: (1, {'@': 188}), 41: (1, {'@': 188}), 15: (1, {'@': 188}), 17: (1, {'@': 188}), 18: (1, {'@': 188}), 42: (1, {'@': 188}), 43: (1, {'@': 188}), 44: (1, {'@': 188}), 19: (1, {'@': 188}), 33: (1, {'@': 188}), 20: (1, {'@': 188}), 45: (1, {'@': 188}), 46: (1, {'@': 188}), 47: (1, {'@': 188}), 22: (1, {'@': 188}), 23: (1, {'@': 188}), 48: (1, {'@': 188}), 4: (1, {'@': 188}), 49: (1, {'@': 188}), 50: (1, {'@': 188}), 51: (1, {'@': 188}), 2: (1, {'@': 188}), 27: (1, {'@': 188}), 30: (1, {'@': 188})}, 264: {6: (0, 3), 4: (0, 1), 15: (0, 204), 2: (0, 10), 24: (0, 326), 89: (0, 327), 1: (0, 12), 11: (0, 328)}, 265: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 329), 24: (0, 330), 1: (0, 12)}, 266: {34: (1, {'@': 189}), 14: (1, {'@': 189}), 35: (1, {'@': 189}), 16: (1, {'@': 189}), 3: (1, {'@': 189}), 36: (1, {'@': 189}), 37: (1, {'@': 189}), 38: (1, {'@': 189}), 24: (1, {'@': 189}), 21: (1, {'@': 189}), 1: (1, {'@': 189}), 39: (1, {'@': 189}), 26: (1, {'@': 189}), 29: (1, {'@': 189}), 31: (1, {'@': 189}), 0: (1, {'@': 189}), 40: (1, {'@': 189}), 9: (1, {'@': 189}), 41: (1, {'@': 189}), 15: (1, {'@': 189}), 17: (1, {'@': 189}), 18: (1, {'@': 189}), 42: (1, {'@': 189}), 43: (1, {'@': 189}), 44: (1, {'@': 189}), 19: (1, {'@': 189}), 33: (1, {'@': 189}), 20: (1, {'@': 189}), 45: (1, {'@': 189}), 46: (1, {'@': 189}), 47: (1, {'@': 189}), 22: (1, {'@': 189}), 23: (1, {'@': 189}), 48: (1, {'@': 189}), 4: (1, {'@': 189}), 49: (1, {'@': 189}), 50: (1, {'@': 189}), 51: (1, {'@': 189}), 2: (1, {'@': 189}), 27: (1, {'@': 189}), 30: (1, {'@': 189})}, 267: {24: (0, 331)}, 268: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 332), 24: (0, 333), 1: (0, 12)}, 269: {34: (1, {'@': 190}), 14: (1, {'@': 190}), 35: (1, {'@': 190}), 16: (1, {'@': 190}), 3: (1, {'@': 190}), 36: (1, {'@': 190}), 37: (1, {'@': 190}), 38: (1, {'@': 190}), 24: (1, {'@': 190}), 21: (1, {'@': 190}), 1: (1, {'@': 190}), 39: (1, {'@': 190}), 26: (1, {'@': 190}), 29: (1, {'@': 190}), 31: (1, {'@': 190}), 0: (1, {'@': 190}), 40: (1, {'@': 190}), 9: (1, {'@': 190}), 41: (1, {'@': 190}), 15: (1, {'@': 190}), 17: (1, {'@': 190}), 18: (1, {'@': 190}), 42: (1, {'@': 190}), 43: (1, {'@': 190}), 44: (1, {'@': 190}), 19: (1, {'@': 190}), 33: (1, {'@': 190}), 20: (1, {'@': 190}), 45: (1, {'@': 190}), 46: (1, {'@': 190}), 47: (1, {'@': 190}), 22: (1, {'@': 190}), 23: (1, {'@': 190}), 48: (1, {'@': 190}), 4: (1, {'@': 190}), 49: (1, {'@': 190}), 50: (1, {'@': 190}), 51: (1, {'@': 190}), 2: (1, {'@': 190}), 27: (1, {'@': 190}), 30: (1, {'@': 190})}, 270: {1: (1, {'@': 191}), 2: (1, {'@': 191}), 3: (1, {'@': 191}), 24: (1, {'@': 191}), 4: (1, {'@': 191}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 271: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 63: (0, 334), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 272: {34: (1, {'@': 192}), 14: (1, {'@': 192}), 35: (1, {'@': 192}), 16: (1, {'@': 192}), 3: (1, {'@': 192}), 36: (1, {'@': 192}), 37: (1, {'@': 192}), 38: (1, {'@': 192}), 24: (1, {'@': 192}), 21: (1, {'@': 192}), 1: (1, {'@': 192}), 39: (1, {'@': 192}), 26: (1, {'@': 192}), 29: (1, {'@': 192}), 31: (1, {'@': 192}), 0: (1, {'@': 192}), 40: (1, {'@': 192}), 9: (1, {'@': 192}), 41: (1, {'@': 192}), 15: (1, {'@': 192}), 17: (1, {'@': 192}), 18: (1, {'@': 192}), 42: (1, {'@': 192}), 43: (1, {'@': 192}), 44: (1, {'@': 192}), 19: (1, {'@': 192}), 33: (1, {'@': 192}), 20: (1, {'@': 192}), 45: (1, {'@': 192}), 46: (1, {'@': 192}), 47: (1, {'@': 192}), 22: (1, {'@': 192}), 23: (1, {'@': 192}), 48: (1, {'@': 192}), 4: (1, {'@': 192}), 49: (1, {'@': 192}), 50: (1, {'@': 192}), 51: (1, {'@': 192}), 2: (1, {'@': 192}), 27: (1, {'@': 192}), 30: (1, {'@': 192})}, 273: {24: (0, 335)}, 274: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 24: (0, 336), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 63: (0, 257), 16: (0, 55), 68: (0, 56), 11: (0, 337), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 275: {34: (1, {'@': 193}), 14: (1, {'@': 193}), 35: (1, {'@': 193}), 16: (1, {'@': 193}), 3: (1, {'@': 193}), 36: (1, {'@': 193}), 37: (1, {'@': 193}), 38: (1, {'@': 193}), 24: (1, {'@': 193}), 21: (1, {'@': 193}), 1: (1, {'@': 193}), 39: (1, {'@': 193}), 26: (1, {'@': 193}), 29: (1, {'@': 193}), 31: (1, {'@': 193}), 0: (1, {'@': 193}), 40: (1, {'@': 193}), 9: (1, {'@': 193}), 41: (1, {'@': 193}), 15: (1, {'@': 193}), 17: (1, {'@': 193}), 18: (1, {'@': 193}), 42: (1, {'@': 193}), 43: (1, {'@': 193}), 44: (1, {'@': 193}), 19: (1, {'@': 193}), 33: (1, {'@': 193}), 20: (1, {'@': 193}), 45: (1, {'@': 193}), 46: (1, {'@': 193}), 47: (1, {'@': 193}), 22: (1, {'@': 193}), 23: (1, {'@': 193}), 48: (1, {'@': 193}), 4: (1, {'@': 193}), 49: (1, {'@': 193}), 50: (1, {'@': 193}), 51: (1, {'@': 193}), 2: (1, {'@': 193}), 27: (1, {'@': 193}), 30: (1, {'@': 193})}, 276: {6: (0, 3), 4: (0, 1), 2: (0, 10), 24: (0, 338), 11: (0, 339), 18: (0, 340), 1: (0, 12)}, 277: {11: (0, 341), 30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 24: (0, 342), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 63: (0, 262), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 278: {34: (1, {'@': 194}), 14: (1, {'@': 194}), 35: (1, {'@': 194}), 16: (1, {'@': 194}), 3: (1, {'@': 194}), 36: (1, {'@': 194}), 37: (1, {'@': 194}), 38: (1, {'@': 194}), 24: (1, {'@': 194}), 21: (1, {'@': 194}), 1: (1, {'@': 194}), 39: (1, {'@': 194}), 26: (1, {'@': 194}), 29: (1, {'@': 194}), 31: (1, {'@': 194}), 0: (1, {'@': 194}), 40: (1, {'@': 194}), 9: (1, {'@': 194}), 41: (1, {'@': 194}), 15: (1, {'@': 194}), 17: (1, {'@': 194}), 18: (1, {'@': 194}), 42: (1, {'@': 194}), 43: (1, {'@': 194}), 44: (1, {'@': 194}), 19: (1, {'@': 194}), 33: (1, {'@': 194}), 20: (1, {'@': 194}), 45: (1, {'@': 194}), 46: (1, {'@': 194}), 47: (1, {'@': 194}), 22: (1, {'@': 194}), 23: (1, {'@': 194}), 48: (1, {'@': 194}), 4: (1, {'@': 194}), 49: (1, {'@': 194}), 50: (1, {'@': 194}), 51: (1, {'@': 194}), 2: (1, {'@': 194}), 27: (1, {'@': 194}), 30: (1, {'@': 194})}, 279: {24: (0, 343)}, 280: {34: (1, {'@': 195}), 14: (1, {'@': 195}), 35: (1, {'@': 195}), 16: (1, {'@': 195}), 3: (1, {'@': 195}), 36: (1, {'@': 195}), 37: (1, {'@': 195}), 38: (1, {'@': 195}), 24: (1, {'@': 195}), 21: (1, {'@': 195}), 1: (1, {'@': 195}), 39: (1, {'@': 195}), 26: (1, {'@': 195}), 29: (1, {'@': 195}), 31: (1, {'@': 195}), 0: (1, {'@': 195}), 40: (1, {'@': 195}), 9: (1, {'@': 195}), 41: (1, {'@': 195}), 15: (1, {'@': 195}), 17: (1, {'@': 195}), 18: (1, {'@': 195}), 42: (1, {'@': 195}), 43: (1, {'@': 195}), 44: (1, {'@': 195}), 19: (1, {'@': 195}), 33: (1, {'@': 195}), 20: (1, {'@': 195}), 45: (1, {'@': 195}), 46: (1, {'@': 195}), 47: (1, {'@': 195}), 22: (1, {'@': 195}), 23: (1, {'@': 195}), 48: (1, {'@': 195}), 4: (1, {'@': 195}), 49: (1, {'@': 195}), 50: (1, {'@': 195}), 51: (1, {'@': 195}), 2: (1, {'@': 195}), 27: (1, {'@': 195}), 30: (1, {'@': 195})}, 281: {30: (0, 29), 8: (0, 30), 20: (0, 31), 24: (0, 344), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 63: (0, 258), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 282: {34: (1, {'@': 196}), 14: (1, {'@': 196}), 35: (1, {'@': 196}), 16: (1, {'@': 196}), 3: (1, {'@': 196}), 36: (1, {'@': 196}), 37: (1, {'@': 196}), 38: (1, {'@': 196}), 24: (1, {'@': 196}), 21: (1, {'@': 196}), 1: (1, {'@': 196}), 39: (1, {'@': 196}), 26: (1, {'@': 196}), 29: (1, {'@': 196}), 31: (1, {'@': 196}), 0: (1, {'@': 196}), 40: (1, {'@': 196}), 9: (1, {'@': 196}), 41: (1, {'@': 196}), 15: (1, {'@': 196}), 17: (1, {'@': 196}), 18: (1, {'@': 196}), 42: (1, {'@': 196}), 43: (1, {'@': 196}), 44: (1, {'@': 196}), 19: (1, {'@': 196}), 33: (1, {'@': 196}), 20: (1, {'@': 196}), 45: (1, {'@': 196}), 46: (1, {'@': 196}), 47: (1, {'@': 196}), 22: (1, {'@': 196}), 23: (1, {'@': 196}), 48: (1, {'@': 196}), 4: (1, {'@': 196}), 49: (1, {'@': 196}), 50: (1, {'@': 196}), 51: (1, {'@': 196}), 2: (1, {'@': 196}), 27: (1, {'@': 196}), 30: (1, {'@': 196})}, 283: {6: (0, 3), 4: (0, 1), 89: (0, 345), 15: (0, 204), 2: (0, 10), 11: (0, 346), 1: (0, 12), 24: (0, 347)}, 284: {6: (0, 3), 4: (0, 1), 11: (0, 348), 2: (0, 10), 24: (0, 349), 1: (0, 12)}, 285: {4: (0, 1), 46: (0, 97), 89: (0, 350), 27: (0, 98), 48: (0, 101), 35: (0, 102), 83: (0, 104), 11: (0, 351), 6: (0, 3), 15: (0, 204), 2: (0, 10), 38: (0, 105), 43: (0, 106), 37: (0, 108), 45: (0, 109), 82: (0, 95), 42: (0, 96), 47: (0, 99), 51: (0, 100), 24: (0, 352), 49: (0, 107), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 286: {34: (1, {'@': 197}), 14: (1, {'@': 197}), 35: (1, {'@': 197}), 16: (1, {'@': 197}), 3: (1, {'@': 197}), 36: (1, {'@': 197}), 37: (1, {'@': 197}), 38: (1, {'@': 197}), 24: (1, {'@': 197}), 21: (1, {'@': 197}), 1: (1, {'@': 197}), 39: (1, {'@': 197}), 26: (1, {'@': 197}), 29: (1, {'@': 197}), 31: (1, {'@': 197}), 0: (1, {'@': 197}), 40: (1, {'@': 197}), 9: (1, {'@': 197}), 41: (1, {'@': 197}), 15: (1, {'@': 197}), 17: (1, {'@': 197}), 18: (1, {'@': 197}), 42: (1, {'@': 197}), 43: (1, {'@': 197}), 44: (1, {'@': 197}), 19: (1, {'@': 197}), 33: (1, {'@': 197}), 20: (1, {'@': 197}), 45: (1, {'@': 197}), 46: (1, {'@': 197}), 47: (1, {'@': 197}), 22: (1, {'@': 197}), 23: (0, 82), 48: (1, {'@': 197}), 4: (1, {'@': 197}), 49: (1, {'@': 197}), 50: (1, {'@': 197}), 51: (1, {'@': 197}), 2: (1, {'@': 197}), 27: (1, {'@': 197}), 30: (1, {'@': 197})}, 287: {34: (1, {'@': 198}), 14: (1, {'@': 198}), 35: (1, {'@': 198}), 16: (1, {'@': 198}), 3: (1, {'@': 198}), 36: (1, {'@': 198}), 37: (1, {'@': 198}), 38: (1, {'@': 198}), 24: (1, {'@': 198}), 21: (1, {'@': 198}), 1: (1, {'@': 198}), 39: (1, {'@': 198}), 26: (1, {'@': 198}), 29: (1, {'@': 198}), 31: (1, {'@': 198}), 0: (1, {'@': 198}), 40: (1, {'@': 198}), 9: (1, {'@': 198}), 41: (1, {'@': 198}), 15: (1, {'@': 198}), 17: (1, {'@': 198}), 18: (1, {'@': 198}), 42: (1, {'@': 198}), 43: (1, {'@': 198}), 44: (1, {'@': 198}), 19: (1, {'@': 198}), 33: (1, {'@': 198}), 20: (1, {'@': 198}), 45: (1, {'@': 198}), 46: (1, {'@': 198}), 47: (1, {'@': 198}), 22: (1, {'@': 198}), 23: (1, {'@': 198}), 48: (1, {'@': 198}), 4: (1, {'@': 198}), 49: (1, {'@': 198}), 50: (1, {'@': 198}), 51: (1, {'@': 198}), 2: (1, {'@': 198}), 27: (1, {'@': 198}), 30: (1, {'@': 198})}, 288: {24: (0, 353)}, 289: {34: (1, {'@': 199}), 14: (1, {'@': 199}), 35: (1, {'@': 199}), 16: (1, {'@': 199}), 3: (1, {'@': 199}), 36: (1, {'@': 199}), 37: (1, {'@': 199}), 38: (1, {'@': 199}), 24: (1, {'@': 199}), 21: (1, {'@': 199}), 1: (1, {'@': 199}), 39: (1, {'@': 199}), 26: (1, {'@': 199}), 29: (1, {'@': 199}), 31: (1, {'@': 199}), 0: (1, {'@': 199}), 40: (1, {'@': 199}), 9: (1, {'@': 199}), 41: (1, {'@': 199}), 15: (1, {'@': 199}), 17: (1, {'@': 199}), 18: (1, {'@': 199}), 42: (1, {'@': 199}), 43: (1, {'@': 199}), 44: (1, {'@': 199}), 19: (1, {'@': 199}), 33: (1, {'@': 199}), 20: (1, {'@': 199}), 45: (1, {'@': 199}), 46: (1, {'@': 199}), 47: (1, {'@': 199}), 22: (1, {'@': 199}), 23: (1, {'@': 199}), 48: (1, {'@': 199}), 4: (1, {'@': 199}), 49: (1, {'@': 199}), 50: (1, {'@': 199}), 51: (1, {'@': 199}), 2: (1, {'@': 199}), 27: (1, {'@': 199}), 30: (1, {'@': 199})}, 290: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 63: (0, 148), 59: (0, 43), 60: (0, 44), 61: (0, 45), 11: (0, 149), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 291: {34: (1, {'@': 200}), 14: (1, {'@': 200}), 35: (1, {'@': 200}), 16: (1, {'@': 200}), 3: (1, {'@': 200}), 36: (1, {'@': 200}), 37: (1, {'@': 200}), 38: (1, {'@': 200}), 24: (1, {'@': 200}), 21: (1, {'@': 200}), 1: (1, {'@': 200}), 39: (1, {'@': 200}), 26: (1, {'@': 200}), 29: (1, {'@': 200}), 31: (1, {'@': 200}), 0: (1, {'@': 200}), 40: (1, {'@': 200}), 9: (1, {'@': 200}), 41: (1, {'@': 200}), 15: (1, {'@': 200}), 17: (1, {'@': 200}), 18: (1, {'@': 200}), 42: (1, {'@': 200}), 43: (1, {'@': 200}), 44: (1, {'@': 200}), 19: (1, {'@': 200}), 33: (1, {'@': 200}), 20: (1, {'@': 200}), 45: (1, {'@': 200}), 46: (1, {'@': 200}), 47: (1, {'@': 200}), 22: (1, {'@': 200}), 23: (1, {'@': 200}), 48: (1, {'@': 200}), 4: (1, {'@': 200}), 49: (1, {'@': 200}), 50: (1, {'@': 200}), 51: (1, {'@': 200}), 2: (1, {'@': 200}), 27: (1, {'@': 200}), 30: (1, {'@': 200})}, 292: {34: (1, {'@': 201}), 14: (1, {'@': 201}), 35: (1, {'@': 201}), 16: (1, {'@': 201}), 3: (1, {'@': 201}), 36: (1, {'@': 201}), 37: (1, {'@': 201}), 38: (1, {'@': 201}), 24: (1, {'@': 201}), 21: (1, {'@': 201}), 1: (1, {'@': 201}), 39: (1, {'@': 201}), 26: (1, {'@': 201}), 29: (1, {'@': 201}), 31: (1, {'@': 201}), 0: (1, {'@': 201}), 40: (1, {'@': 201}), 9: (1, {'@': 201}), 41: (1, {'@': 201}), 15: (1, {'@': 201}), 17: (1, {'@': 201}), 18: (1, {'@': 201}), 42: (1, {'@': 201}), 43: (1, {'@': 201}), 44: (1, {'@': 201}), 19: (1, {'@': 201}), 33: (1, {'@': 201}), 20: (1, {'@': 201}), 45: (1, {'@': 201}), 46: (1, {'@': 201}), 47: (1, {'@': 201}), 22: (1, {'@': 201}), 23: (1, {'@': 201}), 48: (1, {'@': 201}), 4: (1, {'@': 201}), 49: (1, {'@': 201}), 50: (1, {'@': 201}), 51: (1, {'@': 201}), 2: (1, {'@': 201}), 27: (1, {'@': 201}), 30: (1, {'@': 201})}, 293: {34: (1, {'@': 202}), 14: (1, {'@': 202}), 35: (1, {'@': 202}), 16: (1, {'@': 202}), 3: (1, {'@': 202}), 36: (1, {'@': 202}), 37: (1, {'@': 202}), 38: (1, {'@': 202}), 24: (1, {'@': 202}), 21: (1, {'@': 202}), 1: (1, {'@': 202}), 39: (1, {'@': 202}), 26: (1, {'@': 202}), 29: (1, {'@': 202}), 31: (1, {'@': 202}), 0: (1, {'@': 202}), 40: (0, 91), 9: (1, {'@': 202}), 41: (1, {'@': 202}), 15: (1, {'@': 202}), 17: (1, {'@': 202}), 18: (1, {'@': 202}), 42: (1, {'@': 202}), 43: (1, {'@': 202}), 44: (1, {'@': 202}), 19: (1, {'@': 202}), 33: (1, {'@': 202}), 20: (0, 290), 45: (1, {'@': 202}), 46: (1, {'@': 202}), 47: (1, {'@': 202}), 22: (1, {'@': 202}), 23: (1, {'@': 202}), 48: (1, {'@': 202}), 4: (1, {'@': 202}), 49: (1, {'@': 202}), 50: (1, {'@': 202}), 51: (1, {'@': 202}), 2: (1, {'@': 202}), 27: (1, {'@': 202}), 30: (1, {'@': 202}), 81: (0, 354), 80: (0, 355)}, 294: {34: (1, {'@': 203}), 14: (1, {'@': 203}), 35: (1, {'@': 203}), 16: (1, {'@': 203}), 3: (1, {'@': 203}), 36: (1, {'@': 203}), 37: (1, {'@': 203}), 38: (1, {'@': 203}), 24: (1, {'@': 203}), 21: (1, {'@': 203}), 1: (1, {'@': 203}), 39: (1, {'@': 203}), 26: (1, {'@': 203}), 29: (1, {'@': 203}), 31: (1, {'@': 203}), 0: (1, {'@': 203}), 40: (1, {'@': 203}), 9: (1, {'@': 203}), 41: (1, {'@': 203}), 15: (1, {'@': 203}), 17: (1, {'@': 203}), 18: (1, {'@': 203}), 42: (1, {'@': 203}), 43: (1, {'@': 203}), 44: (1, {'@': 203}), 19: (1, {'@': 203}), 33: (1, {'@': 203}), 20: (1, {'@': 203}), 45: (1, {'@': 203}), 46: (1, {'@': 203}), 47: (1, {'@': 203}), 22: (1, {'@': 203}), 23: (1, {'@': 203}), 48: (1, {'@': 203}), 4: (1, {'@': 203}), 49: (1, {'@': 203}), 50: (1, {'@': 203}), 51: (1, {'@': 203}), 2: (1, {'@': 203}), 27: (1, {'@': 203}), 30: (1, {'@': 203})}, 295: {34: (0, 110), 14: (1, {'@': 204}), 35: (0, 102), 16: (1, {'@': 204}), 3: (1, {'@': 204}), 36: (1, {'@': 204}), 37: (0, 108), 38: (0, 105), 24: (1, {'@': 204}), 21: (1, {'@': 204}), 1: (1, {'@': 204}), 39: (1, {'@': 204}), 26: (1, {'@': 204}), 29: (1, {'@': 204}), 31: (1, {'@': 204}), 0: (1, {'@': 204}), 9: (1, {'@': 204}), 15: (1, {'@': 204}), 17: (1, {'@': 204}), 18: (1, {'@': 204}), 42: (0, 96), 43: (0, 106), 44: (0, 111), 19: (1, {'@': 204}), 33: (1, {'@': 204}), 20: (1, {'@': 204}), 45: (0, 109), 46: (0, 97), 47: (0, 99), 22: (1, {'@': 204}), 23: (1, {'@': 204}), 48: (0, 101), 4: (1, {'@': 204}), 49: (0, 107), 50: (1, {'@': 204}), 51: (0, 100), 2: (1, {'@': 204}), 27: (0, 98), 30: (1, {'@': 204}), 82: (0, 95), 83: (0, 104)}, 296: {4: (0, 1), 46: (0, 97), 27: (0, 98), 48: (0, 101), 35: (0, 102), 89: (0, 356), 83: (0, 104), 11: (0, 357), 6: (0, 3), 15: (0, 204), 2: (0, 10), 38: (0, 105), 39: (0, 358), 43: (0, 106), 37: (0, 108), 45: (0, 109), 82: (0, 95), 42: (0, 96), 3: (0, 359), 47: (0, 99), 51: (0, 100), 49: (0, 107), 34: (0, 110), 1: (0, 12), 44: (0, 111)}, 297: {34: (1, {'@': 205}), 14: (1, {'@': 205}), 35: (1, {'@': 205}), 16: (1, {'@': 205}), 3: (1, {'@': 205}), 36: (1, {'@': 205}), 37: (1, {'@': 205}), 38: (1, {'@': 205}), 24: (1, {'@': 205}), 21: (1, {'@': 205}), 1: (1, {'@': 205}), 39: (1, {'@': 205}), 26: (1, {'@': 205}), 29: (1, {'@': 205}), 31: (1, {'@': 205}), 0: (1, {'@': 205}), 40: (1, {'@': 205}), 9: (1, {'@': 205}), 41: (1, {'@': 205}), 15: (1, {'@': 205}), 17: (1, {'@': 205}), 18: (1, {'@': 205}), 42: (1, {'@': 205}), 43: (1, {'@': 205}), 44: (1, {'@': 205}), 19: (1, {'@': 205}), 33: (1, {'@': 205}), 20: (1, {'@': 205}), 45: (1, {'@': 205}), 46: (1, {'@': 205}), 47: (1, {'@': 205}), 22: (1, {'@': 205}), 23: (1, {'@': 205}), 48: (1, {'@': 205}), 4: (1, {'@': 205}), 49: (1, {'@': 205}), 50: (1, {'@': 205}), 51: (1, {'@': 205}), 2: (1, {'@': 205}), 27: (1, {'@': 205}), 30: (1, {'@': 205})}, 298: {4: (0, 1), 6: (0, 3), 11: (0, 360), 25: (0, 361), 2: (0, 10), 1: (0, 12)}, 299: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 63: (0, 362), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 11: (0, 363), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 300: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 36: (0, 364), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 301: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 63: (0, 365), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 302: {4: (0, 1), 6: (0, 3), 2: (0, 10), 25: (0, 366), 11: (0, 367), 1: (0, 12)}, 303: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 63: (0, 368), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 11: (0, 369), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 304: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 36: (0, 370), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 305: {14: (1, {'@': 206}), 21: (1, {'@': 206}), 22: (1, {'@': 206}), 23: (1, {'@': 206}), 1: (0, 12), 9: (1, {'@': 206}), 16: (1, {'@': 206}), 4: (0, 1), 19: (1, {'@': 206}), 2: (0, 10), 20: (1, {'@': 206}), 26: (1, {'@': 206}), 27: (1, {'@': 206}), 29: (1, {'@': 206}), 30: (1, {'@': 206}), 31: (1, {'@': 206}), 6: (0, 3), 11: (0, 371)}, 306: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 63: (0, 372), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 307: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 36: (0, 373), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 308: {1: (1, {'@': 153}), 4: (1, {'@': 153}), 2: (1, {'@': 153}), 17: (0, 294), 18: (0, 248)}, 309: {6: (0, 3), 4: (0, 1), 89: (0, 374), 15: (0, 204), 2: (0, 10), 3: (0, 375), 11: (0, 376), 1: (0, 12)}, 310: {4: (0, 1), 11: (0, 377), 6: (0, 3), 89: (0, 378), 3: (0, 379), 15: (0, 204), 2: (0, 10), 1: (0, 12)}, 311: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 380), 3: (0, 381), 1: (0, 12)}, 312: {34: (1, {'@': 207}), 14: (1, {'@': 207}), 35: (1, {'@': 207}), 16: (1, {'@': 207}), 3: (1, {'@': 207}), 36: (1, {'@': 207}), 37: (1, {'@': 207}), 38: (1, {'@': 207}), 24: (1, {'@': 207}), 21: (1, {'@': 207}), 1: (1, {'@': 207}), 39: (1, {'@': 207}), 26: (1, {'@': 207}), 29: (1, {'@': 207}), 31: (1, {'@': 207}), 0: (1, {'@': 207}), 40: (1, {'@': 207}), 9: (1, {'@': 207}), 41: (1, {'@': 207}), 15: (1, {'@': 207}), 17: (1, {'@': 207}), 18: (1, {'@': 207}), 42: (1, {'@': 207}), 43: (1, {'@': 207}), 44: (1, {'@': 207}), 19: (1, {'@': 207}), 33: (1, {'@': 207}), 20: (1, {'@': 207}), 45: (1, {'@': 207}), 46: (1, {'@': 207}), 47: (1, {'@': 207}), 22: (1, {'@': 207}), 23: (1, {'@': 207}), 48: (1, {'@': 207}), 4: (1, {'@': 207}), 49: (1, {'@': 207}), 50: (1, {'@': 207}), 51: (1, {'@': 207}), 2: (1, {'@': 207}), 27: (1, {'@': 207}), 30: (1, {'@': 207})}, 313: {1: (1, {'@': 208}), 4: (1, {'@': 208}), 2: (1, {'@': 208}), 17: (1, {'@': 208}), 30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 63: (0, 322), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 314: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 11: (0, 382), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 63: (0, 320), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 315: {1: (1, {'@': 209}), 4: (1, {'@': 209}), 2: (1, {'@': 209}), 17: (1, {'@': 209})}, 316: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 63: (0, 324), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 317: {34: (1, {'@': 210}), 14: (1, {'@': 210}), 35: (1, {'@': 210}), 16: (1, {'@': 210}), 3: (1, {'@': 210}), 36: (1, {'@': 210}), 37: (1, {'@': 210}), 38: (1, {'@': 210}), 24: (1, {'@': 210}), 21: (1, {'@': 210}), 1: (1, {'@': 210}), 39: (1, {'@': 210}), 26: (1, {'@': 210}), 29: (1, {'@': 210}), 31: (1, {'@': 210}), 0: (1, {'@': 210}), 40: (1, {'@': 210}), 9: (1, {'@': 210}), 41: (1, {'@': 210}), 15: (1, {'@': 210}), 17: (1, {'@': 210}), 18: (1, {'@': 210}), 42: (1, {'@': 210}), 43: (1, {'@': 210}), 44: (1, {'@': 210}), 19: (1, {'@': 210}), 33: (1, {'@': 210}), 20: (1, {'@': 210}), 45: (1, {'@': 210}), 46: (1, {'@': 210}), 47: (1, {'@': 210}), 22: (1, {'@': 210}), 23: (1, {'@': 210}), 48: (1, {'@': 210}), 4: (1, {'@': 210}), 49: (1, {'@': 210}), 50: (1, {'@': 210}), 51: (1, {'@': 210}), 2: (1, {'@': 210}), 27: (1, {'@': 210}), 30: (1, {'@': 210})}, 318: {34: (1, {'@': 211}), 14: (1, {'@': 211}), 35: (1, {'@': 211}), 16: (1, {'@': 211}), 3: (1, {'@': 211}), 36: (1, {'@': 211}), 37: (1, {'@': 211}), 38: (1, {'@': 211}), 24: (1, {'@': 211}), 21: (1, {'@': 211}), 1: (1, {'@': 211}), 39: (1, {'@': 211}), 26: (1, {'@': 211}), 29: (1, {'@': 211}), 31: (1, {'@': 211}), 0: (1, {'@': 211}), 40: (1, {'@': 211}), 9: (1, {'@': 211}), 41: (1, {'@': 211}), 15: (1, {'@': 211}), 17: (1, {'@': 211}), 18: (1, {'@': 211}), 42: (1, {'@': 211}), 43: (1, {'@': 211}), 44: (1, {'@': 211}), 19: (1, {'@': 211}), 33: (1, {'@': 211}), 20: (1, {'@': 211}), 45: (1, {'@': 211}), 46: (1, {'@': 211}), 47: (1, {'@': 211}), 22: (1, {'@': 211}), 23: (1, {'@': 211}), 48: (1, {'@': 211}), 4: (1, {'@': 211}), 49: (1, {'@': 211}), 50: (1, {'@': 211}), 51: (1, {'@': 211}), 2: (1, {'@': 211}), 27: (1, {'@': 211}), 30: (1, {'@': 211})}, 319: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 63: (0, 383), 62: (0, 46), 29: (0, 47), 24: (0, 384), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 320: {18: (1, {'@': 212}), 24: (1, {'@': 212}), 1: (1, {'@': 212}), 2: (1, {'@': 212}), 4: (1, {'@': 212}), 17: (1, {'@': 212}), 39: (1, {'@': 212}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 321: {34: (1, {'@': 213}), 14: (1, {'@': 213}), 35: (1, {'@': 213}), 16: (1, {'@': 213}), 3: (1, {'@': 213}), 36: (1, {'@': 213}), 37: (1, {'@': 213}), 38: (1, {'@': 213}), 24: (1, {'@': 213}), 21: (1, {'@': 213}), 1: (1, {'@': 213}), 39: (1, {'@': 213}), 26: (1, {'@': 213}), 29: (1, {'@': 213}), 31: (1, {'@': 213}), 0: (1, {'@': 213}), 40: (1, {'@': 213}), 9: (1, {'@': 213}), 41: (1, {'@': 213}), 15: (1, {'@': 213}), 17: (1, {'@': 213}), 18: (1, {'@': 213}), 42: (1, {'@': 213}), 43: (1, {'@': 213}), 44: (1, {'@': 213}), 19: (1, {'@': 213}), 33: (1, {'@': 213}), 20: (1, {'@': 213}), 45: (1, {'@': 213}), 46: (1, {'@': 213}), 47: (1, {'@': 213}), 22: (1, {'@': 213}), 23: (1, {'@': 213}), 48: (1, {'@': 213}), 4: (1, {'@': 213}), 49: (1, {'@': 213}), 50: (1, {'@': 213}), 51: (1, {'@': 213}), 2: (1, {'@': 213}), 27: (1, {'@': 213}), 30: (1, {'@': 213})}, 322: {18: (1, {'@': 214}), 24: (1, {'@': 214}), 1: (1, {'@': 214}), 2: (1, {'@': 214}), 4: (1, {'@': 214}), 17: (1, {'@': 214}), 39: (1, {'@': 214}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 323: {34: (1, {'@': 215}), 14: (1, {'@': 215}), 35: (1, {'@': 215}), 16: (1, {'@': 215}), 3: (1, {'@': 215}), 36: (1, {'@': 215}), 37: (1, {'@': 215}), 38: (1, {'@': 215}), 24: (1, {'@': 215}), 21: (1, {'@': 215}), 1: (1, {'@': 215}), 39: (1, {'@': 215}), 26: (1, {'@': 215}), 29: (1, {'@': 215}), 31: (1, {'@': 215}), 0: (1, {'@': 215}), 40: (1, {'@': 215}), 9: (1, {'@': 215}), 41: (1, {'@': 215}), 15: (1, {'@': 215}), 17: (1, {'@': 215}), 18: (1, {'@': 215}), 42: (1, {'@': 215}), 43: (1, {'@': 215}), 44: (1, {'@': 215}), 19: (1, {'@': 215}), 33: (1, {'@': 215}), 20: (1, {'@': 215}), 45: (1, {'@': 215}), 46: (1, {'@': 215}), 47: (1, {'@': 215}), 22: (1, {'@': 215}), 23: (1, {'@': 215}), 48: (1, {'@': 215}), 4: (1, {'@': 215}), 49: (1, {'@': 215}), 50: (1, {'@': 215}), 51: (1, {'@': 215}), 2: (1, {'@': 215}), 27: (1, {'@': 215}), 30: (1, {'@': 215})}, 324: {18: (1, {'@': 216}), 24: (1, {'@': 216}), 1: (1, {'@': 216}), 2: (1, {'@': 216}), 4: (1, {'@': 216}), 17: (1, {'@': 216}), 39: (1, {'@': 216}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 325: {34: (1, {'@': 217}), 14: (1, {'@': 217}), 35: (1, {'@': 217}), 16: (1, {'@': 217}), 3: (1, {'@': 217}), 36: (1, {'@': 217}), 37: (1, {'@': 217}), 38: (1, {'@': 217}), 24: (1, {'@': 217}), 21: (1, {'@': 217}), 1: (1, {'@': 217}), 39: (1, {'@': 217}), 26: (1, {'@': 217}), 29: (1, {'@': 217}), 31: (1, {'@': 217}), 0: (1, {'@': 217}), 40: (1, {'@': 217}), 9: (1, {'@': 217}), 41: (1, {'@': 217}), 15: (1, {'@': 217}), 17: (1, {'@': 217}), 18: (1, {'@': 217}), 42: (1, {'@': 217}), 43: (1, {'@': 217}), 44: (1, {'@': 217}), 19: (1, {'@': 217}), 33: (1, {'@': 217}), 20: (1, {'@': 217}), 45: (1, {'@': 217}), 46: (1, {'@': 217}), 47: (1, {'@': 217}), 22: (1, {'@': 217}), 23: (1, {'@': 217}), 48: (1, {'@': 217}), 4: (1, {'@': 217}), 49: (1, {'@': 217}), 50: (1, {'@': 217}), 51: (1, {'@': 217}), 2: (1, {'@': 217}), 27: (1, {'@': 217}), 30: (1, {'@': 217})}, 326: {34: (1, {'@': 218}), 14: (1, {'@': 218}), 35: (1, {'@': 218}), 16: (1, {'@': 218}), 3: (1, {'@': 218}), 36: (1, {'@': 218}), 37: (1, {'@': 218}), 38: (1, {'@': 218}), 24: (1, {'@': 218}), 21: (1, {'@': 218}), 1: (1, {'@': 218}), 39: (1, {'@': 218}), 26: (1, {'@': 218}), 29: (1, {'@': 218}), 31: (1, {'@': 218}), 0: (1, {'@': 218}), 40: (1, {'@': 218}), 9: (1, {'@': 218}), 41: (1, {'@': 218}), 15: (1, {'@': 218}), 17: (1, {'@': 218}), 18: (1, {'@': 218}), 42: (1, {'@': 218}), 43: (1, {'@': 218}), 44: (1, {'@': 218}), 19: (1, {'@': 218}), 33: (1, {'@': 218}), 20: (1, {'@': 218}), 45: (1, {'@': 218}), 46: (1, {'@': 218}), 47: (1, {'@': 218}), 22: (1, {'@': 218}), 23: (1, {'@': 218}), 48: (1, {'@': 218}), 4: (1, {'@': 218}), 49: (1, {'@': 218}), 50: (1, {'@': 218}), 51: (1, {'@': 218}), 2: (1, {'@': 218}), 27: (1, {'@': 218}), 30: (1, {'@': 218})}, 327: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 385), 24: (0, 386), 1: (0, 12)}, 328: {24: (0, 387)}, 329: {24: (0, 388)}, 330: {34: (1, {'@': 219}), 14: (1, {'@': 219}), 35: (1, {'@': 219}), 16: (1, {'@': 219}), 3: (1, {'@': 219}), 36: (1, {'@': 219}), 37: (1, {'@': 219}), 38: (1, {'@': 219}), 24: (1, {'@': 219}), 21: (1, {'@': 219}), 1: (1, {'@': 219}), 39: (1, {'@': 219}), 26: (1, {'@': 219}), 29: (1, {'@': 219}), 31: (1, {'@': 219}), 0: (1, {'@': 219}), 40: (1, {'@': 219}), 9: (1, {'@': 219}), 41: (1, {'@': 219}), 15: (1, {'@': 219}), 17: (1, {'@': 219}), 18: (1, {'@': 219}), 42: (1, {'@': 219}), 43: (1, {'@': 219}), 44: (1, {'@': 219}), 19: (1, {'@': 219}), 33: (1, {'@': 219}), 20: (1, {'@': 219}), 45: (1, {'@': 219}), 46: (1, {'@': 219}), 47: (1, {'@': 219}), 22: (1, {'@': 219}), 23: (1, {'@': 219}), 48: (1, {'@': 219}), 4: (1, {'@': 219}), 49: (1, {'@': 219}), 50: (1, {'@': 219}), 51: (1, {'@': 219}), 2: (1, {'@': 219}), 27: (1, {'@': 219}), 30: (1, {'@': 219})}, 331: {34: (1, {'@': 220}), 14: (1, {'@': 220}), 35: (1, {'@': 220}), 16: (1, {'@': 220}), 3: (1, {'@': 220}), 36: (1, {'@': 220}), 37: (1, {'@': 220}), 38: (1, {'@': 220}), 24: (1, {'@': 220}), 21: (1, {'@': 220}), 1: (1, {'@': 220}), 39: (1, {'@': 220}), 26: (1, {'@': 220}), 29: (1, {'@': 220}), 31: (1, {'@': 220}), 0: (1, {'@': 220}), 40: (1, {'@': 220}), 9: (1, {'@': 220}), 41: (1, {'@': 220}), 15: (1, {'@': 220}), 17: (1, {'@': 220}), 18: (1, {'@': 220}), 42: (1, {'@': 220}), 43: (1, {'@': 220}), 44: (1, {'@': 220}), 19: (1, {'@': 220}), 33: (1, {'@': 220}), 20: (1, {'@': 220}), 45: (1, {'@': 220}), 46: (1, {'@': 220}), 47: (1, {'@': 220}), 22: (1, {'@': 220}), 23: (1, {'@': 220}), 48: (1, {'@': 220}), 4: (1, {'@': 220}), 49: (1, {'@': 220}), 50: (1, {'@': 220}), 51: (1, {'@': 220}), 2: (1, {'@': 220}), 27: (1, {'@': 220}), 30: (1, {'@': 220})}, 332: {24: (0, 389)}, 333: {34: (1, {'@': 221}), 14: (1, {'@': 221}), 35: (1, {'@': 221}), 16: (1, {'@': 221}), 3: (1, {'@': 221}), 36: (1, {'@': 221}), 37: (1, {'@': 221}), 38: (1, {'@': 221}), 24: (1, {'@': 221}), 21: (1, {'@': 221}), 1: (1, {'@': 221}), 39: (1, {'@': 221}), 26: (1, {'@': 221}), 29: (1, {'@': 221}), 31: (1, {'@': 221}), 0: (1, {'@': 221}), 40: (1, {'@': 221}), 9: (1, {'@': 221}), 41: (1, {'@': 221}), 15: (1, {'@': 221}), 17: (1, {'@': 221}), 18: (1, {'@': 221}), 42: (1, {'@': 221}), 43: (1, {'@': 221}), 44: (1, {'@': 221}), 19: (1, {'@': 221}), 33: (1, {'@': 221}), 20: (1, {'@': 221}), 45: (1, {'@': 221}), 46: (1, {'@': 221}), 47: (1, {'@': 221}), 22: (1, {'@': 221}), 23: (1, {'@': 221}), 48: (1, {'@': 221}), 4: (1, {'@': 221}), 49: (1, {'@': 221}), 50: (1, {'@': 221}), 51: (1, {'@': 221}), 2: (1, {'@': 221}), 27: (1, {'@': 221}), 30: (1, {'@': 221})}, 334: {1: (1, {'@': 222}), 2: (1, {'@': 222}), 3: (1, {'@': 222}), 24: (1, {'@': 222}), 4: (1, {'@': 222}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 335: {34: (1, {'@': 223}), 14: (1, {'@': 223}), 35: (1, {'@': 223}), 16: (1, {'@': 223}), 3: (1, {'@': 223}), 36: (1, {'@': 223}), 37: (1, {'@': 223}), 38: (1, {'@': 223}), 24: (1, {'@': 223}), 21: (1, {'@': 223}), 1: (1, {'@': 223}), 39: (1, {'@': 223}), 26: (1, {'@': 223}), 29: (1, {'@': 223}), 31: (1, {'@': 223}), 0: (1, {'@': 223}), 40: (1, {'@': 223}), 9: (1, {'@': 223}), 41: (1, {'@': 223}), 15: (1, {'@': 223}), 17: (1, {'@': 223}), 18: (1, {'@': 223}), 42: (1, {'@': 223}), 43: (1, {'@': 223}), 44: (1, {'@': 223}), 19: (1, {'@': 223}), 33: (1, {'@': 223}), 20: (1, {'@': 223}), 45: (1, {'@': 223}), 46: (1, {'@': 223}), 47: (1, {'@': 223}), 22: (1, {'@': 223}), 23: (1, {'@': 223}), 48: (1, {'@': 223}), 4: (1, {'@': 223}), 49: (1, {'@': 223}), 50: (1, {'@': 223}), 51: (1, {'@': 223}), 2: (1, {'@': 223}), 27: (1, {'@': 223}), 30: (1, {'@': 223})}, 336: {34: (1, {'@': 224}), 14: (1, {'@': 224}), 35: (1, {'@': 224}), 16: (1, {'@': 224}), 3: (1, {'@': 224}), 36: (1, {'@': 224}), 37: (1, {'@': 224}), 38: (1, {'@': 224}), 24: (1, {'@': 224}), 21: (1, {'@': 224}), 1: (1, {'@': 224}), 39: (1, {'@': 224}), 26: (1, {'@': 224}), 29: (1, {'@': 224}), 31: (1, {'@': 224}), 0: (1, {'@': 224}), 40: (1, {'@': 224}), 9: (1, {'@': 224}), 41: (1, {'@': 224}), 15: (1, {'@': 224}), 17: (1, {'@': 224}), 18: (1, {'@': 224}), 42: (1, {'@': 224}), 43: (1, {'@': 224}), 44: (1, {'@': 224}), 19: (1, {'@': 224}), 33: (1, {'@': 224}), 20: (1, {'@': 224}), 45: (1, {'@': 224}), 46: (1, {'@': 224}), 47: (1, {'@': 224}), 22: (1, {'@': 224}), 23: (1, {'@': 224}), 48: (1, {'@': 224}), 4: (1, {'@': 224}), 49: (1, {'@': 224}), 50: (1, {'@': 224}), 51: (1, {'@': 224}), 2: (1, {'@': 224}), 27: (1, {'@': 224}), 30: (1, {'@': 224})}, 337: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 63: (0, 322), 21: (0, 38), 19: (0, 39), 57: (0, 40), 24: (0, 390), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 338: {34: (1, {'@': 225}), 14: (1, {'@': 225}), 35: (1, {'@': 225}), 16: (1, {'@': 225}), 3: (1, {'@': 225}), 36: (1, {'@': 225}), 37: (1, {'@': 225}), 38: (1, {'@': 225}), 24: (1, {'@': 225}), 21: (1, {'@': 225}), 1: (1, {'@': 225}), 39: (1, {'@': 225}), 26: (1, {'@': 225}), 29: (1, {'@': 225}), 31: (1, {'@': 225}), 0: (1, {'@': 225}), 40: (1, {'@': 225}), 9: (1, {'@': 225}), 41: (1, {'@': 225}), 15: (1, {'@': 225}), 17: (1, {'@': 225}), 18: (1, {'@': 225}), 42: (1, {'@': 225}), 43: (1, {'@': 225}), 44: (1, {'@': 225}), 19: (1, {'@': 225}), 33: (1, {'@': 225}), 20: (1, {'@': 225}), 45: (1, {'@': 225}), 46: (1, {'@': 225}), 47: (1, {'@': 225}), 22: (1, {'@': 225}), 23: (1, {'@': 225}), 48: (1, {'@': 225}), 4: (1, {'@': 225}), 49: (1, {'@': 225}), 50: (1, {'@': 225}), 51: (1, {'@': 225}), 2: (1, {'@': 225}), 27: (1, {'@': 225}), 30: (1, {'@': 225})}, 339: {24: (0, 391)}, 340: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 11: (0, 392), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 63: (0, 320), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 24: (0, 393), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 341: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 63: (0, 324), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 24: (0, 394), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 342: {34: (1, {'@': 226}), 14: (1, {'@': 226}), 35: (1, {'@': 226}), 16: (1, {'@': 226}), 3: (1, {'@': 226}), 36: (1, {'@': 226}), 37: (1, {'@': 226}), 38: (1, {'@': 226}), 24: (1, {'@': 226}), 21: (1, {'@': 226}), 1: (1, {'@': 226}), 39: (1, {'@': 226}), 26: (1, {'@': 226}), 29: (1, {'@': 226}), 31: (1, {'@': 226}), 0: (1, {'@': 226}), 40: (1, {'@': 226}), 9: (1, {'@': 226}), 41: (1, {'@': 226}), 15: (1, {'@': 226}), 17: (1, {'@': 226}), 18: (1, {'@': 226}), 42: (1, {'@': 226}), 43: (1, {'@': 226}), 44: (1, {'@': 226}), 19: (1, {'@': 226}), 33: (1, {'@': 226}), 20: (1, {'@': 226}), 45: (1, {'@': 226}), 46: (1, {'@': 226}), 47: (1, {'@': 226}), 22: (1, {'@': 226}), 23: (1, {'@': 226}), 48: (1, {'@': 226}), 4: (1, {'@': 226}), 49: (1, {'@': 226}), 50: (1, {'@': 226}), 51: (1, {'@': 226}), 2: (1, {'@': 226}), 27: (1, {'@': 226}), 30: (1, {'@': 226})}, 343: {34: (1, {'@': 227}), 14: (1, {'@': 227}), 35: (1, {'@': 227}), 16: (1, {'@': 227}), 3: (1, {'@': 227}), 36: (1, {'@': 227}), 37: (1, {'@': 227}), 38: (1, {'@': 227}), 24: (1, {'@': 227}), 21: (1, {'@': 227}), 1: (1, {'@': 227}), 39: (1, {'@': 227}), 26: (1, {'@': 227}), 29: (1, {'@': 227}), 31: (1, {'@': 227}), 0: (1, {'@': 227}), 40: (1, {'@': 227}), 9: (1, {'@': 227}), 41: (1, {'@': 227}), 15: (1, {'@': 227}), 17: (1, {'@': 227}), 18: (1, {'@': 227}), 42: (1, {'@': 227}), 43: (1, {'@': 227}), 44: (1, {'@': 227}), 19: (1, {'@': 227}), 33: (1, {'@': 227}), 20: (1, {'@': 227}), 45: (1, {'@': 227}), 46: (1, {'@': 227}), 47: (1, {'@': 227}), 22: (1, {'@': 227}), 23: (1, {'@': 227}), 48: (1, {'@': 227}), 4: (1, {'@': 227}), 49: (1, {'@': 227}), 50: (1, {'@': 227}), 51: (1, {'@': 227}), 2: (1, {'@': 227}), 27: (1, {'@': 227}), 30: (1, {'@': 227})}, 344: {34: (1, {'@': 228}), 14: (1, {'@': 228}), 35: (1, {'@': 228}), 16: (1, {'@': 228}), 3: (1, {'@': 228}), 36: (1, {'@': 228}), 37: (1, {'@': 228}), 38: (1, {'@': 228}), 24: (1, {'@': 228}), 21: (1, {'@': 228}), 1: (1, {'@': 228}), 39: (1, {'@': 228}), 26: (1, {'@': 228}), 29: (1, {'@': 228}), 31: (1, {'@': 228}), 0: (1, {'@': 228}), 40: (1, {'@': 228}), 9: (1, {'@': 228}), 41: (1, {'@': 228}), 15: (1, {'@': 228}), 17: (1, {'@': 228}), 18: (1, {'@': 228}), 42: (1, {'@': 228}), 43: (1, {'@': 228}), 44: (1, {'@': 228}), 19: (1, {'@': 228}), 33: (1, {'@': 228}), 20: (1, {'@': 228}), 45: (1, {'@': 228}), 46: (1, {'@': 228}), 47: (1, {'@': 228}), 22: (1, {'@': 228}), 23: (1, {'@': 228}), 48: (1, {'@': 228}), 4: (1, {'@': 228}), 49: (1, {'@': 228}), 50: (1, {'@': 228}), 51: (1, {'@': 228}), 2: (1, {'@': 228}), 27: (1, {'@': 228}), 30: (1, {'@': 228})}, 345: {6: (0, 3), 4: (0, 1), 2: (0, 10), 24: (0, 395), 1: (0, 12), 11: (0, 396)}, 346: {24: (0, 397)}, 347: {34: (1, {'@': 229}), 14: (1, {'@': 229}), 35: (1, {'@': 229}), 16: (1, {'@': 229}), 3: (1, {'@': 229}), 36: (1, {'@': 229}), 37: (1, {'@': 229}), 38: (1, {'@': 229}), 24: (1, {'@': 229}), 21: (1, {'@': 229}), 1: (1, {'@': 229}), 39: (1, {'@': 229}), 26: (1, {'@': 229}), 29: (1, {'@': 229}), 31: (1, {'@': 229}), 0: (1, {'@': 229}), 40: (1, {'@': 229}), 9: (1, {'@': 229}), 41: (1, {'@': 229}), 15: (1, {'@': 229}), 17: (1, {'@': 229}), 18: (1, {'@': 229}), 42: (1, {'@': 229}), 43: (1, {'@': 229}), 44: (1, {'@': 229}), 19: (1, {'@': 229}), 33: (1, {'@': 229}), 20: (1, {'@': 229}), 45: (1, {'@': 229}), 46: (1, {'@': 229}), 47: (1, {'@': 229}), 22: (1, {'@': 229}), 23: (1, {'@': 229}), 48: (1, {'@': 229}), 4: (1, {'@': 229}), 49: (1, {'@': 229}), 50: (1, {'@': 229}), 51: (1, {'@': 229}), 2: (1, {'@': 229}), 27: (1, {'@': 229}), 30: (1, {'@': 229})}, 348: {24: (0, 398)}, 349: {34: (1, {'@': 230}), 14: (1, {'@': 230}), 35: (1, {'@': 230}), 16: (1, {'@': 230}), 3: (1, {'@': 230}), 36: (1, {'@': 230}), 37: (1, {'@': 230}), 38: (1, {'@': 230}), 24: (1, {'@': 230}), 21: (1, {'@': 230}), 1: (1, {'@': 230}), 39: (1, {'@': 230}), 26: (1, {'@': 230}), 29: (1, {'@': 230}), 31: (1, {'@': 230}), 0: (1, {'@': 230}), 40: (1, {'@': 230}), 9: (1, {'@': 230}), 41: (1, {'@': 230}), 15: (1, {'@': 230}), 17: (1, {'@': 230}), 18: (1, {'@': 230}), 42: (1, {'@': 230}), 43: (1, {'@': 230}), 44: (1, {'@': 230}), 19: (1, {'@': 230}), 33: (1, {'@': 230}), 20: (1, {'@': 230}), 45: (1, {'@': 230}), 46: (1, {'@': 230}), 47: (1, {'@': 230}), 22: (1, {'@': 230}), 23: (1, {'@': 230}), 48: (1, {'@': 230}), 4: (1, {'@': 230}), 49: (1, {'@': 230}), 50: (1, {'@': 230}), 51: (1, {'@': 230}), 2: (1, {'@': 230}), 27: (1, {'@': 230}), 30: (1, {'@': 230})}, 350: {6: (0, 3), 4: (0, 1), 2: (0, 10), 24: (0, 399), 1: (0, 12), 11: (0, 400)}, 351: {6: (0, 3), 4: (0, 1), 15: (0, 204), 24: (0, 401), 2: (0, 10), 11: (0, 402), 89: (0, 403), 1: (0, 12)}, 352: {34: (1, {'@': 231}), 14: (1, {'@': 231}), 35: (1, {'@': 231}), 16: (1, {'@': 231}), 3: (1, {'@': 231}), 36: (1, {'@': 231}), 37: (1, {'@': 231}), 38: (1, {'@': 231}), 24: (1, {'@': 231}), 21: (1, {'@': 231}), 1: (1, {'@': 231}), 39: (1, {'@': 231}), 26: (1, {'@': 231}), 29: (1, {'@': 231}), 31: (1, {'@': 231}), 0: (1, {'@': 231}), 40: (1, {'@': 231}), 9: (1, {'@': 231}), 41: (1, {'@': 231}), 15: (1, {'@': 231}), 17: (1, {'@': 231}), 18: (1, {'@': 231}), 42: (1, {'@': 231}), 43: (1, {'@': 231}), 44: (1, {'@': 231}), 19: (1, {'@': 231}), 33: (1, {'@': 231}), 20: (1, {'@': 231}), 45: (1, {'@': 231}), 46: (1, {'@': 231}), 47: (1, {'@': 231}), 22: (1, {'@': 231}), 23: (1, {'@': 231}), 48: (1, {'@': 231}), 4: (1, {'@': 231}), 49: (1, {'@': 231}), 50: (1, {'@': 231}), 51: (1, {'@': 231}), 2: (1, {'@': 231}), 27: (1, {'@': 231}), 30: (1, {'@': 231})}, 353: {34: (1, {'@': 232}), 14: (1, {'@': 232}), 35: (1, {'@': 232}), 16: (1, {'@': 232}), 3: (1, {'@': 232}), 36: (1, {'@': 232}), 37: (1, {'@': 232}), 38: (1, {'@': 232}), 24: (1, {'@': 232}), 21: (1, {'@': 232}), 1: (1, {'@': 232}), 39: (1, {'@': 232}), 26: (1, {'@': 232}), 29: (1, {'@': 232}), 31: (1, {'@': 232}), 0: (1, {'@': 232}), 40: (1, {'@': 232}), 9: (1, {'@': 232}), 41: (1, {'@': 232}), 15: (1, {'@': 232}), 17: (1, {'@': 232}), 18: (1, {'@': 232}), 42: (1, {'@': 232}), 43: (1, {'@': 232}), 44: (1, {'@': 232}), 19: (1, {'@': 232}), 33: (1, {'@': 232}), 20: (1, {'@': 232}), 45: (1, {'@': 232}), 46: (1, {'@': 232}), 47: (1, {'@': 232}), 22: (1, {'@': 232}), 23: (1, {'@': 232}), 48: (1, {'@': 232}), 4: (1, {'@': 232}), 49: (1, {'@': 232}), 50: (1, {'@': 232}), 51: (1, {'@': 232}), 2: (1, {'@': 232}), 27: (1, {'@': 232}), 30: (1, {'@': 232})}, 354: {34: (1, {'@': 233}), 14: (1, {'@': 233}), 35: (1, {'@': 233}), 16: (1, {'@': 233}), 3: (1, {'@': 233}), 36: (1, {'@': 233}), 37: (1, {'@': 233}), 38: (1, {'@': 233}), 24: (1, {'@': 233}), 21: (1, {'@': 233}), 1: (1, {'@': 233}), 39: (1, {'@': 233}), 26: (1, {'@': 233}), 29: (1, {'@': 233}), 31: (1, {'@': 233}), 0: (1, {'@': 233}), 40: (1, {'@': 233}), 9: (1, {'@': 233}), 41: (1, {'@': 233}), 15: (1, {'@': 233}), 17: (1, {'@': 233}), 18: (1, {'@': 233}), 42: (1, {'@': 233}), 43: (1, {'@': 233}), 44: (1, {'@': 233}), 19: (1, {'@': 233}), 33: (1, {'@': 233}), 20: (1, {'@': 233}), 45: (1, {'@': 233}), 46: (1, {'@': 233}), 47: (1, {'@': 233}), 22: (1, {'@': 233}), 23: (1, {'@': 233}), 48: (1, {'@': 233}), 4: (1, {'@': 233}), 49: (1, {'@': 233}), 50: (1, {'@': 233}), 51: (1, {'@': 233}), 2: (1, {'@': 233}), 27: (1, {'@': 233}), 30: (1, {'@': 233})}, 355: {34: (1, {'@': 234}), 14: (1, {'@': 234}), 35: (1, {'@': 234}), 16: (1, {'@': 234}), 3: (1, {'@': 234}), 36: (1, {'@': 234}), 37: (1, {'@': 234}), 38: (1, {'@': 234}), 24: (1, {'@': 234}), 21: (1, {'@': 234}), 1: (1, {'@': 234}), 39: (1, {'@': 234}), 26: (1, {'@': 234}), 29: (1, {'@': 234}), 31: (1, {'@': 234}), 0: (1, {'@': 234}), 40: (1, {'@': 234}), 9: (1, {'@': 234}), 41: (1, {'@': 234}), 15: (1, {'@': 234}), 17: (1, {'@': 234}), 18: (1, {'@': 234}), 42: (1, {'@': 234}), 43: (1, {'@': 234}), 44: (1, {'@': 234}), 19: (1, {'@': 234}), 33: (1, {'@': 234}), 20: (1, {'@': 234}), 45: (1, {'@': 234}), 46: (1, {'@': 234}), 47: (1, {'@': 234}), 22: (1, {'@': 234}), 23: (1, {'@': 234}), 48: (1, {'@': 234}), 4: (1, {'@': 234}), 49: (1, {'@': 234}), 50: (1, {'@': 234}), 51: (1, {'@': 234}), 2: (1, {'@': 234}), 27: (1, {'@': 234}), 30: (1, {'@': 234})}, 356: {6: (0, 3), 4: (0, 1), 11: (0, 404), 2: (0, 10), 1: (0, 12), 3: (0, 405)}, 357: {6: (0, 3), 3: (0, 406), 4: (0, 1), 15: (0, 204), 2: (0, 10), 89: (0, 407), 11: (0, 408), 1: (0, 12)}, 358: {4: (0, 1), 11: (0, 409), 6: (0, 3), 89: (0, 410), 15: (0, 204), 2: (0, 10), 3: (0, 411), 1: (0, 12)}, 359: {34: (1, {'@': 235}), 14: (1, {'@': 235}), 35: (1, {'@': 235}), 16: (1, {'@': 235}), 3: (1, {'@': 235}), 36: (1, {'@': 235}), 37: (1, {'@': 235}), 38: (1, {'@': 235}), 24: (1, {'@': 235}), 21: (1, {'@': 235}), 1: (1, {'@': 235}), 39: (1, {'@': 235}), 26: (1, {'@': 235}), 29: (1, {'@': 235}), 31: (1, {'@': 235}), 0: (1, {'@': 235}), 40: (1, {'@': 235}), 9: (1, {'@': 235}), 41: (1, {'@': 235}), 15: (1, {'@': 235}), 17: (1, {'@': 235}), 18: (1, {'@': 235}), 42: (1, {'@': 235}), 43: (1, {'@': 235}), 44: (1, {'@': 235}), 19: (1, {'@': 235}), 33: (1, {'@': 235}), 20: (1, {'@': 235}), 45: (1, {'@': 235}), 46: (1, {'@': 235}), 47: (1, {'@': 235}), 22: (1, {'@': 235}), 23: (1, {'@': 235}), 48: (1, {'@': 235}), 4: (1, {'@': 235}), 49: (1, {'@': 235}), 50: (1, {'@': 235}), 51: (1, {'@': 235}), 2: (1, {'@': 235}), 27: (1, {'@': 235}), 30: (1, {'@': 235})}, 360: {4: (0, 1), 6: (0, 3), 25: (0, 412), 2: (0, 10), 11: (0, 413), 1: (0, 12)}, 361: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 63: (0, 414), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 11: (0, 415), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 362: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 36: (0, 416), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 363: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 63: (0, 417), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 364: {14: (1, {'@': 236}), 21: (1, {'@': 236}), 22: (1, {'@': 236}), 23: (1, {'@': 236}), 1: (0, 12), 9: (1, {'@': 236}), 16: (1, {'@': 236}), 4: (0, 1), 19: (1, {'@': 236}), 2: (0, 10), 20: (1, {'@': 236}), 26: (1, {'@': 236}), 27: (1, {'@': 236}), 29: (1, {'@': 236}), 30: (1, {'@': 236}), 31: (1, {'@': 236}), 6: (0, 3), 11: (0, 418)}, 365: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 36: (0, 419), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 366: {30: (0, 29), 8: (0, 30), 20: (0, 31), 63: (0, 420), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 11: (0, 421), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 367: {25: (0, 422)}, 368: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 36: (0, 423), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 369: {30: (0, 29), 8: (0, 30), 20: (0, 31), 63: (0, 424), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 370: {14: (1, {'@': 237}), 21: (1, {'@': 237}), 22: (1, {'@': 237}), 23: (1, {'@': 237}), 1: (0, 12), 9: (1, {'@': 237}), 16: (1, {'@': 237}), 4: (0, 1), 19: (1, {'@': 237}), 2: (0, 10), 20: (1, {'@': 237}), 26: (1, {'@': 237}), 27: (1, {'@': 237}), 29: (1, {'@': 237}), 30: (1, {'@': 237}), 31: (1, {'@': 237}), 6: (0, 3), 11: (0, 425)}, 371: {14: (1, {'@': 238}), 21: (1, {'@': 238}), 22: (1, {'@': 238}), 23: (1, {'@': 238}), 1: (1, {'@': 238}), 9: (1, {'@': 238}), 16: (1, {'@': 238}), 4: (1, {'@': 238}), 19: (1, {'@': 238}), 2: (1, {'@': 238}), 20: (1, {'@': 238}), 26: (1, {'@': 238}), 27: (1, {'@': 238}), 29: (1, {'@': 238}), 30: (1, {'@': 238}), 31: (1, {'@': 238})}, 372: {82: (0, 95), 36: (0, 426), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 373: {14: (1, {'@': 239}), 21: (1, {'@': 239}), 22: (1, {'@': 239}), 23: (1, {'@': 239}), 1: (0, 12), 9: (1, {'@': 239}), 16: (1, {'@': 239}), 4: (0, 1), 19: (1, {'@': 239}), 2: (0, 10), 20: (1, {'@': 239}), 26: (1, {'@': 239}), 27: (1, {'@': 239}), 29: (1, {'@': 239}), 30: (1, {'@': 239}), 31: (1, {'@': 239}), 6: (0, 3), 11: (0, 427)}, 374: {6: (0, 3), 4: (0, 1), 11: (0, 428), 2: (0, 10), 3: (0, 429), 1: (0, 12)}, 375: {34: (1, {'@': 240}), 14: (1, {'@': 240}), 35: (1, {'@': 240}), 16: (1, {'@': 240}), 3: (1, {'@': 240}), 36: (1, {'@': 240}), 37: (1, {'@': 240}), 38: (1, {'@': 240}), 24: (1, {'@': 240}), 21: (1, {'@': 240}), 1: (1, {'@': 240}), 39: (1, {'@': 240}), 26: (1, {'@': 240}), 29: (1, {'@': 240}), 31: (1, {'@': 240}), 0: (1, {'@': 240}), 40: (1, {'@': 240}), 9: (1, {'@': 240}), 41: (1, {'@': 240}), 15: (1, {'@': 240}), 17: (1, {'@': 240}), 18: (1, {'@': 240}), 42: (1, {'@': 240}), 43: (1, {'@': 240}), 44: (1, {'@': 240}), 19: (1, {'@': 240}), 33: (1, {'@': 240}), 20: (1, {'@': 240}), 45: (1, {'@': 240}), 46: (1, {'@': 240}), 47: (1, {'@': 240}), 22: (1, {'@': 240}), 23: (1, {'@': 240}), 48: (1, {'@': 240}), 4: (1, {'@': 240}), 49: (1, {'@': 240}), 50: (1, {'@': 240}), 51: (1, {'@': 240}), 2: (1, {'@': 240}), 27: (1, {'@': 240}), 30: (1, {'@': 240})}, 376: {3: (0, 430)}, 377: {6: (0, 3), 3: (0, 431), 4: (0, 1), 11: (0, 432), 2: (0, 10), 15: (0, 204), 1: (0, 12), 89: (0, 433)}, 378: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 434), 1: (0, 12), 3: (0, 435)}, 379: {34: (1, {'@': 241}), 14: (1, {'@': 241}), 35: (1, {'@': 241}), 16: (1, {'@': 241}), 3: (1, {'@': 241}), 36: (1, {'@': 241}), 37: (1, {'@': 241}), 38: (1, {'@': 241}), 24: (1, {'@': 241}), 21: (1, {'@': 241}), 1: (1, {'@': 241}), 39: (1, {'@': 241}), 26: (1, {'@': 241}), 29: (1, {'@': 241}), 31: (1, {'@': 241}), 0: (1, {'@': 241}), 40: (1, {'@': 241}), 9: (1, {'@': 241}), 41: (1, {'@': 241}), 15: (1, {'@': 241}), 17: (1, {'@': 241}), 18: (1, {'@': 241}), 42: (1, {'@': 241}), 43: (1, {'@': 241}), 44: (1, {'@': 241}), 19: (1, {'@': 241}), 33: (1, {'@': 241}), 20: (1, {'@': 241}), 45: (1, {'@': 241}), 46: (1, {'@': 241}), 47: (1, {'@': 241}), 22: (1, {'@': 241}), 23: (1, {'@': 241}), 48: (1, {'@': 241}), 4: (1, {'@': 241}), 49: (1, {'@': 241}), 50: (1, {'@': 241}), 51: (1, {'@': 241}), 2: (1, {'@': 241}), 27: (1, {'@': 241}), 30: (1, {'@': 241})}, 380: {3: (0, 436)}, 381: {34: (1, {'@': 242}), 14: (1, {'@': 242}), 35: (1, {'@': 242}), 16: (1, {'@': 242}), 3: (1, {'@': 242}), 36: (1, {'@': 242}), 37: (1, {'@': 242}), 38: (1, {'@': 242}), 24: (1, {'@': 242}), 21: (1, {'@': 242}), 1: (1, {'@': 242}), 39: (1, {'@': 242}), 26: (1, {'@': 242}), 29: (1, {'@': 242}), 31: (1, {'@': 242}), 0: (1, {'@': 242}), 40: (1, {'@': 242}), 9: (1, {'@': 242}), 41: (1, {'@': 242}), 15: (1, {'@': 242}), 17: (1, {'@': 242}), 18: (1, {'@': 242}), 42: (1, {'@': 242}), 43: (1, {'@': 242}), 44: (1, {'@': 242}), 19: (1, {'@': 242}), 33: (1, {'@': 242}), 20: (1, {'@': 242}), 45: (1, {'@': 242}), 46: (1, {'@': 242}), 47: (1, {'@': 242}), 22: (1, {'@': 242}), 23: (1, {'@': 242}), 48: (1, {'@': 242}), 4: (1, {'@': 242}), 49: (1, {'@': 242}), 50: (1, {'@': 242}), 51: (1, {'@': 242}), 2: (1, {'@': 242}), 27: (1, {'@': 242}), 30: (1, {'@': 242})}, 382: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 63: (0, 383), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 383: {18: (1, {'@': 243}), 24: (1, {'@': 243}), 1: (1, {'@': 243}), 2: (1, {'@': 243}), 4: (1, {'@': 243}), 17: (1, {'@': 243}), 39: (1, {'@': 243}), 82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 384: {34: (1, {'@': 244}), 14: (1, {'@': 244}), 35: (1, {'@': 244}), 16: (1, {'@': 244}), 3: (1, {'@': 244}), 36: (1, {'@': 244}), 37: (1, {'@': 244}), 38: (1, {'@': 244}), 24: (1, {'@': 244}), 21: (1, {'@': 244}), 1: (1, {'@': 244}), 39: (1, {'@': 244}), 26: (1, {'@': 244}), 29: (1, {'@': 244}), 31: (1, {'@': 244}), 0: (1, {'@': 244}), 40: (1, {'@': 244}), 9: (1, {'@': 244}), 41: (1, {'@': 244}), 15: (1, {'@': 244}), 17: (1, {'@': 244}), 18: (1, {'@': 244}), 42: (1, {'@': 244}), 43: (1, {'@': 244}), 44: (1, {'@': 244}), 19: (1, {'@': 244}), 33: (1, {'@': 244}), 20: (1, {'@': 244}), 45: (1, {'@': 244}), 46: (1, {'@': 244}), 47: (1, {'@': 244}), 22: (1, {'@': 244}), 23: (1, {'@': 244}), 48: (1, {'@': 244}), 4: (1, {'@': 244}), 49: (1, {'@': 244}), 50: (1, {'@': 244}), 51: (1, {'@': 244}), 2: (1, {'@': 244}), 27: (1, {'@': 244}), 30: (1, {'@': 244})}, 385: {24: (0, 437)}, 386: {34: (1, {'@': 245}), 14: (1, {'@': 245}), 35: (1, {'@': 245}), 16: (1, {'@': 245}), 3: (1, {'@': 245}), 36: (1, {'@': 245}), 37: (1, {'@': 245}), 38: (1, {'@': 245}), 24: (1, {'@': 245}), 21: (1, {'@': 245}), 1: (1, {'@': 245}), 39: (1, {'@': 245}), 26: (1, {'@': 245}), 29: (1, {'@': 245}), 31: (1, {'@': 245}), 0: (1, {'@': 245}), 40: (1, {'@': 245}), 9: (1, {'@': 245}), 41: (1, {'@': 245}), 15: (1, {'@': 245}), 17: (1, {'@': 245}), 18: (1, {'@': 245}), 42: (1, {'@': 245}), 43: (1, {'@': 245}), 44: (1, {'@': 245}), 19: (1, {'@': 245}), 33: (1, {'@': 245}), 20: (1, {'@': 245}), 45: (1, {'@': 245}), 46: (1, {'@': 245}), 47: (1, {'@': 245}), 22: (1, {'@': 245}), 23: (1, {'@': 245}), 48: (1, {'@': 245}), 4: (1, {'@': 245}), 49: (1, {'@': 245}), 50: (1, {'@': 245}), 51: (1, {'@': 245}), 2: (1, {'@': 245}), 27: (1, {'@': 245}), 30: (1, {'@': 245})}, 387: {34: (1, {'@': 246}), 14: (1, {'@': 246}), 35: (1, {'@': 246}), 16: (1, {'@': 246}), 3: (1, {'@': 246}), 36: (1, {'@': 246}), 37: (1, {'@': 246}), 38: (1, {'@': 246}), 24: (1, {'@': 246}), 21: (1, {'@': 246}), 1: (1, {'@': 246}), 39: (1, {'@': 246}), 26: (1, {'@': 246}), 29: (1, {'@': 246}), 31: (1, {'@': 246}), 0: (1, {'@': 246}), 40: (1, {'@': 246}), 9: (1, {'@': 246}), 41: (1, {'@': 246}), 15: (1, {'@': 246}), 17: (1, {'@': 246}), 18: (1, {'@': 246}), 42: (1, {'@': 246}), 43: (1, {'@': 246}), 44: (1, {'@': 246}), 19: (1, {'@': 246}), 33: (1, {'@': 246}), 20: (1, {'@': 246}), 45: (1, {'@': 246}), 46: (1, {'@': 246}), 47: (1, {'@': 246}), 22: (1, {'@': 246}), 23: (1, {'@': 246}), 48: (1, {'@': 246}), 4: (1, {'@': 246}), 49: (1, {'@': 246}), 50: (1, {'@': 246}), 51: (1, {'@': 246}), 2: (1, {'@': 246}), 27: (1, {'@': 246}), 30: (1, {'@': 246})}, 388: {34: (1, {'@': 247}), 14: (1, {'@': 247}), 35: (1, {'@': 247}), 16: (1, {'@': 247}), 3: (1, {'@': 247}), 36: (1, {'@': 247}), 37: (1, {'@': 247}), 38: (1, {'@': 247}), 24: (1, {'@': 247}), 21: (1, {'@': 247}), 1: (1, {'@': 247}), 39: (1, {'@': 247}), 26: (1, {'@': 247}), 29: (1, {'@': 247}), 31: (1, {'@': 247}), 0: (1, {'@': 247}), 40: (1, {'@': 247}), 9: (1, {'@': 247}), 41: (1, {'@': 247}), 15: (1, {'@': 247}), 17: (1, {'@': 247}), 18: (1, {'@': 247}), 42: (1, {'@': 247}), 43: (1, {'@': 247}), 44: (1, {'@': 247}), 19: (1, {'@': 247}), 33: (1, {'@': 247}), 20: (1, {'@': 247}), 45: (1, {'@': 247}), 46: (1, {'@': 247}), 47: (1, {'@': 247}), 22: (1, {'@': 247}), 23: (1, {'@': 247}), 48: (1, {'@': 247}), 4: (1, {'@': 247}), 49: (1, {'@': 247}), 50: (1, {'@': 247}), 51: (1, {'@': 247}), 2: (1, {'@': 247}), 27: (1, {'@': 247}), 30: (1, {'@': 247})}, 389: {34: (1, {'@': 248}), 14: (1, {'@': 248}), 35: (1, {'@': 248}), 16: (1, {'@': 248}), 3: (1, {'@': 248}), 36: (1, {'@': 248}), 37: (1, {'@': 248}), 38: (1, {'@': 248}), 24: (1, {'@': 248}), 21: (1, {'@': 248}), 1: (1, {'@': 248}), 39: (1, {'@': 248}), 26: (1, {'@': 248}), 29: (1, {'@': 248}), 31: (1, {'@': 248}), 0: (1, {'@': 248}), 40: (1, {'@': 248}), 9: (1, {'@': 248}), 41: (1, {'@': 248}), 15: (1, {'@': 248}), 17: (1, {'@': 248}), 18: (1, {'@': 248}), 42: (1, {'@': 248}), 43: (1, {'@': 248}), 44: (1, {'@': 248}), 19: (1, {'@': 248}), 33: (1, {'@': 248}), 20: (1, {'@': 248}), 45: (1, {'@': 248}), 46: (1, {'@': 248}), 47: (1, {'@': 248}), 22: (1, {'@': 248}), 23: (1, {'@': 248}), 48: (1, {'@': 248}), 4: (1, {'@': 248}), 49: (1, {'@': 248}), 50: (1, {'@': 248}), 51: (1, {'@': 248}), 2: (1, {'@': 248}), 27: (1, {'@': 248}), 30: (1, {'@': 248})}, 390: {34: (1, {'@': 249}), 14: (1, {'@': 249}), 35: (1, {'@': 249}), 16: (1, {'@': 249}), 3: (1, {'@': 249}), 36: (1, {'@': 249}), 37: (1, {'@': 249}), 38: (1, {'@': 249}), 24: (1, {'@': 249}), 21: (1, {'@': 249}), 1: (1, {'@': 249}), 39: (1, {'@': 249}), 26: (1, {'@': 249}), 29: (1, {'@': 249}), 31: (1, {'@': 249}), 0: (1, {'@': 249}), 40: (1, {'@': 249}), 9: (1, {'@': 249}), 41: (1, {'@': 249}), 15: (1, {'@': 249}), 17: (1, {'@': 249}), 18: (1, {'@': 249}), 42: (1, {'@': 249}), 43: (1, {'@': 249}), 44: (1, {'@': 249}), 19: (1, {'@': 249}), 33: (1, {'@': 249}), 20: (1, {'@': 249}), 45: (1, {'@': 249}), 46: (1, {'@': 249}), 47: (1, {'@': 249}), 22: (1, {'@': 249}), 23: (1, {'@': 249}), 48: (1, {'@': 249}), 4: (1, {'@': 249}), 49: (1, {'@': 249}), 50: (1, {'@': 249}), 51: (1, {'@': 249}), 2: (1, {'@': 249}), 27: (1, {'@': 249}), 30: (1, {'@': 249})}, 391: {34: (1, {'@': 250}), 14: (1, {'@': 250}), 35: (1, {'@': 250}), 16: (1, {'@': 250}), 3: (1, {'@': 250}), 36: (1, {'@': 250}), 37: (1, {'@': 250}), 38: (1, {'@': 250}), 24: (1, {'@': 250}), 21: (1, {'@': 250}), 1: (1, {'@': 250}), 39: (1, {'@': 250}), 26: (1, {'@': 250}), 29: (1, {'@': 250}), 31: (1, {'@': 250}), 0: (1, {'@': 250}), 40: (1, {'@': 250}), 9: (1, {'@': 250}), 41: (1, {'@': 250}), 15: (1, {'@': 250}), 17: (1, {'@': 250}), 18: (1, {'@': 250}), 42: (1, {'@': 250}), 43: (1, {'@': 250}), 44: (1, {'@': 250}), 19: (1, {'@': 250}), 33: (1, {'@': 250}), 20: (1, {'@': 250}), 45: (1, {'@': 250}), 46: (1, {'@': 250}), 47: (1, {'@': 250}), 22: (1, {'@': 250}), 23: (1, {'@': 250}), 48: (1, {'@': 250}), 4: (1, {'@': 250}), 49: (1, {'@': 250}), 50: (1, {'@': 250}), 51: (1, {'@': 250}), 2: (1, {'@': 250}), 27: (1, {'@': 250}), 30: (1, {'@': 250})}, 392: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 63: (0, 383), 62: (0, 46), 29: (0, 47), 24: (0, 438), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 393: {34: (1, {'@': 251}), 14: (1, {'@': 251}), 35: (1, {'@': 251}), 16: (1, {'@': 251}), 3: (1, {'@': 251}), 36: (1, {'@': 251}), 37: (1, {'@': 251}), 38: (1, {'@': 251}), 24: (1, {'@': 251}), 21: (1, {'@': 251}), 1: (1, {'@': 251}), 39: (1, {'@': 251}), 26: (1, {'@': 251}), 29: (1, {'@': 251}), 31: (1, {'@': 251}), 0: (1, {'@': 251}), 40: (1, {'@': 251}), 9: (1, {'@': 251}), 41: (1, {'@': 251}), 15: (1, {'@': 251}), 17: (1, {'@': 251}), 18: (1, {'@': 251}), 42: (1, {'@': 251}), 43: (1, {'@': 251}), 44: (1, {'@': 251}), 19: (1, {'@': 251}), 33: (1, {'@': 251}), 20: (1, {'@': 251}), 45: (1, {'@': 251}), 46: (1, {'@': 251}), 47: (1, {'@': 251}), 22: (1, {'@': 251}), 23: (1, {'@': 251}), 48: (1, {'@': 251}), 4: (1, {'@': 251}), 49: (1, {'@': 251}), 50: (1, {'@': 251}), 51: (1, {'@': 251}), 2: (1, {'@': 251}), 27: (1, {'@': 251}), 30: (1, {'@': 251})}, 394: {34: (1, {'@': 252}), 14: (1, {'@': 252}), 35: (1, {'@': 252}), 16: (1, {'@': 252}), 3: (1, {'@': 252}), 36: (1, {'@': 252}), 37: (1, {'@': 252}), 38: (1, {'@': 252}), 24: (1, {'@': 252}), 21: (1, {'@': 252}), 1: (1, {'@': 252}), 39: (1, {'@': 252}), 26: (1, {'@': 252}), 29: (1, {'@': 252}), 31: (1, {'@': 252}), 0: (1, {'@': 252}), 40: (1, {'@': 252}), 9: (1, {'@': 252}), 41: (1, {'@': 252}), 15: (1, {'@': 252}), 17: (1, {'@': 252}), 18: (1, {'@': 252}), 42: (1, {'@': 252}), 43: (1, {'@': 252}), 44: (1, {'@': 252}), 19: (1, {'@': 252}), 33: (1, {'@': 252}), 20: (1, {'@': 252}), 45: (1, {'@': 252}), 46: (1, {'@': 252}), 47: (1, {'@': 252}), 22: (1, {'@': 252}), 23: (1, {'@': 252}), 48: (1, {'@': 252}), 4: (1, {'@': 252}), 49: (1, {'@': 252}), 50: (1, {'@': 252}), 51: (1, {'@': 252}), 2: (1, {'@': 252}), 27: (1, {'@': 252}), 30: (1, {'@': 252})}, 395: {34: (1, {'@': 253}), 14: (1, {'@': 253}), 35: (1, {'@': 253}), 16: (1, {'@': 253}), 3: (1, {'@': 253}), 36: (1, {'@': 253}), 37: (1, {'@': 253}), 38: (1, {'@': 253}), 24: (1, {'@': 253}), 21: (1, {'@': 253}), 1: (1, {'@': 253}), 39: (1, {'@': 253}), 26: (1, {'@': 253}), 29: (1, {'@': 253}), 31: (1, {'@': 253}), 0: (1, {'@': 253}), 40: (1, {'@': 253}), 9: (1, {'@': 253}), 41: (1, {'@': 253}), 15: (1, {'@': 253}), 17: (1, {'@': 253}), 18: (1, {'@': 253}), 42: (1, {'@': 253}), 43: (1, {'@': 253}), 44: (1, {'@': 253}), 19: (1, {'@': 253}), 33: (1, {'@': 253}), 20: (1, {'@': 253}), 45: (1, {'@': 253}), 46: (1, {'@': 253}), 47: (1, {'@': 253}), 22: (1, {'@': 253}), 23: (1, {'@': 253}), 48: (1, {'@': 253}), 4: (1, {'@': 253}), 49: (1, {'@': 253}), 50: (1, {'@': 253}), 51: (1, {'@': 253}), 2: (1, {'@': 253}), 27: (1, {'@': 253}), 30: (1, {'@': 253})}, 396: {24: (0, 439)}, 397: {34: (1, {'@': 254}), 14: (1, {'@': 254}), 35: (1, {'@': 254}), 16: (1, {'@': 254}), 3: (1, {'@': 254}), 36: (1, {'@': 254}), 37: (1, {'@': 254}), 38: (1, {'@': 254}), 24: (1, {'@': 254}), 21: (1, {'@': 254}), 1: (1, {'@': 254}), 39: (1, {'@': 254}), 26: (1, {'@': 254}), 29: (1, {'@': 254}), 31: (1, {'@': 254}), 0: (1, {'@': 254}), 40: (1, {'@': 254}), 9: (1, {'@': 254}), 41: (1, {'@': 254}), 15: (1, {'@': 254}), 17: (1, {'@': 254}), 18: (1, {'@': 254}), 42: (1, {'@': 254}), 43: (1, {'@': 254}), 44: (1, {'@': 254}), 19: (1, {'@': 254}), 33: (1, {'@': 254}), 20: (1, {'@': 254}), 45: (1, {'@': 254}), 46: (1, {'@': 254}), 47: (1, {'@': 254}), 22: (1, {'@': 254}), 23: (1, {'@': 254}), 48: (1, {'@': 254}), 4: (1, {'@': 254}), 49: (1, {'@': 254}), 50: (1, {'@': 254}), 51: (1, {'@': 254}), 2: (1, {'@': 254}), 27: (1, {'@': 254}), 30: (1, {'@': 254})}, 398: {34: (1, {'@': 255}), 14: (1, {'@': 255}), 35: (1, {'@': 255}), 16: (1, {'@': 255}), 3: (1, {'@': 255}), 36: (1, {'@': 255}), 37: (1, {'@': 255}), 38: (1, {'@': 255}), 24: (1, {'@': 255}), 21: (1, {'@': 255}), 1: (1, {'@': 255}), 39: (1, {'@': 255}), 26: (1, {'@': 255}), 29: (1, {'@': 255}), 31: (1, {'@': 255}), 0: (1, {'@': 255}), 40: (1, {'@': 255}), 9: (1, {'@': 255}), 41: (1, {'@': 255}), 15: (1, {'@': 255}), 17: (1, {'@': 255}), 18: (1, {'@': 255}), 42: (1, {'@': 255}), 43: (1, {'@': 255}), 44: (1, {'@': 255}), 19: (1, {'@': 255}), 33: (1, {'@': 255}), 20: (1, {'@': 255}), 45: (1, {'@': 255}), 46: (1, {'@': 255}), 47: (1, {'@': 255}), 22: (1, {'@': 255}), 23: (1, {'@': 255}), 48: (1, {'@': 255}), 4: (1, {'@': 255}), 49: (1, {'@': 255}), 50: (1, {'@': 255}), 51: (1, {'@': 255}), 2: (1, {'@': 255}), 27: (1, {'@': 255}), 30: (1, {'@': 255})}, 399: {34: (1, {'@': 256}), 14: (1, {'@': 256}), 35: (1, {'@': 256}), 16: (1, {'@': 256}), 3: (1, {'@': 256}), 36: (1, {'@': 256}), 37: (1, {'@': 256}), 38: (1, {'@': 256}), 24: (1, {'@': 256}), 21: (1, {'@': 256}), 1: (1, {'@': 256}), 39: (1, {'@': 256}), 26: (1, {'@': 256}), 29: (1, {'@': 256}), 31: (1, {'@': 256}), 0: (1, {'@': 256}), 40: (1, {'@': 256}), 9: (1, {'@': 256}), 41: (1, {'@': 256}), 15: (1, {'@': 256}), 17: (1, {'@': 256}), 18: (1, {'@': 256}), 42: (1, {'@': 256}), 43: (1, {'@': 256}), 44: (1, {'@': 256}), 19: (1, {'@': 256}), 33: (1, {'@': 256}), 20: (1, {'@': 256}), 45: (1, {'@': 256}), 46: (1, {'@': 256}), 47: (1, {'@': 256}), 22: (1, {'@': 256}), 23: (1, {'@': 256}), 48: (1, {'@': 256}), 4: (1, {'@': 256}), 49: (1, {'@': 256}), 50: (1, {'@': 256}), 51: (1, {'@': 256}), 2: (1, {'@': 256}), 27: (1, {'@': 256}), 30: (1, {'@': 256})}, 400: {24: (0, 440)}, 401: {34: (1, {'@': 257}), 14: (1, {'@': 257}), 35: (1, {'@': 257}), 16: (1, {'@': 257}), 3: (1, {'@': 257}), 36: (1, {'@': 257}), 37: (1, {'@': 257}), 38: (1, {'@': 257}), 24: (1, {'@': 257}), 21: (1, {'@': 257}), 1: (1, {'@': 257}), 39: (1, {'@': 257}), 26: (1, {'@': 257}), 29: (1, {'@': 257}), 31: (1, {'@': 257}), 0: (1, {'@': 257}), 40: (1, {'@': 257}), 9: (1, {'@': 257}), 41: (1, {'@': 257}), 15: (1, {'@': 257}), 17: (1, {'@': 257}), 18: (1, {'@': 257}), 42: (1, {'@': 257}), 43: (1, {'@': 257}), 44: (1, {'@': 257}), 19: (1, {'@': 257}), 33: (1, {'@': 257}), 20: (1, {'@': 257}), 45: (1, {'@': 257}), 46: (1, {'@': 257}), 47: (1, {'@': 257}), 22: (1, {'@': 257}), 23: (1, {'@': 257}), 48: (1, {'@': 257}), 4: (1, {'@': 257}), 49: (1, {'@': 257}), 50: (1, {'@': 257}), 51: (1, {'@': 257}), 2: (1, {'@': 257}), 27: (1, {'@': 257}), 30: (1, {'@': 257})}, 402: {24: (0, 441)}, 403: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 442), 24: (0, 443), 1: (0, 12)}, 404: {3: (0, 444)}, 405: {34: (1, {'@': 258}), 14: (1, {'@': 258}), 35: (1, {'@': 258}), 16: (1, {'@': 258}), 3: (1, {'@': 258}), 36: (1, {'@': 258}), 37: (1, {'@': 258}), 38: (1, {'@': 258}), 24: (1, {'@': 258}), 21: (1, {'@': 258}), 1: (1, {'@': 258}), 39: (1, {'@': 258}), 26: (1, {'@': 258}), 29: (1, {'@': 258}), 31: (1, {'@': 258}), 0: (1, {'@': 258}), 40: (1, {'@': 258}), 9: (1, {'@': 258}), 41: (1, {'@': 258}), 15: (1, {'@': 258}), 17: (1, {'@': 258}), 18: (1, {'@': 258}), 42: (1, {'@': 258}), 43: (1, {'@': 258}), 44: (1, {'@': 258}), 19: (1, {'@': 258}), 33: (1, {'@': 258}), 20: (1, {'@': 258}), 45: (1, {'@': 258}), 46: (1, {'@': 258}), 47: (1, {'@': 258}), 22: (1, {'@': 258}), 23: (1, {'@': 258}), 48: (1, {'@': 258}), 4: (1, {'@': 258}), 49: (1, {'@': 258}), 50: (1, {'@': 258}), 51: (1, {'@': 258}), 2: (1, {'@': 258}), 27: (1, {'@': 258}), 30: (1, {'@': 258})}, 406: {34: (1, {'@': 259}), 14: (1, {'@': 259}), 35: (1, {'@': 259}), 16: (1, {'@': 259}), 3: (1, {'@': 259}), 36: (1, {'@': 259}), 37: (1, {'@': 259}), 38: (1, {'@': 259}), 24: (1, {'@': 259}), 21: (1, {'@': 259}), 1: (1, {'@': 259}), 39: (1, {'@': 259}), 26: (1, {'@': 259}), 29: (1, {'@': 259}), 31: (1, {'@': 259}), 0: (1, {'@': 259}), 40: (1, {'@': 259}), 9: (1, {'@': 259}), 41: (1, {'@': 259}), 15: (1, {'@': 259}), 17: (1, {'@': 259}), 18: (1, {'@': 259}), 42: (1, {'@': 259}), 43: (1, {'@': 259}), 44: (1, {'@': 259}), 19: (1, {'@': 259}), 33: (1, {'@': 259}), 20: (1, {'@': 259}), 45: (1, {'@': 259}), 46: (1, {'@': 259}), 47: (1, {'@': 259}), 22: (1, {'@': 259}), 23: (1, {'@': 259}), 48: (1, {'@': 259}), 4: (1, {'@': 259}), 49: (1, {'@': 259}), 50: (1, {'@': 259}), 51: (1, {'@': 259}), 2: (1, {'@': 259}), 27: (1, {'@': 259}), 30: (1, {'@': 259})}, 407: {6: (0, 3), 4: (0, 1), 2: (0, 10), 11: (0, 445), 1: (0, 12), 3: (0, 446)}, 408: {3: (0, 447)}, 409: {89: (0, 448), 6: (0, 3), 4: (0, 1), 3: (0, 449), 15: (0, 204), 2: (0, 10), 1: (0, 12), 11: (0, 450)}, 410: {6: (0, 3), 4: (0, 1), 2: (0, 10), 3: (0, 451), 1: (0, 12), 11: (0, 452)}, 411: {34: (1, {'@': 260}), 14: (1, {'@': 260}), 35: (1, {'@': 260}), 16: (1, {'@': 260}), 3: (1, {'@': 260}), 36: (1, {'@': 260}), 37: (1, {'@': 260}), 38: (1, {'@': 260}), 24: (1, {'@': 260}), 21: (1, {'@': 260}), 1: (1, {'@': 260}), 39: (1, {'@': 260}), 26: (1, {'@': 260}), 29: (1, {'@': 260}), 31: (1, {'@': 260}), 0: (1, {'@': 260}), 40: (1, {'@': 260}), 9: (1, {'@': 260}), 41: (1, {'@': 260}), 15: (1, {'@': 260}), 17: (1, {'@': 260}), 18: (1, {'@': 260}), 42: (1, {'@': 260}), 43: (1, {'@': 260}), 44: (1, {'@': 260}), 19: (1, {'@': 260}), 33: (1, {'@': 260}), 20: (1, {'@': 260}), 45: (1, {'@': 260}), 46: (1, {'@': 260}), 47: (1, {'@': 260}), 22: (1, {'@': 260}), 23: (1, {'@': 260}), 48: (1, {'@': 260}), 4: (1, {'@': 260}), 49: (1, {'@': 260}), 50: (1, {'@': 260}), 51: (1, {'@': 260}), 2: (1, {'@': 260}), 27: (1, {'@': 260}), 30: (1, {'@': 260})}, 412: {11: (0, 453), 30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 63: (0, 454), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 413: {25: (0, 455)}, 414: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 36: (0, 456), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 415: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 63: (0, 457), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 416: {14: (1, {'@': 261}), 21: (1, {'@': 261}), 22: (1, {'@': 261}), 23: (1, {'@': 261}), 1: (0, 12), 9: (1, {'@': 261}), 16: (1, {'@': 261}), 4: (0, 1), 19: (1, {'@': 261}), 2: (0, 10), 20: (1, {'@': 261}), 26: (1, {'@': 261}), 27: (1, {'@': 261}), 29: (1, {'@': 261}), 30: (1, {'@': 261}), 31: (1, {'@': 261}), 6: (0, 3), 11: (0, 458)}, 417: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 36: (0, 459), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 418: {14: (1, {'@': 262}), 21: (1, {'@': 262}), 22: (1, {'@': 262}), 23: (1, {'@': 262}), 1: (1, {'@': 262}), 9: (1, {'@': 262}), 16: (1, {'@': 262}), 4: (1, {'@': 262}), 19: (1, {'@': 262}), 2: (1, {'@': 262}), 20: (1, {'@': 262}), 26: (1, {'@': 262}), 27: (1, {'@': 262}), 29: (1, {'@': 262}), 30: (1, {'@': 262}), 31: (1, {'@': 262})}, 419: {14: (1, {'@': 263}), 21: (1, {'@': 263}), 22: (1, {'@': 263}), 23: (1, {'@': 263}), 1: (0, 12), 9: (1, {'@': 263}), 16: (1, {'@': 263}), 4: (0, 1), 19: (1, {'@': 263}), 2: (0, 10), 20: (1, {'@': 263}), 26: (1, {'@': 263}), 27: (1, {'@': 263}), 29: (1, {'@': 263}), 30: (1, {'@': 263}), 31: (1, {'@': 263}), 6: (0, 3), 11: (0, 460)}, 420: {82: (0, 95), 42: (0, 96), 36: (0, 461), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 44: (0, 111), 34: (0, 110)}, 421: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 63: (0, 462), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 422: {20: (0, 31), 30: (0, 29), 8: (0, 30), 63: (0, 463), 52: (0, 32), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 31: (0, 42), 59: (0, 43), 11: (0, 464), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 423: {14: (1, {'@': 264}), 21: (1, {'@': 264}), 22: (1, {'@': 264}), 23: (1, {'@': 264}), 1: (0, 12), 9: (1, {'@': 264}), 16: (1, {'@': 264}), 4: (0, 1), 19: (1, {'@': 264}), 2: (0, 10), 20: (1, {'@': 264}), 26: (1, {'@': 264}), 27: (1, {'@': 264}), 29: (1, {'@': 264}), 30: (1, {'@': 264}), 31: (1, {'@': 264}), 6: (0, 3), 11: (0, 465)}, 424: {82: (0, 95), 42: (0, 96), 36: (0, 466), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 44: (0, 111), 34: (0, 110)}, 425: {14: (1, {'@': 265}), 21: (1, {'@': 265}), 22: (1, {'@': 265}), 23: (1, {'@': 265}), 1: (1, {'@': 265}), 9: (1, {'@': 265}), 16: (1, {'@': 265}), 4: (1, {'@': 265}), 19: (1, {'@': 265}), 2: (1, {'@': 265}), 20: (1, {'@': 265}), 26: (1, {'@': 265}), 27: (1, {'@': 265}), 29: (1, {'@': 265}), 30: (1, {'@': 265}), 31: (1, {'@': 265})}, 426: {14: (1, {'@': 266}), 21: (1, {'@': 266}), 22: (1, {'@': 266}), 23: (1, {'@': 266}), 1: (0, 12), 9: (1, {'@': 266}), 16: (1, {'@': 266}), 4: (0, 1), 19: (1, {'@': 266}), 2: (0, 10), 20: (1, {'@': 266}), 26: (1, {'@': 266}), 27: (1, {'@': 266}), 29: (1, {'@': 266}), 30: (1, {'@': 266}), 31: (1, {'@': 266}), 6: (0, 3), 11: (0, 467)}, 427: {14: (1, {'@': 267}), 21: (1, {'@': 267}), 22: (1, {'@': 267}), 23: (1, {'@': 267}), 1: (1, {'@': 267}), 9: (1, {'@': 267}), 16: (1, {'@': 267}), 4: (1, {'@': 267}), 19: (1, {'@': 267}), 2: (1, {'@': 267}), 20: (1, {'@': 267}), 26: (1, {'@': 267}), 27: (1, {'@': 267}), 29: (1, {'@': 267}), 30: (1, {'@': 267}), 31: (1, {'@': 267})}, 428: {3: (0, 468)}, 429: {34: (1, {'@': 268}), 14: (1, {'@': 268}), 35: (1, {'@': 268}), 16: (1, {'@': 268}), 3: (1, {'@': 268}), 36: (1, {'@': 268}), 37: (1, {'@': 268}), 38: (1, {'@': 268}), 24: (1, {'@': 268}), 21: (1, {'@': 268}), 1: (1, {'@': 268}), 39: (1, {'@': 268}), 26: (1, {'@': 268}), 29: (1, {'@': 268}), 31: (1, {'@': 268}), 0: (1, {'@': 268}), 40: (1, {'@': 268}), 9: (1, {'@': 268}), 41: (1, {'@': 268}), 15: (1, {'@': 268}), 17: (1, {'@': 268}), 18: (1, {'@': 268}), 42: (1, {'@': 268}), 43: (1, {'@': 268}), 44: (1, {'@': 268}), 19: (1, {'@': 268}), 33: (1, {'@': 268}), 20: (1, {'@': 268}), 45: (1, {'@': 268}), 46: (1, {'@': 268}), 47: (1, {'@': 268}), 22: (1, {'@': 268}), 23: (1, {'@': 268}), 48: (1, {'@': 268}), 4: (1, {'@': 268}), 49: (1, {'@': 268}), 50: (1, {'@': 268}), 51: (1, {'@': 268}), 2: (1, {'@': 268}), 27: (1, {'@': 268}), 30: (1, {'@': 268})}, 430: {34: (1, {'@': 269}), 14: (1, {'@': 269}), 35: (1, {'@': 269}), 16: (1, {'@': 269}), 3: (1, {'@': 269}), 36: (1, {'@': 269}), 37: (1, {'@': 269}), 38: (1, {'@': 269}), 24: (1, {'@': 269}), 21: (1, {'@': 269}), 1: (1, {'@': 269}), 39: (1, {'@': 269}), 26: (1, {'@': 269}), 29: (1, {'@': 269}), 31: (1, {'@': 269}), 0: (1, {'@': 269}), 40: (1, {'@': 269}), 9: (1, {'@': 269}), 41: (1, {'@': 269}), 15: (1, {'@': 269}), 17: (1, {'@': 269}), 18: (1, {'@': 269}), 42: (1, {'@': 269}), 43: (1, {'@': 269}), 44: (1, {'@': 269}), 19: (1, {'@': 269}), 33: (1, {'@': 269}), 20: (1, {'@': 269}), 45: (1, {'@': 269}), 46: (1, {'@': 269}), 47: (1, {'@': 269}), 22: (1, {'@': 269}), 23: (1, {'@': 269}), 48: (1, {'@': 269}), 4: (1, {'@': 269}), 49: (1, {'@': 269}), 50: (1, {'@': 269}), 51: (1, {'@': 269}), 2: (1, {'@': 269}), 27: (1, {'@': 269}), 30: (1, {'@': 269})}, 431: {34: (1, {'@': 270}), 14: (1, {'@': 270}), 35: (1, {'@': 270}), 16: (1, {'@': 270}), 3: (1, {'@': 270}), 36: (1, {'@': 270}), 37: (1, {'@': 270}), 38: (1, {'@': 270}), 24: (1, {'@': 270}), 21: (1, {'@': 270}), 1: (1, {'@': 270}), 39: (1, {'@': 270}), 26: (1, {'@': 270}), 29: (1, {'@': 270}), 31: (1, {'@': 270}), 0: (1, {'@': 270}), 40: (1, {'@': 270}), 9: (1, {'@': 270}), 41: (1, {'@': 270}), 15: (1, {'@': 270}), 17: (1, {'@': 270}), 18: (1, {'@': 270}), 42: (1, {'@': 270}), 43: (1, {'@': 270}), 44: (1, {'@': 270}), 19: (1, {'@': 270}), 33: (1, {'@': 270}), 20: (1, {'@': 270}), 45: (1, {'@': 270}), 46: (1, {'@': 270}), 47: (1, {'@': 270}), 22: (1, {'@': 270}), 23: (1, {'@': 270}), 48: (1, {'@': 270}), 4: (1, {'@': 270}), 49: (1, {'@': 270}), 50: (1, {'@': 270}), 51: (1, {'@': 270}), 2: (1, {'@': 270}), 27: (1, {'@': 270}), 30: (1, {'@': 270})}, 432: {3: (0, 469)}, 433: {6: (0, 3), 4: (0, 1), 2: (0, 10), 3: (0, 470), 11: (0, 471), 1: (0, 12)}, 434: {3: (0, 472)}, 435: {34: (1, {'@': 271}), 14: (1, {'@': 271}), 35: (1, {'@': 271}), 16: (1, {'@': 271}), 3: (1, {'@': 271}), 36: (1, {'@': 271}), 37: (1, {'@': 271}), 38: (1, {'@': 271}), 24: (1, {'@': 271}), 21: (1, {'@': 271}), 1: (1, {'@': 271}), 39: (1, {'@': 271}), 26: (1, {'@': 271}), 29: (1, {'@': 271}), 31: (1, {'@': 271}), 0: (1, {'@': 271}), 40: (1, {'@': 271}), 9: (1, {'@': 271}), 41: (1, {'@': 271}), 15: (1, {'@': 271}), 17: (1, {'@': 271}), 18: (1, {'@': 271}), 42: (1, {'@': 271}), 43: (1, {'@': 271}), 44: (1, {'@': 271}), 19: (1, {'@': 271}), 33: (1, {'@': 271}), 20: (1, {'@': 271}), 45: (1, {'@': 271}), 46: (1, {'@': 271}), 47: (1, {'@': 271}), 22: (1, {'@': 271}), 23: (1, {'@': 271}), 48: (1, {'@': 271}), 4: (1, {'@': 271}), 49: (1, {'@': 271}), 50: (1, {'@': 271}), 51: (1, {'@': 271}), 2: (1, {'@': 271}), 27: (1, {'@': 271}), 30: (1, {'@': 271})}, 436: {34: (1, {'@': 272}), 14: (1, {'@': 272}), 35: (1, {'@': 272}), 16: (1, {'@': 272}), 3: (1, {'@': 272}), 36: (1, {'@': 272}), 37: (1, {'@': 272}), 38: (1, {'@': 272}), 24: (1, {'@': 272}), 21: (1, {'@': 272}), 1: (1, {'@': 272}), 39: (1, {'@': 272}), 26: (1, {'@': 272}), 29: (1, {'@': 272}), 31: (1, {'@': 272}), 0: (1, {'@': 272}), 40: (1, {'@': 272}), 9: (1, {'@': 272}), 41: (1, {'@': 272}), 15: (1, {'@': 272}), 17: (1, {'@': 272}), 18: (1, {'@': 272}), 42: (1, {'@': 272}), 43: (1, {'@': 272}), 44: (1, {'@': 272}), 19: (1, {'@': 272}), 33: (1, {'@': 272}), 20: (1, {'@': 272}), 45: (1, {'@': 272}), 46: (1, {'@': 272}), 47: (1, {'@': 272}), 22: (1, {'@': 272}), 23: (1, {'@': 272}), 48: (1, {'@': 272}), 4: (1, {'@': 272}), 49: (1, {'@': 272}), 50: (1, {'@': 272}), 51: (1, {'@': 272}), 2: (1, {'@': 272}), 27: (1, {'@': 272}), 30: (1, {'@': 272})}, 437: {34: (1, {'@': 273}), 14: (1, {'@': 273}), 35: (1, {'@': 273}), 16: (1, {'@': 273}), 3: (1, {'@': 273}), 36: (1, {'@': 273}), 37: (1, {'@': 273}), 38: (1, {'@': 273}), 24: (1, {'@': 273}), 21: (1, {'@': 273}), 1: (1, {'@': 273}), 39: (1, {'@': 273}), 26: (1, {'@': 273}), 29: (1, {'@': 273}), 31: (1, {'@': 273}), 0: (1, {'@': 273}), 40: (1, {'@': 273}), 9: (1, {'@': 273}), 41: (1, {'@': 273}), 15: (1, {'@': 273}), 17: (1, {'@': 273}), 18: (1, {'@': 273}), 42: (1, {'@': 273}), 43: (1, {'@': 273}), 44: (1, {'@': 273}), 19: (1, {'@': 273}), 33: (1, {'@': 273}), 20: (1, {'@': 273}), 45: (1, {'@': 273}), 46: (1, {'@': 273}), 47: (1, {'@': 273}), 22: (1, {'@': 273}), 23: (1, {'@': 273}), 48: (1, {'@': 273}), 4: (1, {'@': 273}), 49: (1, {'@': 273}), 50: (1, {'@': 273}), 51: (1, {'@': 273}), 2: (1, {'@': 273}), 27: (1, {'@': 273}), 30: (1, {'@': 273})}, 438: {34: (1, {'@': 274}), 14: (1, {'@': 274}), 35: (1, {'@': 274}), 16: (1, {'@': 274}), 3: (1, {'@': 274}), 36: (1, {'@': 274}), 37: (1, {'@': 274}), 38: (1, {'@': 274}), 24: (1, {'@': 274}), 21: (1, {'@': 274}), 1: (1, {'@': 274}), 39: (1, {'@': 274}), 26: (1, {'@': 274}), 29: (1, {'@': 274}), 31: (1, {'@': 274}), 0: (1, {'@': 274}), 40: (1, {'@': 274}), 9: (1, {'@': 274}), 41: (1, {'@': 274}), 15: (1, {'@': 274}), 17: (1, {'@': 274}), 18: (1, {'@': 274}), 42: (1, {'@': 274}), 43: (1, {'@': 274}), 44: (1, {'@': 274}), 19: (1, {'@': 274}), 33: (1, {'@': 274}), 20: (1, {'@': 274}), 45: (1, {'@': 274}), 46: (1, {'@': 274}), 47: (1, {'@': 274}), 22: (1, {'@': 274}), 23: (1, {'@': 274}), 48: (1, {'@': 274}), 4: (1, {'@': 274}), 49: (1, {'@': 274}), 50: (1, {'@': 274}), 51: (1, {'@': 274}), 2: (1, {'@': 274}), 27: (1, {'@': 274}), 30: (1, {'@': 274})}, 439: {34: (1, {'@': 275}), 14: (1, {'@': 275}), 35: (1, {'@': 275}), 16: (1, {'@': 275}), 3: (1, {'@': 275}), 36: (1, {'@': 275}), 37: (1, {'@': 275}), 38: (1, {'@': 275}), 24: (1, {'@': 275}), 21: (1, {'@': 275}), 1: (1, {'@': 275}), 39: (1, {'@': 275}), 26: (1, {'@': 275}), 29: (1, {'@': 275}), 31: (1, {'@': 275}), 0: (1, {'@': 275}), 40: (1, {'@': 275}), 9: (1, {'@': 275}), 41: (1, {'@': 275}), 15: (1, {'@': 275}), 17: (1, {'@': 275}), 18: (1, {'@': 275}), 42: (1, {'@': 275}), 43: (1, {'@': 275}), 44: (1, {'@': 275}), 19: (1, {'@': 275}), 33: (1, {'@': 275}), 20: (1, {'@': 275}), 45: (1, {'@': 275}), 46: (1, {'@': 275}), 47: (1, {'@': 275}), 22: (1, {'@': 275}), 23: (1, {'@': 275}), 48: (1, {'@': 275}), 4: (1, {'@': 275}), 49: (1, {'@': 275}), 50: (1, {'@': 275}), 51: (1, {'@': 275}), 2: (1, {'@': 275}), 27: (1, {'@': 275}), 30: (1, {'@': 275})}, 440: {34: (1, {'@': 276}), 14: (1, {'@': 276}), 35: (1, {'@': 276}), 16: (1, {'@': 276}), 3: (1, {'@': 276}), 36: (1, {'@': 276}), 37: (1, {'@': 276}), 38: (1, {'@': 276}), 24: (1, {'@': 276}), 21: (1, {'@': 276}), 1: (1, {'@': 276}), 39: (1, {'@': 276}), 26: (1, {'@': 276}), 29: (1, {'@': 276}), 31: (1, {'@': 276}), 0: (1, {'@': 276}), 40: (1, {'@': 276}), 9: (1, {'@': 276}), 41: (1, {'@': 276}), 15: (1, {'@': 276}), 17: (1, {'@': 276}), 18: (1, {'@': 276}), 42: (1, {'@': 276}), 43: (1, {'@': 276}), 44: (1, {'@': 276}), 19: (1, {'@': 276}), 33: (1, {'@': 276}), 20: (1, {'@': 276}), 45: (1, {'@': 276}), 46: (1, {'@': 276}), 47: (1, {'@': 276}), 22: (1, {'@': 276}), 23: (1, {'@': 276}), 48: (1, {'@': 276}), 4: (1, {'@': 276}), 49: (1, {'@': 276}), 50: (1, {'@': 276}), 51: (1, {'@': 276}), 2: (1, {'@': 276}), 27: (1, {'@': 276}), 30: (1, {'@': 276})}, 441: {34: (1, {'@': 277}), 14: (1, {'@': 277}), 35: (1, {'@': 277}), 16: (1, {'@': 277}), 3: (1, {'@': 277}), 36: (1, {'@': 277}), 37: (1, {'@': 277}), 38: (1, {'@': 277}), 24: (1, {'@': 277}), 21: (1, {'@': 277}), 1: (1, {'@': 277}), 39: (1, {'@': 277}), 26: (1, {'@': 277}), 29: (1, {'@': 277}), 31: (1, {'@': 277}), 0: (1, {'@': 277}), 40: (1, {'@': 277}), 9: (1, {'@': 277}), 41: (1, {'@': 277}), 15: (1, {'@': 277}), 17: (1, {'@': 277}), 18: (1, {'@': 277}), 42: (1, {'@': 277}), 43: (1, {'@': 277}), 44: (1, {'@': 277}), 19: (1, {'@': 277}), 33: (1, {'@': 277}), 20: (1, {'@': 277}), 45: (1, {'@': 277}), 46: (1, {'@': 277}), 47: (1, {'@': 277}), 22: (1, {'@': 277}), 23: (1, {'@': 277}), 48: (1, {'@': 277}), 4: (1, {'@': 277}), 49: (1, {'@': 277}), 50: (1, {'@': 277}), 51: (1, {'@': 277}), 2: (1, {'@': 277}), 27: (1, {'@': 277}), 30: (1, {'@': 277})}, 442: {24: (0, 473)}, 443: {34: (1, {'@': 278}), 14: (1, {'@': 278}), 35: (1, {'@': 278}), 16: (1, {'@': 278}), 3: (1, {'@': 278}), 36: (1, {'@': 278}), 37: (1, {'@': 278}), 38: (1, {'@': 278}), 24: (1, {'@': 278}), 21: (1, {'@': 278}), 1: (1, {'@': 278}), 39: (1, {'@': 278}), 26: (1, {'@': 278}), 29: (1, {'@': 278}), 31: (1, {'@': 278}), 0: (1, {'@': 278}), 40: (1, {'@': 278}), 9: (1, {'@': 278}), 41: (1, {'@': 278}), 15: (1, {'@': 278}), 17: (1, {'@': 278}), 18: (1, {'@': 278}), 42: (1, {'@': 278}), 43: (1, {'@': 278}), 44: (1, {'@': 278}), 19: (1, {'@': 278}), 33: (1, {'@': 278}), 20: (1, {'@': 278}), 45: (1, {'@': 278}), 46: (1, {'@': 278}), 47: (1, {'@': 278}), 22: (1, {'@': 278}), 23: (1, {'@': 278}), 48: (1, {'@': 278}), 4: (1, {'@': 278}), 49: (1, {'@': 278}), 50: (1, {'@': 278}), 51: (1, {'@': 278}), 2: (1, {'@': 278}), 27: (1, {'@': 278}), 30: (1, {'@': 278})}, 444: {34: (1, {'@': 279}), 14: (1, {'@': 279}), 35: (1, {'@': 279}), 16: (1, {'@': 279}), 3: (1, {'@': 279}), 36: (1, {'@': 279}), 37: (1, {'@': 279}), 38: (1, {'@': 279}), 24: (1, {'@': 279}), 21: (1, {'@': 279}), 1: (1, {'@': 279}), 39: (1, {'@': 279}), 26: (1, {'@': 279}), 29: (1, {'@': 279}), 31: (1, {'@': 279}), 0: (1, {'@': 279}), 40: (1, {'@': 279}), 9: (1, {'@': 279}), 41: (1, {'@': 279}), 15: (1, {'@': 279}), 17: (1, {'@': 279}), 18: (1, {'@': 279}), 42: (1, {'@': 279}), 43: (1, {'@': 279}), 44: (1, {'@': 279}), 19: (1, {'@': 279}), 33: (1, {'@': 279}), 20: (1, {'@': 279}), 45: (1, {'@': 279}), 46: (1, {'@': 279}), 47: (1, {'@': 279}), 22: (1, {'@': 279}), 23: (1, {'@': 279}), 48: (1, {'@': 279}), 4: (1, {'@': 279}), 49: (1, {'@': 279}), 50: (1, {'@': 279}), 51: (1, {'@': 279}), 2: (1, {'@': 279}), 27: (1, {'@': 279}), 30: (1, {'@': 279})}, 445: {3: (0, 474)}, 446: {34: (1, {'@': 280}), 14: (1, {'@': 280}), 35: (1, {'@': 280}), 16: (1, {'@': 280}), 3: (1, {'@': 280}), 36: (1, {'@': 280}), 37: (1, {'@': 280}), 38: (1, {'@': 280}), 24: (1, {'@': 280}), 21: (1, {'@': 280}), 1: (1, {'@': 280}), 39: (1, {'@': 280}), 26: (1, {'@': 280}), 29: (1, {'@': 280}), 31: (1, {'@': 280}), 0: (1, {'@': 280}), 40: (1, {'@': 280}), 9: (1, {'@': 280}), 41: (1, {'@': 280}), 15: (1, {'@': 280}), 17: (1, {'@': 280}), 18: (1, {'@': 280}), 42: (1, {'@': 280}), 43: (1, {'@': 280}), 44: (1, {'@': 280}), 19: (1, {'@': 280}), 33: (1, {'@': 280}), 20: (1, {'@': 280}), 45: (1, {'@': 280}), 46: (1, {'@': 280}), 47: (1, {'@': 280}), 22: (1, {'@': 280}), 23: (1, {'@': 280}), 48: (1, {'@': 280}), 4: (1, {'@': 280}), 49: (1, {'@': 280}), 50: (1, {'@': 280}), 51: (1, {'@': 280}), 2: (1, {'@': 280}), 27: (1, {'@': 280}), 30: (1, {'@': 280})}, 447: {34: (1, {'@': 281}), 14: (1, {'@': 281}), 35: (1, {'@': 281}), 16: (1, {'@': 281}), 3: (1, {'@': 281}), 36: (1, {'@': 281}), 37: (1, {'@': 281}), 38: (1, {'@': 281}), 24: (1, {'@': 281}), 21: (1, {'@': 281}), 1: (1, {'@': 281}), 39: (1, {'@': 281}), 26: (1, {'@': 281}), 29: (1, {'@': 281}), 31: (1, {'@': 281}), 0: (1, {'@': 281}), 40: (1, {'@': 281}), 9: (1, {'@': 281}), 41: (1, {'@': 281}), 15: (1, {'@': 281}), 17: (1, {'@': 281}), 18: (1, {'@': 281}), 42: (1, {'@': 281}), 43: (1, {'@': 281}), 44: (1, {'@': 281}), 19: (1, {'@': 281}), 33: (1, {'@': 281}), 20: (1, {'@': 281}), 45: (1, {'@': 281}), 46: (1, {'@': 281}), 47: (1, {'@': 281}), 22: (1, {'@': 281}), 23: (1, {'@': 281}), 48: (1, {'@': 281}), 4: (1, {'@': 281}), 49: (1, {'@': 281}), 50: (1, {'@': 281}), 51: (1, {'@': 281}), 2: (1, {'@': 281}), 27: (1, {'@': 281}), 30: (1, {'@': 281})}, 448: {6: (0, 3), 4: (0, 1), 11: (0, 475), 2: (0, 10), 1: (0, 12), 3: (0, 476)}, 449: {34: (1, {'@': 282}), 14: (1, {'@': 282}), 35: (1, {'@': 282}), 16: (1, {'@': 282}), 3: (1, {'@': 282}), 36: (1, {'@': 282}), 37: (1, {'@': 282}), 38: (1, {'@': 282}), 24: (1, {'@': 282}), 21: (1, {'@': 282}), 1: (1, {'@': 282}), 39: (1, {'@': 282}), 26: (1, {'@': 282}), 29: (1, {'@': 282}), 31: (1, {'@': 282}), 0: (1, {'@': 282}), 40: (1, {'@': 282}), 9: (1, {'@': 282}), 41: (1, {'@': 282}), 15: (1, {'@': 282}), 17: (1, {'@': 282}), 18: (1, {'@': 282}), 42: (1, {'@': 282}), 43: (1, {'@': 282}), 44: (1, {'@': 282}), 19: (1, {'@': 282}), 33: (1, {'@': 282}), 20: (1, {'@': 282}), 45: (1, {'@': 282}), 46: (1, {'@': 282}), 47: (1, {'@': 282}), 22: (1, {'@': 282}), 23: (1, {'@': 282}), 48: (1, {'@': 282}), 4: (1, {'@': 282}), 49: (1, {'@': 282}), 50: (1, {'@': 282}), 51: (1, {'@': 282}), 2: (1, {'@': 282}), 27: (1, {'@': 282}), 30: (1, {'@': 282})}, 450: {3: (0, 477)}, 451: {34: (1, {'@': 283}), 14: (1, {'@': 283}), 35: (1, {'@': 283}), 16: (1, {'@': 283}), 3: (1, {'@': 283}), 36: (1, {'@': 283}), 37: (1, {'@': 283}), 38: (1, {'@': 283}), 24: (1, {'@': 283}), 21: (1, {'@': 283}), 1: (1, {'@': 283}), 39: (1, {'@': 283}), 26: (1, {'@': 283}), 29: (1, {'@': 283}), 31: (1, {'@': 283}), 0: (1, {'@': 283}), 40: (1, {'@': 283}), 9: (1, {'@': 283}), 41: (1, {'@': 283}), 15: (1, {'@': 283}), 17: (1, {'@': 283}), 18: (1, {'@': 283}), 42: (1, {'@': 283}), 43: (1, {'@': 283}), 44: (1, {'@': 283}), 19: (1, {'@': 283}), 33: (1, {'@': 283}), 20: (1, {'@': 283}), 45: (1, {'@': 283}), 46: (1, {'@': 283}), 47: (1, {'@': 283}), 22: (1, {'@': 283}), 23: (1, {'@': 283}), 48: (1, {'@': 283}), 4: (1, {'@': 283}), 49: (1, {'@': 283}), 50: (1, {'@': 283}), 51: (1, {'@': 283}), 2: (1, {'@': 283}), 27: (1, {'@': 283}), 30: (1, {'@': 283})}, 452: {3: (0, 478)}, 453: {30: (0, 29), 8: (0, 30), 20: (0, 31), 63: (0, 479), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 454: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 36: (0, 480), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 455: {20: (0, 31), 30: (0, 29), 8: (0, 30), 52: (0, 32), 11: (0, 481), 53: (0, 33), 6: (0, 3), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 4: (0, 1), 58: (0, 41), 63: (0, 482), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 1: (0, 12), 26: (0, 49), 64: (0, 50), 2: (0, 10), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 456: {14: (1, {'@': 284}), 21: (1, {'@': 284}), 22: (1, {'@': 284}), 23: (1, {'@': 284}), 1: (0, 12), 9: (1, {'@': 284}), 16: (1, {'@': 284}), 4: (0, 1), 19: (1, {'@': 284}), 2: (0, 10), 20: (1, {'@': 284}), 26: (1, {'@': 284}), 27: (1, {'@': 284}), 29: (1, {'@': 284}), 30: (1, {'@': 284}), 31: (1, {'@': 284}), 6: (0, 3), 11: (0, 483)}, 457: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 36: (0, 484), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 458: {14: (1, {'@': 285}), 21: (1, {'@': 285}), 22: (1, {'@': 285}), 23: (1, {'@': 285}), 1: (1, {'@': 285}), 9: (1, {'@': 285}), 16: (1, {'@': 285}), 4: (1, {'@': 285}), 19: (1, {'@': 285}), 2: (1, {'@': 285}), 20: (1, {'@': 285}), 26: (1, {'@': 285}), 27: (1, {'@': 285}), 29: (1, {'@': 285}), 30: (1, {'@': 285}), 31: (1, {'@': 285})}, 459: {14: (1, {'@': 286}), 21: (1, {'@': 286}), 22: (1, {'@': 286}), 23: (1, {'@': 286}), 1: (0, 12), 9: (1, {'@': 286}), 16: (1, {'@': 286}), 4: (0, 1), 19: (1, {'@': 286}), 2: (0, 10), 20: (1, {'@': 286}), 26: (1, {'@': 286}), 27: (1, {'@': 286}), 29: (1, {'@': 286}), 30: (1, {'@': 286}), 31: (1, {'@': 286}), 6: (0, 3), 11: (0, 485)}, 460: {14: (1, {'@': 287}), 21: (1, {'@': 287}), 22: (1, {'@': 287}), 23: (1, {'@': 287}), 1: (1, {'@': 287}), 9: (1, {'@': 287}), 16: (1, {'@': 287}), 4: (1, {'@': 287}), 19: (1, {'@': 287}), 2: (1, {'@': 287}), 20: (1, {'@': 287}), 26: (1, {'@': 287}), 27: (1, {'@': 287}), 29: (1, {'@': 287}), 30: (1, {'@': 287}), 31: (1, {'@': 287})}, 461: {14: (1, {'@': 288}), 21: (1, {'@': 288}), 22: (1, {'@': 288}), 23: (1, {'@': 288}), 1: (0, 12), 9: (1, {'@': 288}), 16: (1, {'@': 288}), 4: (0, 1), 19: (1, {'@': 288}), 2: (0, 10), 20: (1, {'@': 288}), 26: (1, {'@': 288}), 27: (1, {'@': 288}), 29: (1, {'@': 288}), 30: (1, {'@': 288}), 31: (1, {'@': 288}), 6: (0, 3), 11: (0, 486)}, 462: {82: (0, 95), 42: (0, 96), 46: (0, 97), 36: (0, 487), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 463: {82: (0, 95), 42: (0, 96), 46: (0, 97), 36: (0, 488), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 464: {30: (0, 29), 8: (0, 30), 20: (0, 31), 63: (0, 489), 52: (0, 32), 53: (0, 33), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 465: {14: (1, {'@': 289}), 21: (1, {'@': 289}), 22: (1, {'@': 289}), 23: (1, {'@': 289}), 1: (1, {'@': 289}), 9: (1, {'@': 289}), 16: (1, {'@': 289}), 4: (1, {'@': 289}), 19: (1, {'@': 289}), 2: (1, {'@': 289}), 20: (1, {'@': 289}), 26: (1, {'@': 289}), 27: (1, {'@': 289}), 29: (1, {'@': 289}), 30: (1, {'@': 289}), 31: (1, {'@': 289})}, 466: {14: (1, {'@': 290}), 21: (1, {'@': 290}), 22: (1, {'@': 290}), 23: (1, {'@': 290}), 1: (0, 12), 9: (1, {'@': 290}), 16: (1, {'@': 290}), 4: (0, 1), 19: (1, {'@': 290}), 2: (0, 10), 20: (1, {'@': 290}), 26: (1, {'@': 290}), 27: (1, {'@': 290}), 29: (1, {'@': 290}), 30: (1, {'@': 290}), 31: (1, {'@': 290}), 6: (0, 3), 11: (0, 490)}, 467: {14: (1, {'@': 291}), 21: (1, {'@': 291}), 22: (1, {'@': 291}), 23: (1, {'@': 291}), 1: (1, {'@': 291}), 9: (1, {'@': 291}), 16: (1, {'@': 291}), 4: (1, {'@': 291}), 19: (1, {'@': 291}), 2: (1, {'@': 291}), 20: (1, {'@': 291}), 26: (1, {'@': 291}), 27: (1, {'@': 291}), 29: (1, {'@': 291}), 30: (1, {'@': 291}), 31: (1, {'@': 291})}, 468: {34: (1, {'@': 292}), 14: (1, {'@': 292}), 35: (1, {'@': 292}), 16: (1, {'@': 292}), 3: (1, {'@': 292}), 36: (1, {'@': 292}), 37: (1, {'@': 292}), 38: (1, {'@': 292}), 24: (1, {'@': 292}), 21: (1, {'@': 292}), 1: (1, {'@': 292}), 39: (1, {'@': 292}), 26: (1, {'@': 292}), 29: (1, {'@': 292}), 31: (1, {'@': 292}), 0: (1, {'@': 292}), 40: (1, {'@': 292}), 9: (1, {'@': 292}), 41: (1, {'@': 292}), 15: (1, {'@': 292}), 17: (1, {'@': 292}), 18: (1, {'@': 292}), 42: (1, {'@': 292}), 43: (1, {'@': 292}), 44: (1, {'@': 292}), 19: (1, {'@': 292}), 33: (1, {'@': 292}), 20: (1, {'@': 292}), 45: (1, {'@': 292}), 46: (1, {'@': 292}), 47: (1, {'@': 292}), 22: (1, {'@': 292}), 23: (1, {'@': 292}), 48: (1, {'@': 292}), 4: (1, {'@': 292}), 49: (1, {'@': 292}), 50: (1, {'@': 292}), 51: (1, {'@': 292}), 2: (1, {'@': 292}), 27: (1, {'@': 292}), 30: (1, {'@': 292})}, 469: {34: (1, {'@': 293}), 14: (1, {'@': 293}), 35: (1, {'@': 293}), 16: (1, {'@': 293}), 3: (1, {'@': 293}), 36: (1, {'@': 293}), 37: (1, {'@': 293}), 38: (1, {'@': 293}), 24: (1, {'@': 293}), 21: (1, {'@': 293}), 1: (1, {'@': 293}), 39: (1, {'@': 293}), 26: (1, {'@': 293}), 29: (1, {'@': 293}), 31: (1, {'@': 293}), 0: (1, {'@': 293}), 40: (1, {'@': 293}), 9: (1, {'@': 293}), 41: (1, {'@': 293}), 15: (1, {'@': 293}), 17: (1, {'@': 293}), 18: (1, {'@': 293}), 42: (1, {'@': 293}), 43: (1, {'@': 293}), 44: (1, {'@': 293}), 19: (1, {'@': 293}), 33: (1, {'@': 293}), 20: (1, {'@': 293}), 45: (1, {'@': 293}), 46: (1, {'@': 293}), 47: (1, {'@': 293}), 22: (1, {'@': 293}), 23: (1, {'@': 293}), 48: (1, {'@': 293}), 4: (1, {'@': 293}), 49: (1, {'@': 293}), 50: (1, {'@': 293}), 51: (1, {'@': 293}), 2: (1, {'@': 293}), 27: (1, {'@': 293}), 30: (1, {'@': 293})}, 470: {34: (1, {'@': 294}), 14: (1, {'@': 294}), 35: (1, {'@': 294}), 16: (1, {'@': 294}), 3: (1, {'@': 294}), 36: (1, {'@': 294}), 37: (1, {'@': 294}), 38: (1, {'@': 294}), 24: (1, {'@': 294}), 21: (1, {'@': 294}), 1: (1, {'@': 294}), 39: (1, {'@': 294}), 26: (1, {'@': 294}), 29: (1, {'@': 294}), 31: (1, {'@': 294}), 0: (1, {'@': 294}), 40: (1, {'@': 294}), 9: (1, {'@': 294}), 41: (1, {'@': 294}), 15: (1, {'@': 294}), 17: (1, {'@': 294}), 18: (1, {'@': 294}), 42: (1, {'@': 294}), 43: (1, {'@': 294}), 44: (1, {'@': 294}), 19: (1, {'@': 294}), 33: (1, {'@': 294}), 20: (1, {'@': 294}), 45: (1, {'@': 294}), 46: (1, {'@': 294}), 47: (1, {'@': 294}), 22: (1, {'@': 294}), 23: (1, {'@': 294}), 48: (1, {'@': 294}), 4: (1, {'@': 294}), 49: (1, {'@': 294}), 50: (1, {'@': 294}), 51: (1, {'@': 294}), 2: (1, {'@': 294}), 27: (1, {'@': 294}), 30: (1, {'@': 294})}, 471: {3: (0, 491)}, 472: {34: (1, {'@': 295}), 14: (1, {'@': 295}), 35: (1, {'@': 295}), 16: (1, {'@': 295}), 3: (1, {'@': 295}), 36: (1, {'@': 295}), 37: (1, {'@': 295}), 38: (1, {'@': 295}), 24: (1, {'@': 295}), 21: (1, {'@': 295}), 1: (1, {'@': 295}), 39: (1, {'@': 295}), 26: (1, {'@': 295}), 29: (1, {'@': 295}), 31: (1, {'@': 295}), 0: (1, {'@': 295}), 40: (1, {'@': 295}), 9: (1, {'@': 295}), 41: (1, {'@': 295}), 15: (1, {'@': 295}), 17: (1, {'@': 295}), 18: (1, {'@': 295}), 42: (1, {'@': 295}), 43: (1, {'@': 295}), 44: (1, {'@': 295}), 19: (1, {'@': 295}), 33: (1, {'@': 295}), 20: (1, {'@': 295}), 45: (1, {'@': 295}), 46: (1, {'@': 295}), 47: (1, {'@': 295}), 22: (1, {'@': 295}), 23: (1, {'@': 295}), 48: (1, {'@': 295}), 4: (1, {'@': 295}), 49: (1, {'@': 295}), 50: (1, {'@': 295}), 51: (1, {'@': 295}), 2: (1, {'@': 295}), 27: (1, {'@': 295}), 30: (1, {'@': 295})}, 473: {34: (1, {'@': 296}), 14: (1, {'@': 296}), 35: (1, {'@': 296}), 16: (1, {'@': 296}), 3: (1, {'@': 296}), 36: (1, {'@': 296}), 37: (1, {'@': 296}), 38: (1, {'@': 296}), 24: (1, {'@': 296}), 21: (1, {'@': 296}), 1: (1, {'@': 296}), 39: (1, {'@': 296}), 26: (1, {'@': 296}), 29: (1, {'@': 296}), 31: (1, {'@': 296}), 0: (1, {'@': 296}), 40: (1, {'@': 296}), 9: (1, {'@': 296}), 41: (1, {'@': 296}), 15: (1, {'@': 296}), 17: (1, {'@': 296}), 18: (1, {'@': 296}), 42: (1, {'@': 296}), 43: (1, {'@': 296}), 44: (1, {'@': 296}), 19: (1, {'@': 296}), 33: (1, {'@': 296}), 20: (1, {'@': 296}), 45: (1, {'@': 296}), 46: (1, {'@': 296}), 47: (1, {'@': 296}), 22: (1, {'@': 296}), 23: (1, {'@': 296}), 48: (1, {'@': 296}), 4: (1, {'@': 296}), 49: (1, {'@': 296}), 50: (1, {'@': 296}), 51: (1, {'@': 296}), 2: (1, {'@': 296}), 27: (1, {'@': 296}), 30: (1, {'@': 296})}, 474: {34: (1, {'@': 297}), 14: (1, {'@': 297}), 35: (1, {'@': 297}), 16: (1, {'@': 297}), 3: (1, {'@': 297}), 36: (1, {'@': 297}), 37: (1, {'@': 297}), 38: (1, {'@': 297}), 24: (1, {'@': 297}), 21: (1, {'@': 297}), 1: (1, {'@': 297}), 39: (1, {'@': 297}), 26: (1, {'@': 297}), 29: (1, {'@': 297}), 31: (1, {'@': 297}), 0: (1, {'@': 297}), 40: (1, {'@': 297}), 9: (1, {'@': 297}), 41: (1, {'@': 297}), 15: (1, {'@': 297}), 17: (1, {'@': 297}), 18: (1, {'@': 297}), 42: (1, {'@': 297}), 43: (1, {'@': 297}), 44: (1, {'@': 297}), 19: (1, {'@': 297}), 33: (1, {'@': 297}), 20: (1, {'@': 297}), 45: (1, {'@': 297}), 46: (1, {'@': 297}), 47: (1, {'@': 297}), 22: (1, {'@': 297}), 23: (1, {'@': 297}), 48: (1, {'@': 297}), 4: (1, {'@': 297}), 49: (1, {'@': 297}), 50: (1, {'@': 297}), 51: (1, {'@': 297}), 2: (1, {'@': 297}), 27: (1, {'@': 297}), 30: (1, {'@': 297})}, 475: {3: (0, 492)}, 476: {34: (1, {'@': 298}), 14: (1, {'@': 298}), 35: (1, {'@': 298}), 16: (1, {'@': 298}), 3: (1, {'@': 298}), 36: (1, {'@': 298}), 37: (1, {'@': 298}), 38: (1, {'@': 298}), 24: (1, {'@': 298}), 21: (1, {'@': 298}), 1: (1, {'@': 298}), 39: (1, {'@': 298}), 26: (1, {'@': 298}), 29: (1, {'@': 298}), 31: (1, {'@': 298}), 0: (1, {'@': 298}), 40: (1, {'@': 298}), 9: (1, {'@': 298}), 41: (1, {'@': 298}), 15: (1, {'@': 298}), 17: (1, {'@': 298}), 18: (1, {'@': 298}), 42: (1, {'@': 298}), 43: (1, {'@': 298}), 44: (1, {'@': 298}), 19: (1, {'@': 298}), 33: (1, {'@': 298}), 20: (1, {'@': 298}), 45: (1, {'@': 298}), 46: (1, {'@': 298}), 47: (1, {'@': 298}), 22: (1, {'@': 298}), 23: (1, {'@': 298}), 48: (1, {'@': 298}), 4: (1, {'@': 298}), 49: (1, {'@': 298}), 50: (1, {'@': 298}), 51: (1, {'@': 298}), 2: (1, {'@': 298}), 27: (1, {'@': 298}), 30: (1, {'@': 298})}, 477: {34: (1, {'@': 299}), 14: (1, {'@': 299}), 35: (1, {'@': 299}), 16: (1, {'@': 299}), 3: (1, {'@': 299}), 36: (1, {'@': 299}), 37: (1, {'@': 299}), 38: (1, {'@': 299}), 24: (1, {'@': 299}), 21: (1, {'@': 299}), 1: (1, {'@': 299}), 39: (1, {'@': 299}), 26: (1, {'@': 299}), 29: (1, {'@': 299}), 31: (1, {'@': 299}), 0: (1, {'@': 299}), 40: (1, {'@': 299}), 9: (1, {'@': 299}), 41: (1, {'@': 299}), 15: (1, {'@': 299}), 17: (1, {'@': 299}), 18: (1, {'@': 299}), 42: (1, {'@': 299}), 43: (1, {'@': 299}), 44: (1, {'@': 299}), 19: (1, {'@': 299}), 33: (1, {'@': 299}), 20: (1, {'@': 299}), 45: (1, {'@': 299}), 46: (1, {'@': 299}), 47: (1, {'@': 299}), 22: (1, {'@': 299}), 23: (1, {'@': 299}), 48: (1, {'@': 299}), 4: (1, {'@': 299}), 49: (1, {'@': 299}), 50: (1, {'@': 299}), 51: (1, {'@': 299}), 2: (1, {'@': 299}), 27: (1, {'@': 299}), 30: (1, {'@': 299})}, 478: {34: (1, {'@': 300}), 14: (1, {'@': 300}), 35: (1, {'@': 300}), 16: (1, {'@': 300}), 3: (1, {'@': 300}), 36: (1, {'@': 300}), 37: (1, {'@': 300}), 38: (1, {'@': 300}), 24: (1, {'@': 300}), 21: (1, {'@': 300}), 1: (1, {'@': 300}), 39: (1, {'@': 300}), 26: (1, {'@': 300}), 29: (1, {'@': 300}), 31: (1, {'@': 300}), 0: (1, {'@': 300}), 40: (1, {'@': 300}), 9: (1, {'@': 300}), 41: (1, {'@': 300}), 15: (1, {'@': 300}), 17: (1, {'@': 300}), 18: (1, {'@': 300}), 42: (1, {'@': 300}), 43: (1, {'@': 300}), 44: (1, {'@': 300}), 19: (1, {'@': 300}), 33: (1, {'@': 300}), 20: (1, {'@': 300}), 45: (1, {'@': 300}), 46: (1, {'@': 300}), 47: (1, {'@': 300}), 22: (1, {'@': 300}), 23: (1, {'@': 300}), 48: (1, {'@': 300}), 4: (1, {'@': 300}), 49: (1, {'@': 300}), 50: (1, {'@': 300}), 51: (1, {'@': 300}), 2: (1, {'@': 300}), 27: (1, {'@': 300}), 30: (1, {'@': 300})}, 479: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 36: (0, 493), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 480: {14: (1, {'@': 301}), 21: (1, {'@': 301}), 22: (1, {'@': 301}), 23: (1, {'@': 301}), 1: (0, 12), 9: (1, {'@': 301}), 16: (1, {'@': 301}), 4: (0, 1), 19: (1, {'@': 301}), 2: (0, 10), 20: (1, {'@': 301}), 26: (1, {'@': 301}), 27: (1, {'@': 301}), 29: (1, {'@': 301}), 30: (1, {'@': 301}), 31: (1, {'@': 301}), 6: (0, 3), 11: (0, 494)}, 481: {30: (0, 29), 8: (0, 30), 20: (0, 31), 52: (0, 32), 53: (0, 33), 63: (0, 495), 54: (0, 34), 23: (0, 35), 55: (0, 36), 56: (0, 37), 21: (0, 38), 19: (0, 39), 57: (0, 40), 58: (0, 41), 31: (0, 42), 59: (0, 43), 60: (0, 44), 61: (0, 45), 62: (0, 46), 29: (0, 47), 26: (0, 49), 64: (0, 50), 27: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 16: (0, 55), 68: (0, 56), 69: (0, 57), 9: (0, 6), 70: (0, 58), 71: (0, 59), 14: (0, 60), 72: (0, 61), 73: (0, 62), 22: (0, 63), 74: (0, 64)}, 482: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 36: (0, 496), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 483: {14: (1, {'@': 302}), 21: (1, {'@': 302}), 22: (1, {'@': 302}), 23: (1, {'@': 302}), 1: (1, {'@': 302}), 9: (1, {'@': 302}), 16: (1, {'@': 302}), 4: (1, {'@': 302}), 19: (1, {'@': 302}), 2: (1, {'@': 302}), 20: (1, {'@': 302}), 26: (1, {'@': 302}), 27: (1, {'@': 302}), 29: (1, {'@': 302}), 30: (1, {'@': 302}), 31: (1, {'@': 302})}, 484: {14: (1, {'@': 303}), 21: (1, {'@': 303}), 22: (1, {'@': 303}), 23: (1, {'@': 303}), 1: (0, 12), 9: (1, {'@': 303}), 16: (1, {'@': 303}), 4: (0, 1), 19: (1, {'@': 303}), 2: (0, 10), 20: (1, {'@': 303}), 26: (1, {'@': 303}), 27: (1, {'@': 303}), 29: (1, {'@': 303}), 30: (1, {'@': 303}), 31: (1, {'@': 303}), 6: (0, 3), 11: (0, 497)}, 485: {14: (1, {'@': 304}), 21: (1, {'@': 304}), 22: (1, {'@': 304}), 23: (1, {'@': 304}), 1: (1, {'@': 304}), 9: (1, {'@': 304}), 16: (1, {'@': 304}), 4: (1, {'@': 304}), 19: (1, {'@': 304}), 2: (1, {'@': 304}), 20: (1, {'@': 304}), 26: (1, {'@': 304}), 27: (1, {'@': 304}), 29: (1, {'@': 304}), 30: (1, {'@': 304}), 31: (1, {'@': 304})}, 486: {14: (1, {'@': 305}), 21: (1, {'@': 305}), 22: (1, {'@': 305}), 23: (1, {'@': 305}), 1: (1, {'@': 305}), 9: (1, {'@': 305}), 16: (1, {'@': 305}), 4: (1, {'@': 305}), 19: (1, {'@': 305}), 2: (1, {'@': 305}), 20: (1, {'@': 305}), 26: (1, {'@': 305}), 27: (1, {'@': 305}), 29: (1, {'@': 305}), 30: (1, {'@': 305}), 31: (1, {'@': 305})}, 487: {14: (1, {'@': 306}), 21: (1, {'@': 306}), 22: (1, {'@': 306}), 23: (1, {'@': 306}), 1: (0, 12), 9: (1, {'@': 306}), 16: (1, {'@': 306}), 4: (0, 1), 19: (1, {'@': 306}), 2: (0, 10), 20: (1, {'@': 306}), 26: (1, {'@': 306}), 27: (1, {'@': 306}), 29: (1, {'@': 306}), 30: (1, {'@': 306}), 31: (1, {'@': 306}), 6: (0, 3), 11: (0, 498)}, 488: {14: (1, {'@': 307}), 21: (1, {'@': 307}), 22: (1, {'@': 307}), 23: (1, {'@': 307}), 1: (0, 12), 9: (1, {'@': 307}), 16: (1, {'@': 307}), 4: (0, 1), 19: (1, {'@': 307}), 2: (0, 10), 20: (1, {'@': 307}), 26: (1, {'@': 307}), 27: (1, {'@': 307}), 29: (1, {'@': 307}), 30: (1, {'@': 307}), 31: (1, {'@': 307}), 6: (0, 3), 11: (0, 499)}, 489: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 35: (0, 102), 83: (0, 104), 36: (0, 500), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 490: {14: (1, {'@': 308}), 21: (1, {'@': 308}), 22: (1, {'@': 308}), 23: (1, {'@': 308}), 1: (1, {'@': 308}), 9: (1, {'@': 308}), 16: (1, {'@': 308}), 4: (1, {'@': 308}), 19: (1, {'@': 308}), 2: (1, {'@': 308}), 20: (1, {'@': 308}), 26: (1, {'@': 308}), 27: (1, {'@': 308}), 29: (1, {'@': 308}), 30: (1, {'@': 308}), 31: (1, {'@': 308})}, 491: {34: (1, {'@': 309}), 14: (1, {'@': 309}), 35: (1, {'@': 309}), 16: (1, {'@': 309}), 3: (1, {'@': 309}), 36: (1, {'@': 309}), 37: (1, {'@': 309}), 38: (1, {'@': 309}), 24: (1, {'@': 309}), 21: (1, {'@': 309}), 1: (1, {'@': 309}), 39: (1, {'@': 309}), 26: (1, {'@': 309}), 29: (1, {'@': 309}), 31: (1, {'@': 309}), 0: (1, {'@': 309}), 40: (1, {'@': 309}), 9: (1, {'@': 309}), 41: (1, {'@': 309}), 15: (1, {'@': 309}), 17: (1, {'@': 309}), 18: (1, {'@': 309}), 42: (1, {'@': 309}), 43: (1, {'@': 309}), 44: (1, {'@': 309}), 19: (1, {'@': 309}), 33: (1, {'@': 309}), 20: (1, {'@': 309}), 45: (1, {'@': 309}), 46: (1, {'@': 309}), 47: (1, {'@': 309}), 22: (1, {'@': 309}), 23: (1, {'@': 309}), 48: (1, {'@': 309}), 4: (1, {'@': 309}), 49: (1, {'@': 309}), 50: (1, {'@': 309}), 51: (1, {'@': 309}), 2: (1, {'@': 309}), 27: (1, {'@': 309}), 30: (1, {'@': 309})}, 492: {34: (1, {'@': 310}), 14: (1, {'@': 310}), 35: (1, {'@': 310}), 16: (1, {'@': 310}), 3: (1, {'@': 310}), 36: (1, {'@': 310}), 37: (1, {'@': 310}), 38: (1, {'@': 310}), 24: (1, {'@': 310}), 21: (1, {'@': 310}), 1: (1, {'@': 310}), 39: (1, {'@': 310}), 26: (1, {'@': 310}), 29: (1, {'@': 310}), 31: (1, {'@': 310}), 0: (1, {'@': 310}), 40: (1, {'@': 310}), 9: (1, {'@': 310}), 41: (1, {'@': 310}), 15: (1, {'@': 310}), 17: (1, {'@': 310}), 18: (1, {'@': 310}), 42: (1, {'@': 310}), 43: (1, {'@': 310}), 44: (1, {'@': 310}), 19: (1, {'@': 310}), 33: (1, {'@': 310}), 20: (1, {'@': 310}), 45: (1, {'@': 310}), 46: (1, {'@': 310}), 47: (1, {'@': 310}), 22: (1, {'@': 310}), 23: (1, {'@': 310}), 48: (1, {'@': 310}), 4: (1, {'@': 310}), 49: (1, {'@': 310}), 50: (1, {'@': 310}), 51: (1, {'@': 310}), 2: (1, {'@': 310}), 27: (1, {'@': 310}), 30: (1, {'@': 310})}, 493: {14: (1, {'@': 311}), 21: (1, {'@': 311}), 22: (1, {'@': 311}), 23: (1, {'@': 311}), 1: (0, 12), 9: (1, {'@': 311}), 16: (1, {'@': 311}), 4: (0, 1), 19: (1, {'@': 311}), 2: (0, 10), 20: (1, {'@': 311}), 26: (1, {'@': 311}), 27: (1, {'@': 311}), 29: (1, {'@': 311}), 30: (1, {'@': 311}), 31: (1, {'@': 311}), 6: (0, 3), 11: (0, 501)}, 494: {14: (1, {'@': 312}), 21: (1, {'@': 312}), 22: (1, {'@': 312}), 23: (1, {'@': 312}), 1: (1, {'@': 312}), 9: (1, {'@': 312}), 16: (1, {'@': 312}), 4: (1, {'@': 312}), 19: (1, {'@': 312}), 2: (1, {'@': 312}), 20: (1, {'@': 312}), 26: (1, {'@': 312}), 27: (1, {'@': 312}), 29: (1, {'@': 312}), 30: (1, {'@': 312}), 31: (1, {'@': 312})}, 495: {82: (0, 95), 42: (0, 96), 46: (0, 97), 27: (0, 98), 47: (0, 99), 51: (0, 100), 48: (0, 101), 36: (0, 502), 35: (0, 102), 83: (0, 104), 38: (0, 105), 43: (0, 106), 49: (0, 107), 37: (0, 108), 45: (0, 109), 34: (0, 110), 44: (0, 111)}, 496: {14: (1, {'@': 313}), 21: (1, {'@': 313}), 22: (1, {'@': 313}), 23: (1, {'@': 313}), 1: (0, 12), 9: (1, {'@': 313}), 16: (1, {'@': 313}), 4: (0, 1), 19: (1, {'@': 313}), 2: (0, 10), 20: (1, {'@': 313}), 26: (1, {'@': 313}), 27: (1, {'@': 313}), 29: (1, {'@': 313}), 30: (1, {'@': 313}), 31: (1, {'@': 313}), 6: (0, 3), 11: (0, 503)}, 497: {14: (1, {'@': 314}), 21: (1, {'@': 314}), 22: (1, {'@': 314}), 23: (1, {'@': 314}), 1: (1, {'@': 314}), 9: (1, {'@': 314}), 16: (1, {'@': 314}), 4: (1, {'@': 314}), 19: (1, {'@': 314}), 2: (1, {'@': 314}), 20: (1, {'@': 314}), 26: (1, {'@': 314}), 27: (1, {'@': 314}), 29: (1, {'@': 314}), 30: (1, {'@': 314}), 31: (1, {'@': 314})}, 498: {14: (1, {'@': 315}), 21: (1, {'@': 315}), 22: (1, {'@': 315}), 23: (1, {'@': 315}), 1: (1, {'@': 315}), 9: (1, {'@': 315}), 16: (1, {'@': 315}), 4: (1, {'@': 315}), 19: (1, {'@': 315}), 2: (1, {'@': 315}), 20: (1, {'@': 315}), 26: (1, {'@': 315}), 27: (1, {'@': 315}), 29: (1, {'@': 315}), 30: (1, {'@': 315}), 31: (1, {'@': 315})}, 499: {14: (1, {'@': 316}), 21: (1, {'@': 316}), 22: (1, {'@': 316}), 23: (1, {'@': 316}), 1: (1, {'@': 316}), 9: (1, {'@': 316}), 16: (1, {'@': 316}), 4: (1, {'@': 316}), 19: (1, {'@': 316}), 2: (1, {'@': 316}), 20: (1, {'@': 316}), 26: (1, {'@': 316}), 27: (1, {'@': 316}), 29: (1, {'@': 316}), 30: (1, {'@': 316}), 31: (1, {'@': 316})}, 500: {14: (1, {'@': 317}), 21: (1, {'@': 317}), 22: (1, {'@': 317}), 23: (1, {'@': 317}), 1: (0, 12), 9: (1, {'@': 317}), 16: (1, {'@': 317}), 4: (0, 1), 19: (1, {'@': 317}), 2: (0, 10), 20: (1, {'@': 317}), 26: (1, {'@': 317}), 27: (1, {'@': 317}), 29: (1, {'@': 317}), 30: (1, {'@': 317}), 31: (1, {'@': 317}), 6: (0, 3), 11: (0, 504)}, 501: {14: (1, {'@': 318}), 21: (1, {'@': 318}), 22: (1, {'@': 318}), 23: (1, {'@': 318}), 1: (1, {'@': 318}), 9: (1, {'@': 318}), 16: (1, {'@': 318}), 4: (1, {'@': 318}), 19: (1, {'@': 318}), 2: (1, {'@': 318}), 20: (1, {'@': 318}), 26: (1, {'@': 318}), 27: (1, {'@': 318}), 29: (1, {'@': 318}), 30: (1, {'@': 318}), 31: (1, {'@': 318})}, 502: {14: (1, {'@': 319}), 21: (1, {'@': 319}), 22: (1, {'@': 319}), 23: (1, {'@': 319}), 1: (0, 12), 9: (1, {'@': 319}), 16: (1, {'@': 319}), 4: (0, 1), 19: (1, {'@': 319}), 2: (0, 10), 20: (1, {'@': 319}), 26: (1, {'@': 319}), 27: (1, {'@': 319}), 29: (1, {'@': 319}), 30: (1, {'@': 319}), 31: (1, {'@': 319}), 6: (0, 3), 11: (0, 505)}, 503: {14: (1, {'@': 320}), 21: (1, {'@': 320}), 22: (1, {'@': 320}), 23: (1, {'@': 320}), 1: (1, {'@': 320}), 9: (1, {'@': 320}), 16: (1, {'@': 320}), 4: (1, {'@': 320}), 19: (1, {'@': 320}), 2: (1, {'@': 320}), 20: (1, {'@': 320}), 26: (1, {'@': 320}), 27: (1, {'@': 320}), 29: (1, {'@': 320}), 30: (1, {'@': 320}), 31: (1, {'@': 320})}, 504: {14: (1, {'@': 321}), 21: (1, {'@': 321}), 22: (1, {'@': 321}), 23: (1, {'@': 321}), 1: (1, {'@': 321}), 9: (1, {'@': 321}), 16: (1, {'@': 321}), 4: (1, {'@': 321}), 19: (1, {'@': 321}), 2: (1, {'@': 321}), 20: (1, {'@': 321}), 26: (1, {'@': 321}), 27: (1, {'@': 321}), 29: (1, {'@': 321}), 30: (1, {'@': 321}), 31: (1, {'@': 321})}, 505: {14: (1, {'@': 322}), 21: (1, {'@': 322}), 22: (1, {'@': 322}), 23: (1, {'@': 322}), 1: (1, {'@': 322}), 9: (1, {'@': 322}), 16: (1, {'@': 322}), 4: (1, {'@': 322}), 19: (1, {'@': 322}), 2: (1, {'@': 322}), 20: (1, {'@': 322}), 26: (1, {'@': 322}), 27: (1, {'@': 322}), 29: (1, {'@': 322}), 30: (1, {'@': 322}), 31: (1, {'@': 322})}}, 'start_states': {'start': 0}, 'end_states': {'start': 25}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 97}, {'@': 62}, {'@': 63}, {'@': 52}, {'@': 51}, {'@': 45}, {'@': 113}, {'@': 81}, {'@': 168}, {'@': 141}, {'@': 167}, {'@': 140}, {'@': 126}, {'@': 125}, {'@': 147}, {'@': 48}, {'@': 50}, {'@': 72}, {'@': 85}, {'@': 90}, {'@': 204}, {'@': 91}, {'@': 79}, {'@': 122}, {'@': 106}, {'@': 114}, {'@': 111}, {'@': 110}, {'@': 108}, {'@': 120}, {'@': 112}, {'@': 115}, {'@': 109}, {'@': 116}, {'@': 117}, {'@': 118}, {'@': 121}, {'@': 107}, {'@': 119}, {'@': 166}, {'@': 139}, {'@': 203}, {'@': 165}, {'@': 164}, {'@': 138}, {'@': 86}, {'@': 68}, {'@': 75}, {'@': 94}, {'@': 76}, {'@': 95}, {'@': 77}, {'@': 96}, {'@': 67}, {'@': 84}, {'@': 78}, {'@': 66}, {'@': 93}, {'@': 69}, {'@': 83}, {'@': 88}, {'@': 74}, {'@': 89}, {'@': 80}, {'@': 82}, {'@': 87}, {'@': 71}, {'@': 197}, {'@': 132}, {'@': 133}, {'@': 274}, {'@': 251}, {'@': 250}, {'@': 225}, {'@': 249}, {'@': 224}, {'@': 193}, {'@': 252}, {'@': 226}, {'@': 227}, {'@': 194}, {'@': 228}, {'@': 195}, {'@': 160}, {'@': 244}, {'@': 213}, {'@': 211}, {'@': 181}, {'@': 215}, {'@': 182}, {'@': 155}, {'@': 217}, {'@': 186}, {'@': 188}, {'@': 158}, {'@': 185}, {'@': 157}, {'@': 130}, {'@': 131}, {'@': 99}, {'@': 205}, {'@': 170}, {'@': 169}, {'@': 142}, {'@': 172}, {'@': 148}, {'@': 145}, {'@': 127}, {'@': 98}, {'@': 143}, {'@': 123}, {'@': 144}, {'@': 124}, {'@': 92}, {'@': 73}, {'@': 210}, {'@': 179}, {'@': 180}, {'@': 154}, {'@': 173}, {'@': 149}, {'@': 129}, {'@': 208}, {'@': 174}, {'@': 209}, {'@': 176}, {'@': 175}, {'@': 150}, {'@': 177}, {'@': 151}, {'@': 178}, {'@': 152}, {'@': 153}, {'@': 128}, {'@': 105}, {'@': 104}, {'@': 102}, {'@': 103}, {'@': 232}, {'@': 199}, {'@': 198}, {'@': 161}, {'@': 136}, {'@': 137}, {'@': 134}, {'@': 101}, {'@': 202}, {'@': 162}, {'@': 296}, {'@': 278}, {'@': 277}, {'@': 257}, {'@': 276}, {'@': 256}, {'@': 231}, {'@': 275}, {'@': 253}, {'@': 254}, {'@': 229}, {'@': 255}, {'@': 230}, {'@': 196}, {'@': 273}, {'@': 245}, {'@': 246}, {'@': 218}, {'@': 247}, {'@': 219}, {'@': 189}, {'@': 248}, {'@': 221}, {'@': 220}, {'@': 190}, {'@': 223}, {'@': 192}, {'@': 159}, {'@': 310}, {'@': 298}, {'@': 299}, {'@': 282}, {'@': 300}, {'@': 283}, {'@': 260}, {'@': 297}, {'@': 280}, {'@': 281}, {'@': 259}, {'@': 279}, {'@': 258}, {'@': 235}, {'@': 309}, {'@': 294}, {'@': 293}, {'@': 270}, {'@': 295}, {'@': 271}, {'@': 241}, {'@': 292}, {'@': 268}, {'@': 269}, {'@': 240}, {'@': 272}, {'@': 242}, {'@': 207}, {'@': 322}, {'@': 319}, {'@': 320}, {'@': 313}, {'@': 318}, {'@': 311}, {'@': 312}, {'@': 301}, {'@': 314}, {'@': 303}, {'@': 302}, {'@': 284}, {'@': 304}, {'@': 286}, {'@': 285}, {'@': 261}, {'@': 287}, {'@': 263}, {'@': 262}, {'@': 236}, {'@': 321}, {'@': 317}, {'@': 316}, {'@': 307}, {'@': 315}, {'@': 306}, {'@': 305}, {'@': 288}, {'@': 308}, {'@': 290}, {'@': 289}, {'@': 264}, {'@': 291}, {'@': 266}, {'@': 267}, {'@': 239}, {'@': 265}, {'@': 237}, {'@': 238}, {'@': 206}, {'@': 222}, {'@': 191}, {'@': 49}, {'@': 47}, {'@': 60}, {'@': 61}, {'@': 59}, {'@': 58}, {'@': 65}, {'@': 64}, {'@': 53}, {'@': 54}, {'@': 46}, {'@': 55}, {'@': 57}, {'@': 56}, {'@': 70}, {'@': 100}, {'@': 216}, {'@': 187}, {'@': 184}, {'@': 156}, {'@': 243}, {'@': 212}, {'@': 214}, {'@': 183}, {'@': 146}, {'@': 171}, {'@': 135}, {'@': 163}, {'@': 201}, {'@': 200}, {'@': 234}, {'@': 233}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'STRING_LIT', 'pattern': {'value': '"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{(?:(?:\\$\\{[^}]+\\}|([^\\${}]+)))*\\}))*"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_3', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_4', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_5', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_6', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_7', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_8', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_9', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_10', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_11', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_12', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_13', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_14', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 47: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 48: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 49: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 50: {'origin': {'name': 'identifier', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 51: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 52: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 53: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 54: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 63: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 64: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 65: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 66: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 67: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 68: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 71: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 96: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 97: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 101: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 136: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 145: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 147: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 151: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 157: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 164: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 167: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 172: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 175: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 177: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 179: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 184: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 185: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 187: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 188: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 189: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 196: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 198: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 201: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 202: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 213: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 215: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 217: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 221: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 223: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 226: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 227: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 228: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 230: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 231: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 234: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 235: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 244: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 317: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 318: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 319: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 320: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 321: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 322: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

